commit f1d24b0a6b799abc4ff948286c121b6a5bb7a909
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   2016-06-19

    ev-view: Update EvView style to use CSS node name

M	libview/ev-view.c
M	shell/evince.css

commit 674fc7c9e512d699ddc50548903f387191d4f9e8
Author: Quentin Glidic <sardemff7+git@sardemff7.net>
Date:	2016-05-20

    nautilus: No more need for gtk-x11

    https://bugzilla.gnome.org/show_bug.cgi?id=766710

    Signed-off-by: Quentin Glidic <sardemff7+git@sardemff7.net>

M	configure.ac

commit b7486ea7b5c384e793dabd888216783b6c6ae1b8
Author: bijanbina <bijanbina@gmail.com>
Date:	2016-06-11

    window: Preserve window chrome when opening a copy in new window

    https://bugzilla.gnome.org/show_bug.cgi?id=767532

M	shell/ev-window.c

commit e0c90ba0b89b98797264a9d8a72ce37dec02792a
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2015-11-29

    shell: style annotations toolbar

    https://bugzilla.gnome.org/show_bug.cgi?id=758793

M	shell/evince.css

commit ca1053500a21952c82c05207dc4f1f2227d447d0
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2015-11-29

    EvSidebarAnnotations: remove unnecessary top margin

    https://bugzilla.gnome.org/show_bug.cgi?id=758793

M	shell/ev-sidebar-annotations.c

commit f91addc511de57e679fb6e50781b5f1ed27a9b02
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2015-11-29

    Fix warnings with GTK+ 3.20

    https://bugzilla.gnome.org/show_bug.cgi?id=758793

M	cut-n-paste/libgd/gd-two-lines-renderer.c
M	libview/ev-view.c

commit b184d1f5bcdce56a0e39836c6cf0d58f98ee92c4
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2015-11-29

    shell: Update iconview CSS node name

    This fixes a runtime warning when using GTK+ 3.20

    https://bugzilla.gnome.org/show_bug.cgi?id=758793

M	shell/evince.css

commit 16bbee9df797c9498b0be983d1bcde309e281824
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2015-11-29

    shell: Update sidebar thumbnails CSS nodes

    Fixes frameless thumbnails with GTK+ 3.20

    https://bugzilla.gnome.org/show_bug.cgi?id=758793

M	shell/ev-sidebar-thumbnails.c
M	shell/evince.css

commit 2b352b3a632e400a3ed19f1af4b5ffe4a41d1171
Author: Felipe Borges <felipeborges@gnome.org>
Date:	2016-05-04

    libview: use css to draw the background of presentations

    With the recent changes in gtk+, widgets have to draw themselves,
    causing the current use of gdk_window_set_background_rgba to fail.

    https://bugzilla.gnome.org/show_bug.cgi?id=765557

M	libview/ev-view-presentation.c
M	shell/evince.css

commit bd68bf35fcabb57302841b1b713f2c1a382a8f21
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2016-06-19

    Allow to use a different CSS file depending to the GTK+ version

    If GTK+ >= 3.20 evince.css is used, otherwise evince-3-18.css.
    For now both files are the same, but this will allow us to fix the
    appearance with GTK+ 3.20 without breaking it with previous versions.

    https://bugzilla.gnome.org/show_bug.cgi?id=765557

M	configure.ac
M	shell/Makefile.am
A	shell/evince-3-18.css
R093	shell/evince.gresource.xml	shell/evince.gresource.xml.in

commit f1dacdd9b51888700e5c32bb5f944c1810278a63
Author: Cosimo Cecchi <cosimo@endlessm.com>
Date:	2016-06-16

    application: parent the about dialog to the currently active window

    Instead of letting it go unparented, which is discouraged and
    inconsistent with other similar apps.

    https://bugzilla.gnome.org/show_bug.cgi?id=767747

M	shell/ev-application.c

commit 6b939d37f3471644fb1f11c55e7d3867acc297ed
Author: Cosimo Cecchi <cosimo@endlessm.com>
Date:	2016-06-16

    window: don't use a thumbnail as window icon

    Modern desktop environments already have window previews e.g. in the
    Alt-Tab interface (or in the Activities overview, in case of
    gnome-shell).
    For desktop environments that don't support an app menu, this also has
    the effect of making the "application icon" used for the menu that
    appears in the top-left window corner be the thumbnail, which is
    confusing and unclear.

    Just remove the code that changes the window icon.

    https://bugzilla.gnome.org/show_bug.cgi?id=767747

M	shell/ev-window.c

commit 3a627390e07bd9d773141a44314132ac0e051045
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	2016-06-14

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 6bc5a57eec0306ce253c27701a676ac48d25a964
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2016-06-12

    Updated Slovak translation

M	po/sk.po

commit 948ae8c36d26f40d65df97674db7aa5ab54dcfa8
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:	2016-06-11

    Updated Swedish translation

M	help/sv/sv.po

commit 92d575a3d9420fa7f08623e0847d377f8abc7015
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:	2016-06-11

    Updated Swedish translation

M	po/sv.po

commit d5431437017ff0dcb3078c862fba319803ced550
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	2016-06-11

    Updated Scottish Gaelic translation

M	po/gd.po

commit 26b322e5f67e143814bcec4273170299a5290e8a
Author: Dirgita <dirgitadevina@gmail.com>
Date:	2016-06-09

    Updated Indonesian translation

M	po/id.po

commit 823369f498dfafed6b7247c3211449207a3dcab1
Author: Laurent Bigonville <bigon@bigon.be>
Date:	2016-06-09

    Remove the MimeType association from the evince-previewer.desktop file

    evince-previewer is not supposed to be used directly by the users and
    then shouldn't be added to the list of available applications when
    opening files.

    On debian it causes issues as the .desktop file are automatically
    registered in the /etc/mailcap file and applications using this
    mechanism will prefer evince-previewer over evince itself, see:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=825418

    https://bugzilla.gnome.org/show_bug.cgi?id=744893

M	data/evince-previewer.desktop.in.in

commit 20bdd9b50d014d199538ac3e63ecf0435e1ad998
Author: Flo H <emailtoflorian@gmail.com>
Date:	2016-06-02

    Updated German translation

M	po/de.po

commit 3aa0fd85cfd53167d3ccc0e468243128e3450274
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2016-05-30

    Updated Occitan translation

M	po/oc.po

commit f29c70663e90d66881cf87983b8be41f7ab41ab2
Author: Friedrich Herbst <fherbst@opmbx.org>
Date:	2016-05-29

    Updated German translation

M	po/de.po

commit c650b8e50f256772b25bd2349d81d8c1d981ad6b
Author: Theppitak Karoonboonyanan <theppitak@gmail.com>
Date:	2016-05-25

    Updated Thai translation

M	po/th.po

commit 71767dbf67636d083f40ca27326eee60221cb01f
Author: Felipe Borges <felipeborges@gnome.org>
Date:	2016-05-23

    previewer: handle opening files from URI

    https://bugzilla.gnome.org/show_bug.cgi?id=766531

M	previewer/ev-previewer.c

commit f812616a6a1f1ab98559afd7e953daa6aed4b75d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2016-05-23

    Updated Norwegian bokmål translation.

M	po/nb.po

commit a541fca0b5bd5dd3caa36cea3e9aa35ecc9fab6d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:	2016-05-17

    Fix build with GCC 6

    Both usages looooook safe.

M	backend/comics/comics-document.c
M	libdocument/ev-document-misc.c

commit 65757930d9792f4e122ec30dddacdb3fff274143
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	2016-05-15

    Updated Portuguese translation

M	po/pt.po

commit 377bb5b9f4cd8a0ebba7bb8e633967baafac26fd
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:	2016-05-15

    Updated Icelandic translation
    (cherry picked from commit a33aea8f0b53b45c96e255ef764957cc0fb137d3)

M	po/is.po

commit 14dbe715417016d33ee025e860d359d7e2d18519
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2016-05-10

    Updated Friulian translation

M	po/fur.po

commit 45f527e9b4789ceffa92f921ddff6804d0ee8974
Author: Marek Kasik <mkasik@redhat.com>
Date:	2016-05-10

    libview: Fix of the previous commit

    Test corresponding axes (kind of typo).

    https://bugzilla.gnome.org/show_bug.cgi?id=562257

M	libview/ev-view.c

commit 077bab6928be8de0eeb44b04f732e85a471cca7b
Author: Marek Kasik <mkasik@redhat.com>
Date:	2016-05-09

    libview: Scroll small pages in non-continuous mode

    Check whether currently shown page fits actual view and allow user
    to scroll
    to previous/next page in that case (also in Dual page mode).
    Allow also scrolling if only one axis fits the view and the event
    happenned in the same axis.

    https://bugzilla.gnome.org/show_bug.cgi?id=562257

M	libview/ev-view.c

commit ce85124405f2a2f521e895a41d1e38529f277e28
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2016-05-08

    Updated Occitan translation

M	po/oc.po

commit a5259dbf6d4ca5ab9a87b559094460792b0aec17
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	2016-04-29

    Updated Scottish Gaelic translation

M	po/gd.po

commit 6b2e325741e256dbb4fcef55d4536a1045c0902b
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	2016-04-27

    Updated Hungarian translation

M	po/hu.po

commit 9b3fc3a203897a8d7da25d632f2c3abc490b0e57
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2016-04-27

    Updated Spanish translation

M	po/es.po

commit 524f28d50c2789dad53bc89ca55c6a907f90b3c3
Author: echo-devim <devim@outlook.it>
Date:	2016-04-21

    Fixed the calculus about the maximum width of the label with the
    page count

    With this patch Evince doesn't keep in memory the page_labels array
    anymore for the documents that have the text of the page label
    equal to
    the page number. In this manner is possible to manage properly the
    documents that have a custom page label calculating the right
    width for
    the label with the page count.

    https://bugzilla.gnome.org/show_bug.cgi?id=764771

M	libdocument/ev-document.c
M	libmisc/ev-page-action-widget.c

commit 264e629df5afd03fd211ca2f886f3e272b6bd1c1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-04-14

    Updated POTFILES.skip

M	po/POTFILES.skip

commit 3e76c45a539f1830a733ce6ed7e73e0052b20eb9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-04-06

    Make the systemd user unit conditional

    I've implemented this by adding a --with[out]-systemduserunitdir
    configure option, because that seems to be what's conventional
    in projects where user units are configurable at all. If a user or
    distribution wants to disable these units, it's easier if they can
    pass --without-systemduserunitdir to everything, rather than checking
    whether it's spelled --disable-systemd-user-units in this particular
    project. Also, a binary enable/disable option wouldn't be noticeably
    less code.

    If the systemd user unit is disabled at configure time, the
    SystemdService line in the installed D-Bus service file is commented
    out. This addresses the corner-case situation where a user configures
    Evince --without-systemduserunitdir, but enables systemd activation
    for their session dbus-daemon (perhaps later). In that situation,
    we presumably want Evince to continue to use traditional activation,
    rather than trying to launch a nonexistent systemd unit.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=755897
    Reviewed-by: Carlos Garcia Campos

M	configure.ac
M	data/Makefile.am
M	data/org.gnome.evince.Daemon.service.in

commit 00a3e007fd4b24c4e4088aa98031972146d69a41
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2016-04-11

    Update Arabic translation

M	po/ar.po

commit 2f6ac4aae8694cdaa457ea7dd798ed9f9591c24d
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2016-04-10

    Updated Friulian translation
    (cherry picked from commit 799080769392490f50ebbc73f18fded0cd5822c9)

M	po/fur.po

commit a1b2dac644facdd5af57c142ae8e76dedc735b61
Author: Felipe Borges <felipeborges@gnome.org>
Date:	2016-03-31

    recent-view: show the document uri on a tooltip

    This helps differentiate documents which happen
    to have the same title and author. URIs should
    be unique.

    https://bugzilla.gnome.org/show_bug.cgi?id=764405

M	shell/ev-recent-view.c

commit 5054ea2bd5e16062810779c2caa775e1fdddb742
Author: Hashem Nasarat <hashem@riseup.net>
Date:	2016-02-10

    shell: Update shortcut text for moving around a page

    Move up/down a page sounds like you're going to the next or previous
    page. Also it doesn't explain moving left or right too.

    https://bugzilla.gnome.org/show_bug.cgi?id=761803

M	shell/help-overlay.ui

commit edbd86c7174ebbbf41a0598fd6827be0bc349f44
Author: Hashem Nasarat <hashem@riseup.net>
Date:	2016-02-10

    shell: Mention hjkl shortcuts in help overlay

    They're certainly less intuitive than the direction arrows so there's
    more reason to include them in the Keyboard Shortcuts overlay.

    https://bugzilla.gnome.org/show_bug.cgi?id=761803

M	shell/help-overlay.ui

commit ac2da0f79c0123bbcfab60c5fb4dafc28631fc25
Author: Hashem Nasarat <hashem@riseup.net>
Date:	2016-02-10

    shell: fix typo in zoom in/out gesture shortcuts

    Also reorder them so it's zoom in and then zoom out.

    https://bugzilla.gnome.org/show_bug.cgi?id=761803

M	shell/help-overlay.ui

commit f5573408adc4901dfed8ba6dadaf4d81d68517af
Author: Hashem Nasarat <hashem@riseup.net>
Date:	2016-02-10

    shell: Add Keyboard Shortcuts entry to App Menu

    Previously you could only open it with the Shift + F1 or Shift + ?
    shortcuts. Now it is much more discoverable. Most apps feature this
    entry in the App Menu.

    https://bugzilla.gnome.org/show_bug.cgi?id=761803

M	shell/evince-menus.ui

commit 903a21a6608a3741e5b3004c48f3277253bf0ee9
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2016-04-09

    Update Persian translations

M	po/fa.po

commit edd0e234b86462f6666d667b3db6fcfeff1db271
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2016-04-08

    Updated Friulian translation

M	po/fur.po

commit e43739e136a96cb9bfaf347cb60aba43dccf36dc
Author: Richard Hughes <richard@hughsie.com>
Date:	2016-03-28

    AppData: Mark as unremovable in GNOME Software

M	evince.appdata.xml.in

commit 1aff91dce26a3f55171665881ede592f2b9d0ce9
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2016-03-27

    Updated Friulian translation

M	po/fur.po

commit 356ec43211b2220a0086af353c88dcc886b0bb73
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2016-03-23

    Updated Friulian translation

M	po/fur.po

commit fe5fcc4942e9560ba7e98bac0fcb777d1c221558
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2016-03-23

    Updated Friulian translation

M	po/fur.po

commit 243e03448ac59dd5ab1dc426f8ea1d67e9d6dd7e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2016-03-21

    release: 3.20.0

M	NEWS
M	configure.ac

commit f674b9d7932a089ac8c64bb4fc1993abef5044a1
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2016-03-21

    Updated Japanese translation

M	po/ja.po

commit d7e1a288f864750789fc7a759b7b078bb1cf0063
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2016-03-20

    Updated Basque language

M	po/eu.po

commit 130dc4b06c5a20ee33473bf695bb39dcf7306fcf
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:	2016-03-20

    Updated Italian translation

M	po/it.po

commit bfb7c0f9b002a33148ff11031d121aacea32b36b
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	2016-03-19

    Updated Danish translation by scootergrisen

M	po/da.po

commit 8b75e3ea8320e8388bf565db72ce6f0c45ff7b53
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2016-03-19

    Added Hungarian help images

A	help/hu/figures/add-text-annotation.png
A	help/hu/figures/annotations-nav-to-page.png
A	help/hu/figures/annotations-navigate.png
A	help/hu/figures/list-add-tabs.png
A	help/hu/figures/print-select.png
A	help/hu/figures/reverse-collate.png
A	help/hu/figures/zoom.png

commit a09f1ca29eef278560edbf463e02e4dca3f70dbd
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2016-03-19

    Updated Hungarian help translation

M	help/hu/hu.po

commit d681da676c4a52590330426ba18196ddcfbb8037
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2016-03-16

    Updated Korean translation

M	po/ko.po

commit 8fa56024cb0577511adff4322a9b0bcfb5f592ab
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2016-03-16

    release: 3.19.92

M	NEWS
M	configure.ac

commit 8dd2619f439b36bc909996f4e67543bce471cc54
Author: Jordi Mas <jmas@softcatala.org>
Date:	2016-03-15

    Update Catalan translation

M	po/ca.po

commit a488079ea9e10615dba54f2a4d69d4dfc0a49684
Author: Marek Kasik <mkasik@redhat.com>
Date:	2015-12-15

    Fix selection of text on Wayland

    Do not clear selection if update of the primary selection failed.
    This is expected to happen on Wayland and other platforms with no
    primary selection,
    and just leads to the selected text being cleared after any attempt
    to change the
    text selection itself through either mouse/keyboard.

    https://bugzilla.gnome.org/show_bug.cgi?id=759506

M	libview/ev-view.c

commit 5f410069b8675f3f0b9d752c3ddf5374875f5984
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2016-03-13

    Updated Finnish translation

M	po/fi.po

commit df8b503552eb298f02c9903cb2f58806deae7351
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2016-03-13

    browser-plugin: manually destroy the search popover on toolbar dispose

    That way if it's still visible the closed signal will not be emited
    during destruction.

M	browser-plugin/EvBrowserPluginToolbar.cpp

commit 00af1fa930af9cc47c5d8df1e1a34c29319a3abd
Author: Stas Solovey <whats_up@tut.by>
Date:	2016-03-08

    Updated Russian translation

M	po/ru.po

commit f67090ad836e70804bd15138f181ce5105872f14
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2016-03-06

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 78e8afbe496c52bcdeaf9076c914353bb6bb7c62
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2016-03-05

    Updated Lithuanian translation

M	po/lt.po

commit 9b48b0e2364947acf246d54884a27af914754fcb
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2016-03-04

    Updated Ukrainian translation

M	po/uk.po

commit 7b52f0f61ac084f1f47a00831170a365a7a0349a
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2016-03-02

    Updated Hebrew translation

M	po/he.po

commit dcbda72364c0f06f18c5769554dbc73d52151475
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2016-03-02

    Update Arabic translation

M	po/ar.po

commit a645ce1491d01d0fe4b83b2e1cbab361ffbf39de
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2016-02-29

    Updated Occitan translation

M	po/oc.po

commit 9fe48d1fca95b0fd896f5266265ea21a418d3973
Author: Tom Schoonjans <Tom.Schoonjans@diamond.ac.uk>
Date:	2016-01-31

    DjVu: support for utf8 filenames on Mac OS X

    Filename encoding on Mac OS X is in UTF-8, which means that DjVu
    documents must be opened with ddjvu_document_create_by_filename_utf8
    instead of ddjvu_document_create_by_filename.

    Implemented using a conditional preprocessor macro as this may affect
    other operating systems.

    Since ddjvu_document_create_by_filename_utf8 was added only in 3.5.22,
    the pkg-config check for djvulibre was changed accordingly.

    https://bugzilla.gnome.org/show_bug.cgi?id=761161

M	backend/djvu/djvu-document.c
M	configure.ac

commit c1fd4d9f6879821cad03717174aefac3322b8339
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-25

    Updated Czech translation

M	po/cs.po

commit 3a059a5e919f6c0f2d6cc0a91e5cd952d733a62d
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:	2016-02-24

    Updated Galician translations

M	po/gl.po

commit 7850b986cf3225369170cdec545844b025bfd12e
Author: Marek Kasik <mkasik@redhat.com>
Date:	2016-02-16

    Recognize multipage DjVu MIME type

    There is new image/vnd.djvu+multipage MIME type for DjVu documents
    in shared-mime-info.
    This MIME type is used if Evince has to guess type of the document.
    Evince states that it doesn't support it in such case.
    This is reproducible if the opened document doesn't have an extension.

    https://bugzilla.gnome.org/show_bug.cgi?id=754467

M	browser-plugin/EvBrowserPluginMain.cpp
M	configure.ac

commit e6e0d29d9fed63599e736003f06428a1aea87121
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2016-02-20

    view: Fix end_page reset after reload a page

    When a document is reloaded, and the accessible end_page is higher
    than the number of pages, it must be re-initialized to the number
    of pages minus one because it refers to elements in an array.

M	libview/ev-view-accessible.c

commit 7c4721a3aee0a8b04035cd1070611d8b6d79c27b
Author: A S Alam <aalam@users.sf.net>
Date:	2016-02-21

    updated Punjabi Translation

M	po/pa.po

commit 51c230fc60714ba511c6e756527a43ccbe613569
Author: Theppitak Karoonboonyanan <theppitak@gmail.com>
Date:	2016-02-21

    Updated Thai translation

M	po/th.po

commit 080037d95c0b5dafe19580c017ff528deec50ee7
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2016-02-20

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit feff531edc6f5b844f4f2a8d358ab5c638b3a449
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2016-02-18

    Check legal boundaries of accessible pages (revisited)

    Keep the accessible view end page under the limits of the document.
    Sometimes when a document is reloaded, it may have less pages making
    the end page higher than the actual number of pages.

    Fix https://bugzilla.gnome.org/show_bug.cgi?id=735744

M	libview/ev-view-accessible.c

commit 5e73b292406c1f9559dc9d8ad71a120a28cbb8d1
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2016-02-16

    Check legal boundaries of accessible pages

    When a document is reloaded, the accessible->priv->children is
    cleaned up and updated with the new document information.
    In specific cases, where the document is smaller, priv->end_page
    will be higher than the current number of pages. Therefore, we
    check the number of pages to avoid access to nonexistent pages
    in priv->children).

    Fix https://bugzilla.gnome.org/show_bug.cgi?id=735744

M	libview/ev-view-accessible.c

commit 73b4b7f2e4fb12bceec5a9eccf6af1ffff0edf32
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:	2016-02-14

    Updated Swedish translation

M	po/sv.po

commit e5403117c0c8d23065d3ea3e7884a57efa542689
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2016-02-13

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 2d2c5d23af50051e80f5287c2114fea6b68becc0
Author: Fábio Nogueira <fnogueira@gnome.org>
Date:	2016-02-12

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit c41aa2813fbf7e892c07ead1fd08936c8645aa21
Author: Claude Paroz <claude@2xlibre.net>
Date:	2016-02-08

    Updated French translation

M	po/fr.po

commit cae427b995181b5e611df3472077992f2eec57f1
Author: Jordi Mas <jmas@softcatala.org>
Date:	2016-02-07

    Update Catalan translation

M	po/ca.po

commit 2e8cce10ec69efd2bda590e8a4e4e211509c3b4a
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	2016-02-07

    Updated Hungarian translation

M	po/hu.po

commit 9b5423cc6438fe744af99e1aaa04833db9b73bf2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2016-02-07

    Updated Spanish translation

M	po/es.po

commit dc8fd869ff5e18bc70f608aa3d6b4a6eec324fae
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2016-02-06

    Updated Bulgarian translation

M	po/bg.po

commit 2f365c880a1535c2d0e1b7ba9eb2b866ddde6fa9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-02-06

    Updated Polish translation

M	po/pl.po

commit 8e480835daf137e3f0a614d6957b327e722409f8
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2016-02-06

    Update Latvian translation

M	po/lv.po

commit a934609269c6abbb63c98bccbd46ce22c65838e5
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:	2016-02-06

    Updated Greek translation

M	po/el.po

commit 27e2270361dbbbd5cde7eb10df0e3c39c6ee71a3
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2016-02-06

    Updated Slovak translation

M	po/sk.po

commit f13a812d3dabc7aaebccd40b161ed6dd88592e6a
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2016-02-05

    Updated Kazakh translation

M	po/kk.po

commit d60392d38962f48c4085624adfbc3497b8da27ba
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-02-02

    Updated German translation

M	po/de.po

commit 5a4912bdbbf3c8000e77a093cf366276eeb56283
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2016-02-01

    Bump poppler requirements to 0.33.0

    It is the newer poppler stable release.  It has new API required
    by Evince to handle annotations (since 0.26.0 at least), and it
    has improvements that makes Evince work properly.

    0.33.0 is old enough to keep poppler as sysdep in jhbuild.

    https://bugzilla.gnome.org/show_bug.cgi?id=751322

M	backend/pdf/ev-poppler.cc
M	configure.ac

commit 57677bbd4bc905b72ab9e3802881eb7931307767
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-02-01

    Add context to strings in the shortcut window

    It helps translators by differentiating the help strings from
    other strings
    in the app that might be identical, and allowing to translate them
    accordingly.

    https://bugzilla.gnome.org/show_bug.cgi?id=761409

M	shell/help-overlay.ui

commit cb3d4b2820d9e6584d4b3df105edb3bae73d6e50
Author: Felipe Borges <felipeborges@gnome.org>
Date:	2016-01-12

    shell: use popover for view-menu and action-menu

    https://bugzilla.gnome.org/show_bug.cgi?id=760527

M	shell/ev-toolbar.c

commit a05ec4a328468c42f3a99d3667fc875c45c3a663
Author: Felipe Borges <felipeborges@gnome.org>
Date:	2015-12-04

    shell: let GtkApplication load the appmenu

    Since bgo#757828 introduced g_application_set_resource_base_path,
    we don't need to use a GtkBuilder to load the appmenu.

    GtkApplication automatically loads menus from the GtkBuilder resource
    located at "gtk/menus.ui", relative to the application's resource
    base path (see g_application_set_resource_base_path ()). The menu
    with the ID "app-menu" is taken as the application's app menu.

    https://bugzilla.gnome.org/show_bug.cgi?id=757937

M	shell/ev-application.c
M	shell/ev-toolbar.c
M	shell/ev-window.c
M	shell/evince-menus.ui
M	shell/evince.gresource.xml

commit 972e6fabda63200baf9c1c246b8e71815645c0e4
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:	2016-01-11

    thumbnailer: Call setlocale in main function

    It is required to correctly show translated messages on some locales.

    https://bugzilla.gnome.org/show_bug.cgi?id=760418

M	thumbnailer/evince-thumbnailer.c

commit a0b9d0ed8667854da2a3516f4ecb72b54df4bb47
Author: Richard Hughes <richard@hughsie.com>
Date:	2016-01-25

    Add a missing tag to the AppData file

M	evince.appdata.xml.in

commit e37489b0cfbd08cd061c84ff699e88f8675aeb2b
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	2016-01-25

    Updated Hungarian translation

M	po/hu.po

commit 570c2f4e4c347f14717f92f7b571c5814917b20b
Author: Richard Hughes <richard@hughsie.com>
Date:	2016-01-22

    Add the kudos to the AppData file

M	evince.appdata.xml.in

commit c4d3f39d4bb847dd22b269f3f6172e362ca05b38
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2016-01-17

    Updated Lithuanian translation

M	po/lt.po

commit 628cdcbf2fb3b6285cf20a32256684cbebf1bbf7
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2016-01-15

    Updated Hebrew translation

M	po/he.po

commit 4c6b5492256000c94b8fc45a0921b21294c43710
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2016-01-10

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 605e290b793e112278d3ba4ae48611e78190a2a5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2015-09-30

    Add a systemd user unit corresponding to the D-Bus session service

    https://bugzilla.gnome.org/show_bug.cgi?id=755897

M	data/Makefile.am
A	data/evince.service.in
M	data/org.gnome.evince.Daemon.service.in

commit 4405f3ee574f2c3fd1a1b67baf2d4fbc6aed2661
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2016-01-08

    shell: Add meaning for 'Outline' in the sidebar for translators

    Fix https://bugzilla.gnome.org/show_bug.cgi?id=760136

M	shell/ev-sidebar-links.c

commit 57d782d11fe2b48f98848696dc6e497eb7ab3e85
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2016-01-06

    Updated Finnish translation

M	po/fi.po

commit cfada0e51570542b4984b209bc962b347a879e77
Author: Gustavo Marques <gutodisse+gnome@gmail.com>
Date:	2016-01-05

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e25a56713fea7b9337bfca310b616d3b586266bd
Author: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
Date:	2015-12-29

    Updated German translation

M	po/de.po

commit a4c7e279c3f8b8009b2f288308892f1d2069c233
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:	2015-12-29

    Updated Greek translation

M	po/el.po

commit 850260a91a00ff8c23402255582e55b2344799f9
Author: Marek Černocký <marek@manet.cz>
Date:	2015-12-24

    Updated Czech translation

M	po/cs.po

commit e7b474d688d8d43989ad7f3a2e9963b27d813864
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-12-10

    Updated Spanish translation

M	po/es.po

commit 217b70f01df2730096e7e84de600f148cef91170
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2015-12-09

    Updated Kazakh translation

M	po/kk.po

commit f0e5c5153966527aa0c16d018e568c2c72617776
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2015-12-07

    Updated Finnish translation

M	po/fi.po

commit d84f82d7414e802fd28b975ca670c91c2ab02ab4
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-12-06

    Updated Slovak translation

M	po/sk.po

commit 54e594696612a850c853842ab8b119b4e4b10e92
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-12-05

    Updated Portuguese translation

M	po/pt.po

commit d71419ffdac7990d097361012bf843b94dfa7bf0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-12-03

    Updated POTFILES.in

M	po/POTFILES.in

commit 4ba43fd4fffbee095ff345060f2e63a108508262
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:	2015-12-02

    Updated Swedish translation

M	po/sv.po

commit 282b2f849ad34a470aadb551271d4f0575193fef
Author: Jaakko Hannikainen <jgke@jgke.fi>
Date:	2015-12-02

    ev-view: Add Shift+Space keybinding to go back in presentation mode

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=758162

M	libview/ev-view-presentation.c

commit 6e454ee8f362fcce647ec875406451b4f5cd394f
Author: Felipe Borges <felipeborges@gnome.org>
Date:	2015-11-11

    shell: Add shortcuts help window

    Use GTK+'s new shortcut window to document our shortcuts.
    See: https://wiki.gnome.org/Initiatives/GnomeGoals/ShortcutWindows

    https://bugzilla.gnome.org/show_bug.cgi?id=757828

M	shell/Makefile.am
M	shell/ev-application.c
M	shell/ev-toolbar.c
M	shell/ev-window.c
M	shell/evince.css
M	shell/evince.gresource.xml
A	shell/help-overlay.ui

commit 91ac78bc587eb2ac931136c9da9609b142410209
Author: Giselle Reis <gisellemnr@src.gnome.org>
Date:	2015-07-29

    Selecting text from annotation notes

    Clicking and dragging the mouse inside an
    annotation note should select the text. Clicking
    and dragging the mouse on the title bar should
    move the window.

    This commit fixes
    https://bugzilla.gnome.org/show_bug.cgi?id=749727

M	libview/ev-annotation-window.c

commit c648cb2aa38c5004fc091d0067d63aa3beee748f
Author: Jürn Brodersen <juern.brodersen@googlemail.com>
Date:	2015-07-28

    comics: Fixed special characters in path to cbz

    https://bugzilla.gnome.org/show_bug.cgi?id=643843

M	backend/comics/comics-document.c

commit 5e9067d92c42011bec09e7a638bd42a8a396d123
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-12-02

    appdata: Add kudos to addp data files

M	backend/comics/evince-comicsdocument.metainfo.xml.in.in
M	backend/djvu/evince-djvudocument.metainfo.xml.in.in
M	backend/dvi/evince-dvidocument.metainfo.xml.in.in
M	backend/pdf/evince-pdfdocument.metainfo.xml.in.in
M	backend/ps/evince-psdocument.metainfo.xml.in.in
M	backend/tiff/evince-tiffdocument.metainfo.xml.in.in
M	backend/xps/evince-xpsdocument.metainfo.xml.in.in

commit 3194031c0d82d83284633e3bab9a681c7afb0dee
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-11-30

    Updated Portuguese translation

M	po/pt.po

commit cdbca4b02b4bbb077b64c3ff4f0b84c09e78f0ae
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2015-11-26

    shell: Fix css style for ev-loading-message

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=758356

M	shell/evince.css

commit caa9b3d29c4a05be5f20c82f46730fa3e3fc0d93
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-11-27

    Updated Greek translation

M	po/el.po

commit 90b1d4f8874aeb2bf4b20eb2a996316deb250a02
Author: Bastien Nocera <hadess@hadess.net>
Date:	2015-11-24

    libview: Fix warning with no document loaded

    When switching to the view in gnome-documents or gnome-books,
    the EvView
    would get a focus event before the document was loaded, where we'd try
    to access structures that were only there if the document was loaded.

    https://bugzilla.gnome.org/show_bug.cgi?id=758596

M	libview/ev-view.c

commit bf45fe7c7a4057b87cd24ec0b4be6a04e1e6dbd9
Author: Bastien Nocera <hadess@hadess.net>
Date:	2015-01-29

    build: Fix unbalanced quote in configure script

M	configure.ac

commit 84bfbd0584785e4833afc46224851d5718cadc8c
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2015-11-19

    Updated Hebrew translation

M	po/he.po

commit 2d71b15fbfef0d71e3b342cafc6dd8fc4ffced49
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:	2015-11-18

    Move symbolic app icon to symbolic folder

    It's the cool new place to put symbolic icons.

M	configure.ac
M	data/icons/Makefile.am
M	data/icons/scalable/Makefile.am
A	data/icons/symbolic/Makefile.am
R093	data/icons/scalable/apps/Makefile.am
data/icons/symbolic/apps/Makefile.am
R100	data/icons/scalable/apps/evince-symbolic.svg
data/icons/symbolic/apps/evince-symbolic.svg

commit 9efbaf96741939ccf7a285c11fba3e427f9b144b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:	2015-11-18

    Fix installation of symbolic app icon

M	data/icons/scalable/apps/Makefile.am

commit 04374167ac7116df9eaea0a0713ec1db7178e05f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-11-17

    Updated Spanish translation

M	po/es.po

commit 858227e917c7ce2cc32810f334ca496a318892ff
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2015-11-16

    Updated Kazakh translation
    (cherry picked from commit 51f49453eaac88967128c85a9c3e6bc5cb1ff5a1)

M	po/kk.po

commit 351fbff35b8eb5703a75c146087c373b8b78796c
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	2015-11-16

    Updated Scottish Gaelic translation

M	po/gd.po

commit 357c1bdacd7237ef9638815e438bb90d582b9a8e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2015-11-16

    Updated Norwegian bokmål translation.

M	po/nb.po

commit feed704d4fd59038b244895ab2e6693b3e1d597a
Author: liushuyu <liushuyu_011@126.com>
Date:	2015-11-14

    update zh_CN translation

M	po/zh_CN.po

commit 79e31e87ab68b91177c29e35d38d49c7f77cf0d9
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	2015-11-08

    Updated Hungarian translation

M	po/hu.po

commit b934f9d7302bb84dc9b4da3ebac982e731d628a4
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2015-11-07

    Updated Finnish translation

M	po/fi.po

commit c4856b2436f3e596a1029c9eda1533dd295c3554
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-11-05

    Updated Portuguese translation

M	po/pt.po

commit ba78b5cb7e47d0ec4feea759493408b34ade685b
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:	2015-10-25

    Updated Romanian Translation

M	po/ro.po

commit 19fa59075d0ca47c2d5da75fc687aff0b047a233
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:	2015-10-24

    Whitespace fix

M	browser-plugin/EvBrowserPluginToolbar.cpp

commit 2162b78954ea85838364b0a4b954943e35fecdfa
Author: Marek Černocký <marek@manet.cz>
Date:	2015-10-24

    Updated Czech translation

M	po/cs.po

commit 2cd7145f90adacddd89c75d6078cf98bf63cc769
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2015-10-22

    shell,plugin: Set position of GtkPopover. Fixes 756976

    On wayland, the GtkPopover is shown in Gtk's default position which is
    GTK_POS_TOP. This default makes Evince unusable when having the window
    maximized. Besides that it looks ugly having the popups shown in the
    top of the window.

    https://bugzilla.gnome.org/show_bug.cgi?id=756976

M	browser-plugin/EvBrowserPluginToolbar.cpp
M	shell/ev-zoom-action.c

commit ec0faabdd952652b3c65981ef47fef00dd6a62c4
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2015-10-19

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 568e3a32267c9141aae9108efe62499357274157
Author: Felipe Borges <felipeborges@gnome.org>
Date:	2015-09-18

    show message area messages on recent view

    https://bugzilla.gnome.org/show_bug.cgi?id=755064

M	shell/ev-window.c

commit e303f31bef65c67a1cd1b13691807c2c71611c1c
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2015-10-17

    ev-sidebar-links: Rename text from Index to Outline. Fixes 732547

    In the specification it is referred as "document outline", which
    in most cases is close to "Table of Contents". In any case, the
    term is more maeaningful than Index.

    https://bugzilla.gnome.org/show_bug.cgi?id=732547

M	shell/ev-sidebar-links.c

commit 63804148708436ec3de45afc048400cf526511f9
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2015-10-16

    ev-toolbar: Add missing tooltips to the headerbar. Fixes 595467

    Add tooltips to page and zoom selector widgets.

    https://bugzilla.gnome.org/show_bug.cgi?id=595467

M	shell/ev-toolbar.c

commit f48fcaf6af09ebd24e325b78758f875e381c86db
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2015-10-16

    find-sidebar: show the page label instead of page number. Fixes 756683

M	shell/ev-find-sidebar.c

commit 92d706d61387eb552de3bda518bccf2703e03589
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2015-10-18

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 3f687b1c19fc106afd25f66399d7e947c83d6ab5
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2015-10-17

    Updated Finnish translation

M	po/fi.po

commit a7630a31d158b37baf8faad9d58bba73aceec427
Author: Marek Černocký <marek@manet.cz>
Date:	2015-10-17

    Updated Czech translation

M	po/cs.po

commit 75aa8c7fecf647160c7a739adbe187a84c65780d
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-10-17

    Updated Portuguese translation

M	po/pt.po

commit f64a876a363af286f5c90acd15cbaa8fda343171
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:	2015-10-16

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit f93a84c015a53f6fa89f2af04ad004631d8b7442
Author: Marek Kasik <mkasik@redhat.com>
Date:	2015-02-11

    Check for failed rendering jobs

    Check whether creating of thumbnails for sidebar, thumbnails for
    recent view
    or rendering of document itself failed to avoid crashes.

    https://bugzilla.gnome.org/show_bug.cgi?id=744049

    https://bugzilla.gnome.org/show_bug.cgi?id=744586

M	libdocument/ev-document.c
M	libview/ev-jobs.c
M	libview/ev-pixbuf-cache.c
M	shell/ev-recent-view.c
M	shell/ev-sidebar-thumbnails.c

commit 28f8be70a6a8c941ef8326cf831238365eae4689
Author: Felipe Borges <felipeborges@gnome.org>
Date:	2015-10-02

    shell: support the launch of multiple URI arguments

    https://bugzilla.gnome.org/show_bug.cgi?id=755796

M	shell/ev-application.c

commit e0014008dc388708380560e4b7a10146866146c4
Author: José Aliste <jaliste@src.gnome.org>
Date:	2015-10-13

    shell: Escape bookmark title

    Since we are using a GMarkup rendered for the title,
    we need to escape text so characters like & will be
    correctly rendered by the TextView.

    https://bugzilla.gnome.org/show_bug.cgi?id=663019

M	shell/ev-sidebar-bookmarks.c

commit d81f36eab426decd7b661af326ba443d9b8be92b
Author: José Aliste <jaliste@src.gnome.org>
Date:	2015-09-30

    libview: Ignore right clicks while in annotation add mode.

    https://bugzilla.gnome.org/show_bug.cgi?id=755619

M	libview/ev-view.c

commit fb22f9d8c123c34558e13cf0be68baea7a089364
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2015-10-14

    backend: check action is a valid pointer. Fixes 756572

    Somehow, poppler_annot_screen_get_action() returns NULL and it
    was not being checked for POPPLER_ANNOT_SCREEN.

M	backend/pdf/ev-poppler.cc

commit d7dc267e4fb5564ab1236ef46dc3f668cf34804a
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2015-10-14

    Updated Basque language

M	po/eu.po

commit 696d1b5f9f71a2f57b882ae6e9530957f6416471
Author: Claudio Arseni <claudio.arseni@gmail.com>
Date:	2015-09-30

    Updated Italian translation

M	po/it.po

commit 0a7e2d2cacb9d9589f2e936bbb3c96998c2d2705
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2015-09-29

    Updated Japanese translation

M	po/ja.po

commit 969af99a414b82001ecc4ac553d9429313ad6252
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Chinese (Simplified) translation of default:mm

M	po/zh_CN.po

commit 9f5616b38b9ddb0734716d2f271a6b3474531f04
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Oriya translation of default:mm

M	po/or.po

commit 8d49447b410ddf5a3616e1ddbeb04e60396b2691
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Nepali translation of default:mm

M	po/ne.po

commit 8c269f7f5f653b5ca350aa2b2c8e366902d8b38c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Burmese translation of default:mm

M	po/my.po

commit 6d95ade52d1b6f8fcb45026f3bd9e018d8e8e401
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Kashmiri translation of default:mm

M	po/ks.po

commit f6d5b594f00c97e55e33105226f5c0f3542cb0f5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Khmer translation of default:mm

M	po/km.po

commit ef7fdbf4c34cf18cab15274cf6758245a944bd8f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Bengali translation of default:mm

M	po/bn.po

commit 29b70dcfbcbfdc279b181eff33b7e3c6a8278d0c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Uyghur translation of default:mm

M	po/ug.po

commit b0cf632485f1a41ffa86c4f31bda16d17cbc00d6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Tajik translation of default:mm

M	po/tg.po

commit 26decc6f586536a0745e3e14a0789763927f1149
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Telugu translation of default:mm

M	po/te.po

commit 38d9537d896b1a9093fa65fbf0619665e7f51206
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Tamil translation of default:mm

M	po/ta.po

commit 24df458e28523270427dfe8d2efa0149d006c4ac
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Slovak translation of default:mm

M	po/sk.po

commit c68a5655007b87f84b42e30a95db0eeaa0f3814a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Sinhala translation of default:mm

M	po/si.po

commit 6271c9c78e695038367ac25666c1fa8a7b84a29c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Portuguese translation of default:mm

M	po/pt.po

commit 4fb20922530f2ded27556f7184e0ff5fb264124d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Low German translation of default:mm

M	po/nds.po

commit 61dd945ada27e466810d534a8862aa7f09ccbd28
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Malay translation of default:mm

M	po/ms.po

commit 10de708f56c86e0a1b137b77dc07811441b4636f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Marathi translation of default:mm

M	po/mr.po

commit d3c01100da69752998e226222392dd014c895022
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Mongolian translation of default:mm

M	po/mn.po

commit 3cf93558a4ee87bf4355a39b7e81f73a0c94ce04
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Kurdish translation of default:mm

M	po/ku.po

commit c22230888a23103e6f92555b9aa73cf43bfaa541
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Finnish translation of default:mm

M	po/fi.po

commit 6de077e74e74f2dc7d0c995eec1368dd75ae53ca
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Dzongkha translation of default:mm

M	po/dz.po

commit afaeb636c6ee0e393ed9b176b5e05071d5f42b62
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-26

    Fix Bosnian translation of default:mm

M	po/bs.po

commit 1987f04ea36329b1bd61d053a19d9e341e0454ce
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:	2015-09-22

    libview: Save/restore context when getting colors for a different
    state

    Getting colors for a state different from the current state of the
    corresponding widget without saving the context might trigger an
    invalidation and a redraw. Because this was happening from the draw
    function this resulted in a redraw loop and constant high CPU usage.

    This could be triggered by selecting text or searching.

    https://bugzilla.gnome.org/show_bug.cgi?id=755442

M	libview/ev-view.c

commit b09ae030d9d814581dbcb34db3b732233426f4ac
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2015-09-24

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit af416defe5ec34991b83862ebf2cdc08c5c3e29d
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2015-09-23

    Update Arabic translation

M	po/ar.po

commit 76a528a423a45f068571416b912eadbfbaadd4f9
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:	2015-09-23

    Finnish translation update

M	po/fi.po

commit 8ff943cda393591da0a532a38f36ca18144f1142
Author: Милош Поповић <gpopac@gmail.com>
Date:	2015-09-22

    Updated Serbian Latin translation

M	po/sr@latin.po

commit ad2189c2134e0f20f6d21cc63ef2e22ea67a6b0f
Author: Милош Поповић <gpopac@gmail.com>
Date:	2015-09-22

    Updated Serbian translation

M	po/sr.po

commit b1c5433eedf26a17d0ac1962f98b021afe30f861
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-09-21

    release: 3.18.0

M	NEWS
M	configure.ac

commit c5dd1b4408041d8a9a316b8185ca7927db649e53
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	2015-09-20

    Updated Danish translation

M	po/da.po

commit f041790b3763551f54eebb0f0fa7161a32cfba0f
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-09-20

    Updated Greek translation

M	help/el/el.po

commit 0468435d879a38cd349eb27c32be7203094045f7
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2015-09-19

    Updated French translation

M	help/fr/fr.po

commit 42e83c8c0158b65f0b8c9950bdb0c3567b705369
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	2015-09-19

    Updated German translation

M	help/de/de.po

commit dc7e7657d9f91d4b11a23a26d01bd6ef9890b206
Author: František Zatloukal <Zatloukal.Frantisek@gmail.com>
Date:	2015-09-19

    Updated Czech translation

M	po/cs.po

commit e02ed4010f3b4efd601849b0d67cc2c9b35949e0
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2015-09-18

    Updated Latvian translation

M	po/lv.po

commit 9debf0216b4c8b364ac917d8c4135b855cc7c6c6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-18

    Updated Polish translation

M	po/pl.po

commit 2d6c3c2f8a0277122570b1a5052bc8e963f40479
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-09-16

    release: 3.17.92

M	NEWS
M	configure.ac

commit 1a3bc31e1edccc6a088a8039e5676146c87919b0
Author: Andika Triwidada <andika@gmail.com>
Date:	2015-09-14

    Updated Indonesian translation

M	po/id.po

commit af2eaedefe9c2810acdf8d19188637746f267516
Author: Marek Černocký <marek@manet.cz>
Date:	2015-09-14

    Updated Czech translation

M	help/cs/cs.po

commit 1b42714c9c9b30d05f4b3c699a14c8863ffa82f2
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2015-09-12

    Update Persian translations

M	po/fa.po

commit 1c0b0405c68afb7c59b3cb3b044e3e41f6815ee9
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2015-09-12

    Updated Korean translation

M	help/ko/ko.po

commit 1788a4205b56b04047323d2f6e9bb951592cc50d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-10

    Fix FSF address in Polish translation

M	po/pl.po

commit 6d94757e0266416744f586f8646a57d02194e347
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2015-09-06

    Updated Korean translation

M	po/ko.po

commit 56011e923aa07d5cebb42af0db957cead57b2c0f
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2015-09-04

    Updated Kazakh translation

M	po/kk.po

commit 8954a6d5650b931023f735ec8c06654d37eb4f2d
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2015-09-04

    Updated French translation

M	po/fr.po

commit 69cb9e069dc1cb58e0ff17831922fccd6aa303ca
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2015-09-03

    Updated Lithuanian translation

M	po/lt.po

commit 9ea854155dd84374f0c3d6d26e37f277204a920d
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:	2015-09-02

    Updated Icelandic translation

M	po/is.po

commit 0abc378cf13d7eb322ff456772168464ff1d16ba
Author: Marek Kasik <mkasik@redhat.com>
Date:	2015-08-19

    libdocument: Don't copy permissions from original file

    Consider copy as a new file and use default permissions for it
    when saving a copy of opened document.

    https://bugzilla.gnome.org/show_bug.cgi?id=753019

M	libdocument/ev-file-helpers.c

commit c07bdf9f6b19a22b6f3d297c24c1f5efde49ad75
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-08-30

    Updated Greek translation

M	po/el.po

commit 8eec9ca93ce0de0072661ad154d0b5afe79d6fd0
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	2015-08-28

    Updated Russian translation

M	po/ru.po

commit 97cf8b83a8d2ef3fb966eef46047869ce7c02b93
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-08-26

    Updated Polish translation

M	po/pl.po

commit fed590a1d1c9bc033b670e54fad44d05e035fa7d
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2015-08-26

    Updated Swedish translation

M	po/sv.po

commit 7763ba8b95c9939cee1eb4e0fcf58241dfcb7a30
Author: Fran Dieguez <fran@openhost.es>
Date:	2015-08-25

    Updated Galician translations

M	po/gl.po

commit ab25fe0db255eeda406a6901f59adf8d0f082d71
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2015-08-25

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 9d85cf27f860d66b00d534c1d74dc4912f58fa8a
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2015-08-23

    Updated Turkish translation

M	po/tr.po

commit 67ead567c323a0c7f3213be524be28edcd5c23fa
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2015-08-18

    Updated Hungarian translation

M	help/hu/hu.po

commit e523d16c946cac25ed50f89f2b0b844b47bc4e30
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-08-18

    Updated Spanish translation

M	help/es/es.po

commit fc384675d5b29ac1edd20e1202a587d95f164b52
Author: Taufan <taufanlinux@gmail.com>
Date:	2015-05-07

    help: add shortcut to help, bug 728760

M	help/C/shortcuts.page

commit fb61b9175d844b65c358b3e199638f7eadf2bc07
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2015-08-11

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 5e23010fa5ea42560004f2b06379802ef8651be0
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2015-07-30

    Updated Norwegian bokmål translation.

M	po/nb.po

commit f4b5ecc6e6fa3339b220740fdeb21ae4203a7916
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2015-05-14

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 06e89f0552dce7a3aa5175e5eb94e1016f26f405
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-07-27

    Updated Slovak translation

M	po/sk.po

commit d9a0a2a092ca708af99cd599812b33944973eb49
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2015-07-26

    Updated Friulian translation

M	po/fur.po

commit 6bac28361b857d58acaa8a7cd72359ad76ac6fca
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:	2015-07-23

    Update Aragonese translation

M	po/an.po

commit 87e08b6d5125f60a2fe052ff5b5037fe25003199
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-07-21

    release: 3.17.4

M	NEWS
M	configure.ac

commit f593006ce37853d85fa2aacca13ab8eb8783798d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-07-21

    Fix make distcheck

    It's seems this is a bug in intltool that happens since automake 1.15,
    that uses a subdir sub inside the buildir during distcheck. I have no
    idea how to fix it, so this is a temporary workaround so that I
    can make
    releases until the bug is fixed.

    See https://bugs.launchpad.net/intltool/+bug/1117944

M	po/POTFILES.skip

commit 2d255b4240b1e2da72cda3ac4b7f9b1ef962b426
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2015-07-17

    Updated Hungarian translation

M	po/hu.po

commit bd4145d369b1f9d6200de1394079e2a3003fd698
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2015-07-16

    Updated Hebrew translation

M	po/he.po

commit 04ef55345dc07f396de12c486fdf6e4ce2646c97
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2015-07-08

    Updated Slovenian translation

M	po/sl.po

commit 9bfd16abe8c44c5300de2b9bda458fef4f5e0dc1
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-07-04

    Updated Portuguese translation

M	po/pt.po

commit 5d6d2957291803da5555cc0bd10988e4676188ab
Author: Benjamin Steinwender <b@stbe.at>
Date:	2015-07-03

    Updated German translation

M	po/de.po

commit b597325dfc17aa95ff021b27cc5e9f1b1175d576
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-06-30

    Updated Spanish translation

M	po/es.po

commit 06ee69e0438ae6b8c1dd11a2a363988a4f7bcf4a
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-06-29

    Updated Portuguese translation

M	po/pt.po

commit 65aacea6eea6359da042e693846859e76ab2a1ed
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-28

    Add a toolbar for adding annotations

    And remove the tool palette used in the sidebar. This makes easier to
    add annotations and improves the discoverability of the feature.

    https://bugzilla.gnome.org/show_bug.cgi?id=649045

M	po/POTFILES.in
M	shell/Makefile.am
A	shell/ev-annotations-toolbar.c
A	shell/ev-annotations-toolbar.h
M	shell/ev-sidebar-annotations.c
M	shell/ev-sidebar-annotations.h
M	shell/ev-toolbar.c
M	shell/ev-window.c

commit 965f6bb9182171d1ee741d0231c25b312553a6c2
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-06-25

    Updated Slovak translation

M	po/sk.po

commit 94af99dd8303045f60543c3c76322d3c966730e6
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2015-06-25

    Updated Tajik translation

M	po/tg.po

commit 22d4a5b28f0728e0aea5de51a9c7a578ac2510e1
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2015-06-24

    Updated Hungarian translation

M	po/hu.po

commit 0f9a39ccecf5da98146b03a5d57761c9f48a3681
Author: Stas Solovey <whats_up@tut.by>
Date:	2015-06-23

    Updated Russian translation

M	po/ru.po

commit 877a0d6f29292ce5a7d0276339c3d5680d745652
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-22

    release: 3.17.3

M	NEWS
M	configure.ac

commit 3439819eb1ac4b50ee10e92c4fb09e4fd696f01e
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:	2015-06-09

    libview: Implement support for moving text annotations.

    This adds support for moving text annotations by simply
    dragging them to a new location.
    The call to ev_view_handle_annotation has been moved from callback
    ev_view_button_press_event to ev_view_button_release_event.

    https://bugzilla.gnome.org/show_bug.cgi?id=649043

M	libview/ev-view-private.h
M	libview/ev-view.c

commit ea382eeebe4d59c04c7d7e59b99d6a96859b47ea
Author: Benjamin Steinwender <b@stbe.at>
Date:	2015-06-20

    Updated German translation

M	help/de/de.po

commit 556dd6b3e91a528fcad18e373f3b1b1e2e0cb2a2
Author: Benjamin Steinwender <b@stbe.at>
Date:	2015-06-20

    Updated German translation

M	po/de.po

commit c65cd41037ad7902d37115d2cbc0a6fcd39a2f09
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2015-06-19

    Updated Turkish translation

M	po/tr.po

commit 495d07309fbd5f024efd74ef61e2199ab671d020
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-06-15

    Updated Spanish translation

M	po/es.po

commit bad3ffdb6e3f2db260a921988e50b0a938e3f94a
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:	2015-06-14

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 932e9fc69d0e74d6412b9771f00dae5a10fc35f0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-13

    libview: Handle GTK_SCROLL_START/GTK_SCROLL_END also in fit-to-page
    mode

    https://bugzilla.gnome.org/show_bug.cgi?id=737996

M	libview/ev-view.c

commit 9f790bed4d091aea0e60058fe1e77c85d5503116
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:	2015-06-08

    shell: adding annotation squiggly.

    Underline icon is used for squiggly annotations in the sidebar.
    Squiggly is now a supported markup type, selectable in the combo
    list in the annotation property dialog.

    https://bugzilla.gnome.org/show_bug.cgi?id=750612

M	shell/ev-annotation-properties-dialog.c
M	shell/ev-sidebar-annotations.c

commit 5702e401453bd0cdd6618fde8ba1ad88ba156a13
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:	2015-06-08

    pdf: adding annotation squiggly.

    This adds support to the pdf backend for loading and saving
    text markup annotations of subtype Squiggly.

M	backend/pdf/ev-poppler.cc

commit 81c268b867b6fa88ade88429babef3fb6224c0bc
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:	2015-06-08

    libdocument: adding annotation squiggly.

    This adds the type to libdocument, as well as a method
    to create such annotations.

M	libdocument/ev-annotation.c
M	libdocument/ev-annotation.h

commit 230bcca488ae472773cef4658661deb487d3d5fb
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:	2015-06-08

    pdf: Fixed wrong order of QuadPoints in get_quads_for_area.

    https://bugzilla.gnome.org/show_bug.cgi?id=750569

M	backend/pdf/ev-poppler.cc

commit f518b8f1db957955c74307cba4e1604da4d60e52
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2015-06-10

    Updated Turkish translation

M	po/tr.po

commit e14e86c5a9ad71a6880a8efe03bb5d514dd04b86
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:	2015-06-08

    pdf: Fixed wrong type-check in copy_poppler_annot.

    https://bugzilla.gnome.org/show_bug.cgi?id=750548

M	backend/pdf/ev-poppler.cc

commit c856c4dacc15984c7908e719bf27478a0115dd39
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-06-08

    Updated Spanish translation

M	po/es.po

commit b998a03242ea4d94486ff8de6a8471edde208911
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-06

    libview: Add annots to the right page

    We were assuming that annots were always added to the current page,
    which is not always true in continuous or dual modes.

M	libview/ev-view.c

commit 22329daa2f2c4b8976a5498b05dac1509555fe17
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-06

    pdf: Ensure we always create text markup annots with at least one
    quadrilateral

    As expected by poppler. If when the annot is added, the selected
    area is
    empty, we simply remove the annotation.

M	backend/pdf/ev-poppler.cc
M	libview/ev-view.c

commit 56fc9a702d5885c6fd73e8cbe86d3b5bb571209c
Author: Giselle Reis <gisellemnr@src.gnome.org>
Date:	2014-08-07

    shell, view: adding highlight annotation

    shell: adding button
    view: adding subtype and creating the correct
    annotation

M	libview/ev-view.c
M	shell/ev-sidebar-annotations.c

commit 673ccf39ec859951b768820d60cc81f35ecd5e18
Author: Giselle Reis <gisellemnr@src.gnome.org>
Date:	2014-08-07

    pdf: support for adding and saving highlight annotations

    Creates a poppler highlight annotation from evince's
    highlight annotation and add support for updating the region
    covered by
    text markup annotations in poppler.

M	backend/pdf/ev-poppler.cc

commit fa26c3e2fac17fa0ba0f06988406597cedc34532
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-05

    libview: Update the annot area while moved when it's being added

M	libview/ev-view.c

commit b6700d08fb908eb3f991517270e3b9cf4669c7f8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-05

    pdf: Add support for saving the annotation area

M	backend/pdf/ev-poppler.cc

commit 682d135196691886901ef491dae8e02d3fcf4b48
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-05

    libdocument: Add EV_ANNOTATIONS_SAVE_AREA flag

M	libdocument/ev-document-annotations.h

commit 27f2bf8e85289d5de37290a284831c5d7cddb3dd
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-05

    pdf: Deprecate the rectangle passed to
    ev_document_annotations_add_annotation

    And use the EvAnnotation area instead. Keep the annot area and its
    mapping in sync.

M	backend/pdf/ev-poppler.cc

commit 4d40865b764927bc101b5770264e86968be0e0ff
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-05

    libview: Set the area of the annotations created by the user

M	libview/ev-view.c

commit ff63b86f4dbf5871d4d8ae6aaf644f3b2f2d93a9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-05

    libdocument: Add area property to EvAnnotation

    It represents the area of the annotation, the same we already have in
    the mappings, but havin in the annotation too will allow us to easily
    change it to move annotations or resize annotations.

M	help/reference/libdocument/libevdocument-sections.txt
M	libdocument/ev-annotation.c
M	libdocument/ev-annotation.h

commit 5ed7b5f6b1a40625ae989821cafc75ac6b5b7065
Author: Giselle Machado <gisellemnr@src.gnome.org>
Date:	2014-07-25

    view: preparing for interactive annotations

    Added a struct to the view that holds start and
    end points of annotations in order to support
    'click and drag' annotations.

    https://bugzilla.gnome.org/show_bug.cgi?id=583377

M	libview/ev-view-private.h
M	libview/ev-view.c

commit 3710f078b9f3df433489ca3da6f8182e1dc8520c
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:	2015-06-04

    pdf: Force text annotations to have a fixed size 24x24

    Some tools create pdf text annotations with a /Rect field, whose
    volume is very small or zero. Nevertheless, one expects tool-tips
    when hovering them, or popup windows to appear when clicking them.
    This patch forces a fixed size for text annotations equal to the size
    of their icons.

    https://bugzilla.gnome.org/show_bug.cgi?id=685334

M	backend/pdf/ev-poppler.cc

commit 1f31e0815e2c40c8983d2c9fd759220134050642
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2015-06-05

    ev-media: Make EvMediaPlayer a self contained widget to show the
    video and the controls

    Using the EvView window with gst_video_overlay_set_render_rectangle()
    to paint the videos seems to cause issues in some cases where
    the video
    is not correctly positioned, or uses the whole view area. To avoid
    that,
    we use now a specific widget (a GtkDrawingArea) to render the video
    instead. EvMediaPlayer is not a GtkBox containing the drawing area and
    the media controls. This simplifies the code a lot and requires less
    code in EvView which will also make easier to add support for videos
    in presentation view.

M	libview/Makefile.am
D	libview/ev-media-controls.c
D	libview/ev-media-controls.h
M	libview/ev-media-player.c
M	libview/ev-media-player.h
M	libview/ev-view.c

commit 4a6e9b735cf5a06d779350d013376e45542014f4
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:	2015-06-04

    Updated Romanian Help Translation

M	help/Makefile.am
A	help/ro/ro.po

commit 0d5846e1e2e5c0373c171ac23838cd54b0750326
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-06-04

    libview: Only try to move the focus to different page when the
    current page has a focused element

    This prevents the view from jumping to the first/last page when there
    are not focusable elements.

    https://bugzilla.gnome.org/show_bug.cgi?id=741979

M	libview/ev-view.c

commit 145647f9531010457fb7e492ab563c0d811c638d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-05-27

    release: 3.17.2

M	NEWS
M	configure.ac

commit f65e22d43742eb64ab39a4b153ee30fb96d0e4b3
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2015-05-27

    pdf: Add support for Screen annotations containing a rendition action

    https://bugzilla.gnome.org/show_bug.cgi?id=573748

M	backend/pdf/ev-poppler.cc

commit 27fb39dff79aadd2d86f88cbc0cde36b7a9aded0
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2015-05-27

    pdf: Add support for Movie annotations

    Like links and form widgets, movies are not considered as annotations
    by
    Evince, but media elements to show in the page.

M	backend/pdf/ev-poppler.cc

commit 48da13c35dd864713b053ce84de1420735379184
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2015-05-27

    libview: Add support for showing videos in EvView

M	libview/ev-view.c

commit a7a2b1ae6fad56e252deee2354a11da833738133
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2015-05-27

    libview: Add EvMediaPlayer and EvMediaControls classes to show videos
    using GStreamer

    GStreamer is now an optional dependency.

M	configure.ac
M	libview/Makefile.am
A	libview/ev-media-controls.c
A	libview/ev-media-controls.h
A	libview/ev-media-player.c
A	libview/ev-media-player.h

commit 4570011b6bc754c15a8bbcbc5fe4f5dbbb7c2b45
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2015-05-27

    libview: Add support for saving media mapping to page cache and
    showing debug borders

M	libdocument/ev-debug.c
M	libdocument/ev-debug.h
M	libview/ev-jobs.c
M	libview/ev-jobs.h
M	libview/ev-page-cache.c
M	libview/ev-page-cache.h
M	libview/ev-view.c

commit 61485ed2b34c46c8ec291789877d69f49f781652
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2015-05-27

    libdocument: Add EvDcoumentMedia interface

M	libdocument/Makefile.am
A	libdocument/ev-document-media.c
A	libdocument/ev-document-media.h
A	libdocument/ev-media.c
A	libdocument/ev-media.h

commit cf424e5008a2f6d3c4c2f06e69c8b1d69d6923c5
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2015-05-27

    libview: split ev_view_remove_all() adding
    ev_view_remove_all_form_fields()

    What we really want is to remove all form widgets, not all children.

M	libview/ev-view.c

commit c4a19edc2cc4826d77c6f29c1b8fa6dd6c40f459
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-05-26

    Updated Spanish translation

M	po/es.po

commit b0123d22457995607053c0283455944abb433219
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-05-19

    Updated Slovak translation

M	po/sk.po

commit 4d69e30c4828467282fbb15b4d88b87581fe2c6c
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2015-05-18

    Updated Occitan translation

M	po/oc.po

commit 3b22abd66939fa1bc24680283a58965774cf2d5a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2015-05-17

    Updated Slovenian translation

M	po/sl.po

commit b8b5dafe5441aac7c1d6ee59815433ff0987b3fd
Author: Jordi Mas <jmas@softcatala.org>
Date:	2015-05-15

    Fixes to Catalan translation

M	po/ca.po

commit cfcb04796a01343175ae3abcd7ce431e43908d86
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2015-05-14

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 25713b9717730ac22b975bf8005dd9339675ebbb
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2015-05-11

    Updated Occitan translation

M	po/oc.po

commit 7982b946c50bf904144bfd066602c6d6876805ed
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2015-05-08

    ev-properties-view: Add accessible relations between the labels

    The properties view grid consists of two columns, the left column
    contains a GtkLabel which describes, or "labels," the property
    displayed in the GtkLabel in the right column. The lack of accessible
    relations between the labels in each column means Orca has no clue
    that it should also present the label on the left when the user
    Tabs amongst the labels on the right, and that it should not treat
    labels on the left as static text.

    https://bugzilla.gnome.org/show_bug.cgi?id=749127

M	properties/ev-properties-view.c

commit 98e2cfa75c3cfe9803c680470b12e374f4d00fea
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2015-05-07

    Updated Tajik translation

M	po/tg.po

commit 21185cf4773b40b174ba73056eb96b3f8e0613cc
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:	2015-05-04

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 50d58967e81d92a8b6ef5f34be59cafbf7bbf689
Author: YunQiang Su <yqsu@src.gnome.org>
Date:	2015-05-03

    update zh_CN translation

M	po/zh_CN.po

commit 508e2a441c3b9153a6daa1bf9d890d4c05778dd8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-04-29

    release: 3.17.1

M	NEWS
M	configure.ac

commit 5240575eb5c0324fdd7adcf2accd431dc2670797
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-04-29

    Fix make distcheck

    Remove EggFindBar symbols from the documentation.

M	help/reference/shell/evince-docs.xml
M	help/reference/shell/evince-sections.txt
M	help/reference/shell/evince.types

commit 5e8cb5a359db432722e0928d15a45e2f1b007dd9
Author: José Aliste <jaliste@src.gnome.org>
Date:	2015-04-28

    shell: Never save n-copies in the print-settings file

    By default gtk_print_settings_to_key_file save all settings. When
    fixing
    https://bugzilla.gnome.org/show_bug.cgi?id=696203 we re-introduced
    https://bugzilla.gnome.org/show_bug.cgi?id=488806 for the number
    of copies.
    This happens because the code that saves the document print settings
    in the evince
    metadata deletes the document print settings from the key file. Thus,
    the fix for bug #696203 is not stricty correct because we still
    need to delete n-copies from the key_file. This patch fixes that.

    https://bugzilla.gnome.org/show_bug.cgi?id=748549

M	shell/ev-window.c

commit b2e9dca192dc64af1b0b2945d4b6dc6c163da97f
Author: Jakub Steiner <jimmac@gmail.com>
Date:	2015-03-26

    icon: provide a symbolic variant of the app icon

    https://bugzilla.gnome.org/show_bug.cgi?id=746844

M	configure.ac
M	data/icons/scalable/Makefile.am
A	data/icons/scalable/apps/Makefile.am
A	data/icons/scalable/apps/evince-symbolic.svg

commit f4b8f6d00c03b1c2e883861ef5a9f400a887a50b
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:	2015-04-27

    Update Aragonese translation

M	po/an.po

commit aaaeb3e666770766f184d7fdf46f659bae0f3850
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2015-04-26

    Updated Hebrew translation

M	po/he.po

commit f7d87a40a875d2a6a771e6beca62cb93d9a5d5d8
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2015-04-08

    browser-plugin: Add search support

    Add a search button to the toolbar, that shows a popover with a
    EvSearchBox.

M	browser-plugin/EvBrowserPlugin.cpp
M	browser-plugin/EvBrowserPlugin.h
M	browser-plugin/EvBrowserPluginToolbar.cpp

commit 275374f3033ddc9c22ae86e66758656b64440996
Author: Marek Černocký <marek@manet.cz>
Date:	2015-04-25

    Updated Czech translation

M	po/cs.po

commit 7a7a88ce22facdff2994590557390b222bd77b21
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-04-23

    Updated Spanish translation

M	help/es/es.po

commit 204d543efd35f0925b537a27c088c3d0d7a319b2
Author: Giselle Machado <gisellemnr@src.gnome.org>
Date:	2014-06-25

    Annotation window color is not sensitive to theme

    The annotation window color should be the
    annotation color and the system should not change
    it.

    https://bugzilla.gnome.org/show_bug.cgi?id=732211

    Also removing a redundant set_border_width (the
    same method is called again 7 lines below).

M	libview/ev-annotation-window.c

commit 49912625255ed3022eef7068650924b6f8b9efc4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-04-18

    pdf: Use poppler_annot_markup_set_popup_rectangle() if available

    This way we don't create a new popup annotation every time we save the
    window position.

M	backend/pdf/ev-poppler.cc
M	configure.ac

commit 0bf74fc2d3a279894aa24fa36168412725605643
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:	2015-02-20

    pdf: Added support to save popup rectangles to pdf backend

    https://bugzilla.gnome.org/show_bug.cgi?id=744886

M	backend/pdf/ev-poppler.cc

commit 231505d59df489da5511000b2a447a89d58476a2
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-04-13

    Updated Greek help translation

M	help/el/el.po

commit 74161bcb383d6d20e0b621bde8f12a1372f5b7d9
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:	2015-03-18

    ev-view: Create an EvAnnotationWindow for EvAnnotationMarkups
    allowing this

    Depending on the property can-have-popup of EvAnnotationMarkup,
    EvView will dynamically create an EvAnnotationWindow with some
    default dimension and location, if no EvAnnotationWindow existed
    when creating the EvAnnotationMarkup from the backend.

    https://bugzilla.gnome.org/show_bug.cgi?id=733603

M	libview/ev-view.c

commit 49d1fd34a460962f199298883175f8d0d1074c74
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:	2015-03-18

    pdf: Set can-have-popup property to markup annotations when created

    When the pdf backend creates EvAnnotations from poppler pdf
    annotations,
    this property is set accordingly (following the PDF spec).

    https://bugzilla.gnome.org/show_bug.cgi?id=733603

M	backend/pdf/ev-poppler.cc

commit e39e492585602485af62b47a52fcbf6205b5aac0
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:	2015-03-18

    libdocument: Added can-have-popup property to EvAnnotationMarkups.

    This patch adds a property can-have-popup to EvAnnotationMarkup.

    https://bugzilla.gnome.org/show_bug.cgi?id=733603

M	libdocument/ev-annotation.c
M	libdocument/ev-annotation.h

commit 8b4fc1d0e7016492f5ba9e5d6cb8e412b30af2e5
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2015-04-10

    Simplify UI code

    Simplify the code added in bug #739836. Use border-width instead of
    margins in the sidebar, and remove all shadow in from
    GtkScrolledWindows
    instead of using custom CSS for that. These changes don't affect
    the UI.

    https://bugzilla.gnome.org/show_bug.cgi?id=747631

M	shell/ev-find-sidebar.c
M	shell/ev-sidebar-annotations.c
M	shell/ev-sidebar-attachments.c
M	shell/ev-sidebar-bookmarks.c
M	shell/ev-sidebar-layers.c
M	shell/ev-sidebar-links.c
M	shell/ev-sidebar-thumbnails.c
M	shell/ev-sidebar.c
M	shell/evince.css

commit 11d85daf1b58547e69839adc1731d9b2a4eee97a
Author: boisjaune <yannick.voglaire@gmail.com>
Date:	2014-10-23

    Add shortcuts for Continuous and Dual modes

    The "Continuous" and "Dual" menu entries are among the few that do
    not have a shortcut.
    This patch adds the shortcut 'c' to toggle the Continuous mode,
    and the sortcut 'd' to toggle the Dual mode.
    Together with the existing shortcuts 'f' and 'w', they allow to
    quickly change between different layouts.

    https://bugzilla.gnome.org/show_bug.cgi?id=670964

M	shell/ev-application.c

commit d37358b195190f298f9e1a2593398110c63a8d4b
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2015-04-07

    Remove EggFindBar and use GtkSearchBar with EvSearchBox instead

M	po/POTFILES.in
M	shell/Makefile.am
D	shell/eggfindbar.c
D	shell/eggfindbar.h
M	shell/ev-window.c

commit 16314cd5901dc3ec00a744feb123fb311056b32b
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2015-04-07

    libmisc: Add EvSearchBox widget

    It's a simple search box containing also the evince search logic.

M	configure.ac
M	libmisc/Makefile.am
A	libmisc/ev-search-box.c
A	libmisc/ev-search-box.h
M	po/POTFILES.in

commit 64a171e1a9f1873ef9756b3217c34a0dff5132f3
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:	2015-04-09

    Added Icelandic translation

M	po/LINGUAS
A	po/is.po

commit 6f9f364968a09de3057e75c29697cce4e6e716f5
Author: Stas Solovey <whats_up@tut.by>
Date:	2015-04-09

    Updated Russian translation

M	po/ru.po

commit da03d7d20acda9fb616818daf7cbf4a185f68078
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2015-04-07

    Updated Hungarian translation

M	help/hu/hu.po

commit 52f73550670453a8e35c977eb9c1f764eb00a271
Author: Marek Černocký <marek@manet.cz>
Date:	2015-04-02

    Udated Czech translation

M	help/cs/cs.po

commit 391ec2a4d5052f401040eb9c4cb71310b981b03e
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2015-04-01

    Fix typos in documentation

M	help/C/annotations.page
M	help/C/synctex-search.page

commit 7de2fb94cfc8a5c70d2446744254bd6c45aa616b
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2015-03-27

    Updated Esperanto translation

M	po/eo.po

commit a7be712a6e04f3d03a930716997ac6efcbc1ed31
Author: Jordi Mas <jmas@softcatala.org>
Date:	2015-03-23

    Update Catalan translation

M	po/ca.po

commit 948139d6b9003da9be983b8adca14ed835bab6e6
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2015-03-23

    Update Arabic translation

M	po/ar.po

commit 5dccf4313101108a631808ab5174d412d9225f18
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-03-23

    release: 3.16.0

M	NEWS
M	configure.ac

commit 609404355d71a7118cb45af8ccae2926a1acbef2
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2015-03-23

    l10n: Update Japanese translation

M	po/ja.po

commit d997761e04faaa3abcb6b7f13c64134048c0bd29
Author: Claudio Arseni <claudio.arseni@gmail.com>
Date:	2015-03-20

    Updated Italian translation

M	po/it.po

commit e2ad92335071ca7c24b6c475e8cac2276e235263
Author: Benjamin Steinwender <b@stbe.at>
Date:	2015-03-19

    Updated German translation

M	po/de.po

commit d1c8995c051e247884f79167b2c3901caa2bb602
Author: Andika Triwidada <andika@gmail.com>
Date:	2015-03-18

    Updated Indonesian translation

M	po/id.po

commit 19e0c8e89d337303ff1d32ad004dc33aa702a955
Author: victory <victory.deb@gmail.com>
Date:	2015-03-18

    l10n: Update Japanese translation

M	po/ja.po

commit 73240ece71fb5a4503eed178dc39eb9b6948afb6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-03-16

    release: 3.15.92

M	NEWS
M	configure.ac

commit a671eb08a98dd8e4637567949af281ce4b7c5496
Author: Robert Roth <robert.roth.off@gmail.com>
Date:	2015-03-15

    previewer: Enable/disable page navigation based on current page

    https://bugzilla.gnome.org/show_bug.cgi?id=745840

M	previewer/ev-previewer-window.c

commit c9225a9faed8b08e4b139413ac3357d147e19bc4
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	2015-03-15

    Updated Danish translation

M	po/da.po

commit 9d2d342ffb81f145374671353846af54d794e676
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2015-03-15

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit dca346c2d513cf2c3b1c671fa24dd84052808859
Author: A S Alam <aalam@users.sf.net>
Date:	2015-03-13

    Translation pa updated for Gnome

M	po/pa.po

commit 9b33965570a5ee232ed79ab939ef608d79024bb7
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2015-03-14

    Updated Hungarian translation

M	help/hu/hu.po

commit c86d05a863ac995b3936479dba316eb15c6f3659
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:	2015-03-13

    Added Bosnian translation

M	po/LINGUAS
A	po/bs.po

commit 6e76b9afaeb09aa5fe5156f93af9d7cc3f54cb90
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2015-03-13

    Updated Latvian translation

M	po/lv.po

commit 36631a0d05c881f839147d1a2b513d4474d1a84e
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2015-03-12

    Updated Tajik translation

M	po/tg.po

commit b67a86a37e0f447adfb21a49c8ef67ca4779cfcf
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:	2015-03-11

    Finnish translation update

M	po/fi.po

commit 5fd706c90ebccb6d83f39b2ea9cab9888a5bb009
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	2015-03-10

    Updated German translation

M	help/de/de.po

commit 125d10d066a3c12b279afe8948dd4780a1de7d86
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2015-03-10

    Updated Bulgarian translation

M	po/bg.po

commit e3e3105dd353cad889763ed2ceec1a8970b2fabf
Author: Josef Andersson <josef.andersson@gmail.com>
Date:	2015-03-08

    Updated Swedish translation

M	help/sv/sv.po

commit ffad809448e320a47ad62e92b89a548025e53ed6
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2015-03-08

    Updated Korean translation

M	help/ko/ko.po
M	po/ko.po

commit 6d2587a4a664f9ec4a33ee32793a2d3982578a7e
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2015-03-05

    Updated Korean translation

M	po/ko.po

commit cd5f5dbdeaca9f2bd7f14c0043a723430d729053
Author: Paweł Żołnowski <pawel@zolnowski.name>
Date:	2015-03-04

    Updated Polish translation

M	po/pl.po

commit b46f7cc50c003807135e65b328a14142397791db
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2015-03-03

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 8f47bcf9b071d22d75ba7b37c366c57154b4839e
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:	2015-03-03

    Updated Galician translations

M	po/gl.po

commit 41105e6004cb4090154f6fb9bb721a523619b771
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2015-02-28

    Updated Lithuanian translation

M	po/lt.po

commit a9fac57516445d13fb6532018827bf98738e3768
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-02-26

    Updated Greek translation

M	help/el/el.po

commit a8f6610365e90dbebc2d7bc68f0b10bf467a3cd1
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2015-02-26

    Updated Ukrainian translation

M	po/uk.po

commit c275ef943d046ad82b3178e6e9d791ec14049135
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2015-02-24

    Updated Kazakh translation

M	po/kk.po

commit 3a27a2240d7729c45fd0dfcac14ea3d933460cf8
Author: Guillaume Bernard <translate@filorin.fr>
Date:	2015-02-21

    Updated French translation

M	po/fr.po

commit 6503eb7965ad3f2ac600a657f159051e03456051
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2015-02-21

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 57baafadd710dfe2b937b3d8d033635d44128854
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:	2015-02-16

    Don't hide the titlebar when the window is maximized (without CSD)

    https://bugzilla.gnome.org/show_bug.cgi?id=744601

M	shell/ev-window.c

commit 73a256505f7b5724f57af396b256969292afe21e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-02-17

    release: 3.15.90

M	NEWS
M	configure.ac

commit 6d77f0ddee79f1aa02809d8ea417d38deb2c1892
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2015-02-16

    Updated Swedish translation

M	po/sv.po

commit 5a4f0f8c59b6882e8dfa6bcc97e2b7d1333ca454
Author: Lars Uebernickel <lars.uebernickel@canonical.com>
Date:	2014-10-16

    Add = and <Ctrl>= keybindings for zooming in

    Many keyboard layouts have + only reachable via <Shift>=. Make it
    easier for
    users of those layouts to zoom in.

    https://bugzilla.gnome.org/show_bug.cgi?id=738625

M	shell/ev-application.c

commit 91185b4192481e7fdf584fa25110d27e636bf625
Author: Andre Klapper <ak-47@gmx.net>
Date:	2015-02-16

    Fix broken af translation

M	po/af.po

commit 049bd2accbb8626ae5bdd157146790ae0e0b9d89
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2015-02-15

    Updated Slovenian translation

M	po/sl.po

commit 9d9e14dfa9ae782e879961b7307f55b41b2a60b3
Author: Frédéric Moenne-loccoz <frederic.moenne-loccoz@sfr.fr>
Date:	2015-02-15

    libview: Ctrl+mouse wheel zoom should be pointer-centered, not
    window-centered

    https://bugzilla.gnome.org/show_bug.cgi?id=731669

M	libview/ev-view-private.h
M	libview/ev-view.c

commit 2f56b2a0d1e2ff493a5355a721c8dd44dc0b3a57
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:	2015-02-14

    Updated Greek translation

M	po/el.po

commit c3940fcd398cf60336664583dfccb69b4b267026
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2015-02-14

    Updated Turkish translation

M	po/tr.po

commit 430a4dc767a71ed0b38bcf1bc1bba39d75faab28
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:	2015-02-12

    Updated Dutch translation

M	po/nl.po

commit c4184fca021cb3f25b97a210c21dbdc4cf646295
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2015-02-12

    Updated Esperanto translation

M	po/eo.po

commit afc1a86c2d706ae2ea4866581ba2522288a4437f
Author: Marek Kasik <mkasik@redhat.com>
Date:	2015-02-11

    recent-view: Check whether load job succeeded

    Check whether document load job succeeded before proceeding its
    metadata.
    This fixes crash when there are no recent files and you are trying
    to open
    password protected PDF file
    (see https://bugzilla.redhat.com/show_bug.cgi?id=1189222).

    https://bugzilla.gnome.org/show_bug.cgi?id=744049

M	shell/ev-recent-view.c

commit 75acaa5a10489599f4c760cf5c6952f621dd1daa
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2015-02-09

    Updated Norwegian bokmål translation from Åka Sikrom.

M	po/nb.po

commit ee887b199facb7d5ca558ec893d45373212a5ccb
Author: Diogo Campos <diogocamposwd@gmail.com>
Date:	2015-02-04

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit c5598169e36fe866931421060ac7852bf5fa9f3f
Author: Marek Černocký <marek@manet.cz>
Date:	2015-02-04

    Updated Czech translation

M	help/cs/cs.po

commit 6c5330ae9347e021e27b6f2632bab96e0da23730
Author: Cameron Norman <camerontnorman@gmail.com>
Date:	2015-02-04

    Disable send to action when nautilus-sendto is not found

    https://bugzilla.gnome.org/show_bug.cgi?id=743956

M	shell/ev-window.c

commit db935e67fec53000cb93432b4aeec39af6a42d92
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2014-08-14

    print-operation: Fix centering of documents when printing with a
    manual scale

    When a manual scale is used for printing, the document is not
    correctly
    centered because the cairo context has a scale already applied. We
    need
    to consider the current scale when centering the page and also convert
    the coordinates before the cairo_translate().
    Additional fixes to the offsets calculations by Leo Wolf
    <jclw@ymail.com>.

    https://bugzilla.gnome.org/show_bug.cgi?id=734788

M	configure.ac
M	libview/ev-print-operation.c

commit 934293dadbd832fd9c7234ed23b877682e99e138
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-02-04

    Updated Spanish translation

M	help/es/es.po

commit 03a762061785e0d83456f39171fd5c2d25ea135b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-02-02

    Updated Spanish translation

M	help/es/es.po

commit 619bd15a53ee7d6684d2581ead5fb895e79457df
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-01-31

    Updated Slovak translation

M	po/sk.po

commit f9b1aeaf61c08e3255883384c8abefb0c76e8751
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:	2015-01-29

    Updated German translation

M	help/de/de.po

commit 51f36ff1b020a5baaa922ba828542ea2812effdc
Author: Stas Solovey <whats_up@tut.by>
Date:	2015-01-29

    Updated Russian translation

M	po/ru.po

commit f1b6d0f31e39b775601fb41e16e6a99a7743c04c
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2015-01-28

    help: add search filtering, bug 738025

M	help/C/finding.page

commit 69b474fce1a87a0839e1f541f1297492e47c7c31
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-01-28

    Revert "print-operation: Fix centering of documents when printing
    with a manual scale"

    This reverts commit ae7a5715131613955a37419b5da1d6d9f3c1cb1d.

    Fixed the centering of documents when using a manual scale, but
    it broke
    landscape printing, so reverting until we find a proper fix in both
    Evince and GTK+.

M	libview/ev-print-operation.c

commit b9c32118b9760b7b029ac79c53d9fa8b874c6121
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2015-01-27

    help: fix scaling bug 740230

M	help/C/print-pagescaling.page

commit c1954828357d231753b51c2ebb958b53f7c1a482
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2015-01-26

    Updated Hebrew Translation

M	po/he.po

commit 0ec11b6f97d114aa42c44fa5982d8e7531ada91f
Author: David King <amigadave@amigadave.com>
Date:	2014-09-26

    Update documentation for removing annotations

    https://bugzilla.gnome.org/show_bug.cgi?id=737435

M	help/C/annotations-delete.page

commit 2d743bd33b0fb2b03cf971cb48e82e35fdfac996
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2015-01-26

    help: review print-differentsize.page

M	help/C/print-differentsize.page

commit b65aeae1839d52fcc7e1b9cebb2ae2ff76155e1a
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2015-01-26

    help: add page scaling docs, bug 740230

A	help/C/print-pagescaling.page
M	help/Makefile.am

commit d7b0d6a92e6732da45a660f48d4a6352b162cd58
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2015-01-22

    Updated Basque language

M	po/eu.po

commit 12d23996834306da63c244537c4bdf65c1c82d5b
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:	2015-01-22

    Update Aragonese translation

M	po/an.po

commit ac250fbbed567fec7d13c2b51b88966ed187530b
Author: Marek Černocký <marek@manet.cz>
Date:	2015-01-21

    Updated Czech translation

M	help/cs/cs.po

commit 913ba923174ffee0c587678a00692e39155668e2
Author: Marek Černocký <marek@manet.cz>
Date:	2015-01-21

    Updated Czech translation

M	po/cs.po

commit ecc1332b56116af2c76e6e93e74e334cf39c7cfc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-01-19

    Updated Spanish translation

M	po/es.po

commit ea19e7a04481223b4ffe3448af8507546d4e5d2c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2015-01-19

    release: 3.15.4

M	NEWS
M	configure.ac

commit 48bad58debc65eaff5c0e9bce4274c5a99a7ca79
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2015-01-18

    Updated Hungarian translation

M	po/hu.po

commit c69275293b94f1c183df7e7a89e108c9d2cad6ad
Author: Tobias Westergaard Kjeldsen <tobias@wkjeldsen.dk>
Date:	2015-01-17

    properties: Add document size in the file properties window

    https://bugzilla.gnome.org/show_bug.cgi?id=741057

M	libdocument/ev-document.c
M	libdocument/ev-document.h
M	properties/ev-properties-main.c
M	properties/ev-properties-view.c
M	properties/ev-properties-view.h
M	shell/ev-properties-dialog.c

commit 9c31b992955d4aa226c6afc101cb8c9ef31a7cf5
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2015-01-17

    Updated Lithuanian translation

M	po/lt.po

commit 751a151d607b4492ad7356d7a246b5857271f266
Author: Stas Solovey <whats_up@tut.by>
Date:	2015-01-12

    Updated Russian translation

M	po/ru.po

commit 8ecc3837f61e33ccd53a2275acb2e3e97e0cc7c2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-01-12

    Updated Spanish translation

M	help/es/es.po

commit 7cc1c17cba611a7f6195cbd70041123cbe9bc610
Author: Balló György <ballogyor@gmail.com>
Date:	2015-01-10

    comics: add support for bsdtar command

    bsdtar is able to extract all supported comics archive format.

    https://bugzilla.gnome.org/show_bug.cgi?id=742721

M	backend/comics/comics-document.c

commit 0f4e5022f682d65adc2ddd8842c88bda5cb7f9ca
Author: Boris Egorov <egorov@linux.com>
Date:	2014-11-19

    ui: Fix a typo in action accelerators

    Fixes go-backwards action shortcut.

    Signed-off-by: Boris Egorov <egorov@linux.com>

M	shell/ev-application.c

commit e8964360d2522abc9d9927189932ba2e1327977f
Author: Boris Egorov <egorov@linux.com>
Date:	2014-11-19

    ui: Bring back show properties dialog shortcut

    https://bugzilla.gnome.org/show_bug.cgi?id=739116

    Signed-off-by: Boris Egorov <egorov@linux.com>

M	shell/ev-application.c

commit 63bfc82572956cf9889cbd0a00455b62b3c4ae97
Author: Boris Egorov <egorov@linux.com>
Date:	2014-11-19

    ui: Fix typo in menu description

    https://bugzilla.gnome.org/show_bug.cgi?id=739046

    Signed-off-by: Boris Egorov <egorov@linux.com>

M	shell/evince-menus.ui

commit 27971d77b1be86d1b97b4c5b8eb279f35e17626b
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2015-01-08

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 53f0a13ab14c64cf9b240e573b8b5299ffb1791b
Author: Shobha Tyagi <tyagishobha@gmail.com>
Date:	2015-01-07

    replaced "Menu button" by "File options"

M	help/C/annotations-save.page

commit 03f2a187e3cd92bc1618550836585a35b9d489c3
Author: Bernd Homuth <dev@hmt.im>
Date:	2015-01-03

    Updated German translation

M	po/de.po

commit 1ae1431e8261def89901aa44e2e140803a137155
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2014-12-30

    Updated Basque language

M	po/eu.po

commit be200af0d8c82baa8eb4db2473f87e801ed4c197
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2014-12-29

    Updated Hungarian translation

M	help/hu/hu.po

commit c32d77e350973df1b60b063221229e1c16452a03
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-12-24

    Updated Indonesian translation

M	po/id.po

commit 9657ca03723ea1ecfec27d75f1eaadc856886ab8
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-12-23

    shell: Do not save n-copies when saving printing settings.

    See https://bugzilla.gnome.org/show_bug.cgi?id=696203

M	shell/ev-window.c

commit 0fd36456e6a93a49ad807e22a4e61af2ec0e2b79
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-12-18

    Updated Spanish translation

M	help/es/es.po

commit fd7421c493c2cc45206d2474d25c5c08f0c39849
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2014-12-14

    Updated Kazakh translation

M	po/kk.po

commit 7fc0b861c2597ea97ec69bf9f73e620f39d90d01
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2014-12-04

    Updated Turkish translation

M	po/tr.po

commit 05146e7fbc9742f68e78fa2ed8ee5f7186071610
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2014-11-23

    sidebar: Use symbolic icons in sidebar

    https://bugzilla.gnome.org/show_bug.cgi?id=739836

M	shell/ev-sidebar-annotations.c
M	shell/ev-sidebar.c

commit 5e53fa9c84342b274ae6bbdb90095ee6e2dc107a
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2014-11-23

    sidebar: Use linked style for bookmark tool button group

    https://bugzilla.gnome.org/show_bug.cgi?id=739836

M	shell/ev-sidebar-bookmarks.c

commit 3978ea75b51f3a82097d23e63ad590c91ef42335
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2014-11-23

    sidebar: Set relief none to annotation tool item

    https://bugzilla.gnome.org/show_bug.cgi?id=739836

M	shell/ev-sidebar-annotations.c

commit 1c3f3fb6c6ee0787ad2a8de620f2f0b6319fac5f
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2014-11-23

    sidebar: Add margin to some areas in sidebar

    https://bugzilla.gnome.org/show_bug.cgi?id=739836

M	shell/ev-sidebar-annotations.c
M	shell/ev-sidebar-bookmarks.c
M	shell/ev-sidebar.c

commit 14267af851136462325c8fbb3019bd754b026779
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2014-11-23

    css: Avoid borders collision in sidebar

    https://bugzilla.gnome.org/show_bug.cgi?id=739836

M	shell/evince.css

commit 3f28c8db52643161d852403792baf3d5db0bbbfe
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:	2014-11-29

    thumbnailer: Use correct maximum size for thumbnail images

    https://bugzilla.gnome.org/show_bug.cgi?id=740877

M	thumbnailer/evince-thumbnailer.c

commit f90b2e69927080cdc66583f01b01bb20f931ad9a
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	2014-11-29

    Updated German translation

M	help/de/de.po

commit da3757e80c0ce57c4609b9c41239f3081674921b
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2014-11-28

    Updated Hungarian translation

M	po/hu.po

commit d676d8b9db92479a60f4860d3c3031b783e0b562
Author: Marek Černocký <marek@manet.cz>
Date:	2014-11-28

    Updated Czech translation

M	help/cs/cs.po

commit c45400e85e1845026d7b5f3788d4f0e9632ed85b
Author: Shobha Tyagi <tyagishobha@gmail.com>
Date:	2014-11-28

    removed Okular from save-annotation help bug 737296

M	help/C/annotations-save.page

commit 5461dd27a28df90ed19c33a8cf453fbe97c18c29
Author: Marek Černocký <marek@manet.cz>
Date:	2014-11-26

    Updated Czech translation

M	po/cs.po

commit 4f3e97044fd60fe9c55ed193b6d9f3c95f8c3f96
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-11-24

    Updated Hebrew translation

M	po/he.po

commit d93c07c63ac57744b7a9640aebebf761ee346365
Author: Marek Kasik <mkasik@redhat.com>
Date:	2014-11-19

    Fix configuration with ligbnome-desktop

    A typo caused fail of configuration with enabled
    support for libgnome-desktop.

    https://bugzilla.gnome.org/show_bug.cgi?id=733721

M	configure.ac

commit 3b62465fbbf78b171df0a6a1e9a9f80459e5f0bd
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-11-19

    Updated Spanish translation

M	po/es.po

commit d39c99cbb1c28a894b09f467b18e34754fd6842f
Author: Marek Kasik <mkasik@redhat.com>
Date:	2014-11-18

    Show correct page when next search result requested

    If there are more than 1 results on a page then requesting
    next search result from the same page will not return you
    to the page with the search results if you moved from the
    page in the meantime (when you are not in continuous mode).
    This applies also to previous results.

    https://bugzilla.gnome.org/show_bug.cgi?id=730252

M	libview/ev-view.c

commit 5310e9e9bb7e29490c89e3e53243088d7ce5f518
Author: Marek Kasik <mkasik@redhat.com>
Date:	2014-05-19

    Scroll to the search result selected by user

    Scroll to page on which is the search result selected by user
    when not in continuous mode.

    https://bugzilla.gnome.org/show_bug.cgi?id=730252

M	libview/ev-view.c

commit 6882649ba830ccb3e73f76329c96b726b7de15e1
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2014-11-18

    Updated Greek translation

M	po/el.po

commit d49ddc24bb34df4cce552d2eadfbd4b626c21ceb
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-11-17

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 9ea82e60c5de77bd74d172419ad4b7425ae66629
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2014-11-17

    Update Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit a182f12f1bd7002e06ab59481404252c1147a7f1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-11-16

    pdf: Fix memory leak when adding new text annotations

M	backend/pdf/ev-poppler.cc

commit 46073c17781215f6ab8a4e4c2f20fb57f688aed5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-11-16

    Add support for changing the type of a text markup annotation

M	backend/pdf/ev-poppler.cc
M	libdocument/ev-annotation.c
M	libdocument/ev-annotation.h
M	libdocument/ev-document-annotations.h
M	shell/ev-annotation-properties-dialog.c
M	shell/ev-annotation-properties-dialog.h
M	shell/ev-window.c

commit 4bd88ed03d0c06f191ec07f78bcbc1ce6c07a36a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-11-16

    Add support for reading underline text markup annotations

M	backend/pdf/ev-poppler.cc
M	libdocument/ev-annotation.c
M	libdocument/ev-annotation.h
M	shell/ev-sidebar-annotations.c

commit 9b71d67e3e36008ee0f82cd3cf389b1f257b1724
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-11-16

    Add support for reading strike out text markup annotations

M	backend/pdf/ev-poppler.cc
M	libdocument/ev-annotation.c
M	libdocument/ev-annotation.h
M	shell/ev-sidebar-annotations.c

commit 28e04b43c190b71cb141978505a4d7e36ab17a12
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-11-16

    libdocument: Use a common annotation type for text markup annotations

    And a type property for the different kinds of text markup annotations

M	libdocument/ev-annotation.c
M	libdocument/ev-annotation.h

commit 18595cc33bc05d5a6de5048e32dd18d7f9bd3aa6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-11-16

    shell: Show highlight annotations in the sidebar

    https://bugzilla.gnome.org/show_bug.cgi?id=583377

M	shell/ev-sidebar-annotations.c

commit 53c349e804317325a6dd20330d4b6ebcb986c63b
Author: Giselle Reis <gisellemnr@src.gnome.org>
Date:	2014-08-07

    pdf: Create highlight annotations for existing annotations in document

    Implementing the type and a method to create
    highlight annotations.

    https://bugzilla.gnome.org/show_bug.cgi?id=583377

M	backend/pdf/ev-poppler.cc

commit 6a6135d81caf85dfd743e34bf60f1e0653617534
Author: Giselle Reis <gisellemnr@src.gnome.org>
Date:	2014-08-07

    libdocument: adding annotation highlight

    Implementing the type and a method to create
    highlight annotations.

M	libdocument/ev-annotation.c
M	libdocument/ev-annotation.h

commit 714c34dcde4dd61698e70d415dd1e8b60b8f287e
Author: Giselle Reis <gisellemnr@src.gnome.org>
Date:	2014-08-07

    libdocument: adding class EvAnnotationTextMarkup

    Implementing the (trivial) class
    EvAnnotationTextMarkup and fixing a typo.

    https://bugzilla.gnome.org/show_bug.cgi?id=583377

M	libdocument/ev-annotation.c
M	libdocument/ev-annotation.h

commit 37e82bf6eed5a757066794652d63c3126eef7807
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2014-11-09

    css: Fix border-radius of thumbnails

    Use 0 instead of 0px.

    https://bugzilla.gnome.org/show_bug.cgi?id=739836

M	shell/evince.css

commit 90dfd83ea7dbf09ad0d665ca11280d37697d535c
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	2014-11-09

    properties-dialog: Use headerbar and improve spacing and borders

    https://bugzilla.gnome.org/show_bug.cgi?id=739836

M	shell/ev-properties-dialog.c

commit 48c9899b522767ec0f48c8c33d1630b37ce6e9cf
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:	2014-11-08

    Update Aragonese translation

M	po/an.po

commit 1a75dc2de0fd605c72888418a14edc9679192977
Author: Timo Jyrinki <timo@debian.org>
Date:	2014-11-03

    Change Finnish translation team web page to l10n.gnome.org

M	po/fi.po

commit 59daf398bc0f1d7895eee3a776b33a9c9310ad21
Author: Alexander Tsoy <alexander@tsoy.me>
Date:	2014-10-26

    configure.ac: workaround quoting issues

    BROWSER_PLUGIN_DIR variable substitution is not portable. In
    particular
    it does not work in dash. Replace it with conditional.

    https://bugzilla.gnome.org/show_bug.cgi?id=739226

M	configure.ac

commit 8875003da7f78a6fbba36fcc70d6ed2d372da7a6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-10-19

    Fix runtime critical warning when starting in fullscreen mode

    The problem is that when running fullscreen mode we call
    ev_window_update_links_model() to update the page action widget of the
    fullscreen toolbar, but when running directly in fullscreen mode, this
    can happen before the links have been loaded in the sidebar. Since
    ev_window_update_links_model() is also called automatically when the
    links model property changes, we can simply return early in
    ev_window_update_links_model() when the model is NULL and it will be
    called again with a valid model when the links job finishes.

    https://bugzilla.gnome.org/show_bug.cgi?id=737864

M	shell/ev-window.c

commit 24a3d032728ab6cc530fab45d4eb5e232677c928
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2014-10-10

    tiff: Handle incorrect 0 resolution found in TIFF files

    https://bugzilla.gnome.org/show_bug.cgi?id=646414

M	backend/tiff/tiff-document.c

commit bfa59b72ed0c86192ca9b1f0882ca5119aa7fe12
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-10-19

    Disable toggle-find action for documents not supporting find

    https://bugzilla.gnome.org/show_bug.cgi?id=738262

M	shell/ev-window.c

commit f1cda92d20af974597971873a4da93f4b733ae6c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-10-14

    release: 3.14.1

M	NEWS
M	configure.ac

commit cba82a95969844d9bfb866bb8f8bd131a0d4a643
Author: Maria  Mavridou <mavridou@gmail.com>
Date:	2014-10-11

    Updated Greek translation

M	help/el/el.po

commit f2a239b7c4070bda30e0831d3a6c00cd92119ffc
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:	2014-10-11

    Update Dutch translation 3.14

M	po/nl.po

commit b2b2a02c364c05810e05c06ba6d7759178ce7b28
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2014-10-10

    Updates Persian Translations

M	po/fa.po

commit c6b1d78a03be3bc4e956bfdc4139550f5030efde
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2014-10-09

    Updated Kazakh translation

M	po/kk.po

commit 90e2174a024c4c57556095f46d1ac6037b049ec6
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2014-10-08

    Updated Friulian translation

M	po/fur.po

commit 10a4f0b1eae672651844249d525c5c48fc7627ad
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-10-08

    build: Bump required GTK+ version to a stable version

    Bump to 3.14.0, instead of the unstable version 3.13.x.

    https://bugzilla.gnome.org/show_bug.cgi?id=737211

M	configure.ac

commit d53caa9be34ec27c7437f53dba752891e4842dcc
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2014-10-07

    Updated Latvian translation

M	po/lv.po

commit a6d346bb09cad6107a8a7f66d05dc9f05fa4b2ba
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2014-10-07

    Updated for Friulian translation

M	po/LINGUAS

commit db0862af3d4c5dae1a3eeec68c5be52547556ae4
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	2014-10-07

    Added Friulian translation

A	po/fur.po

commit 0c9816c1d85e28069083da1dc6859e85320c9d55
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-09-23

    ev-toolbar: Use margin-end instead of margin-right

    So we not needs to handle RTL margin ourselves.

    https://bugzilla.gnome.org/show_bug.cgi?id=737211

M	shell/ev-toolbar.c

commit 72ce19e456b49aef85a9bad0565605c423cfea0d
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-09-23

    ev-history-action: Use the new support for RTL icons in GtkIconTheme

    https://bugzilla.gnome.org/show_bug.cgi?id=737211

M	shell/ev-history-action.c

commit 18ecf7f7fadb551d01cb5042cda1beb9400fa13f
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-09-23

    build: Bump required GTK+ version

    For the new API for handling RTL icons.

    https://bugzilla.gnome.org/show_bug.cgi?id=737211

M	configure.ac

commit ffddad1c001b6427cd2cd5782c04977534608f5c
Author: Claudio Arseni <claudio.arseni@gmail.com>
Date:	2014-10-05

    Updated Italian translation

M	po/it.po

commit 7e824901f477e09e89ecd94bf91dfe9d8f3248ac
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2014-10-04

    Updated Korean translation

M	po/ko.po

commit 904832664f5a2cc62f3a7ddb5a9b0a5ea327c81f
Author: Seong-ho Cho <shcho@gnome.org>
Date:	2014-10-04

    Updated Korean help translation

    Add images

A	help/ko/figures/add-text-annotation.png
A	help/ko/figures/annotations-nav-to-page.png
A	help/ko/figures/annotations-navigate.png
A	help/ko/figures/list-add-tabs.png
A	help/ko/figures/print-select.png
A	help/ko/figures/reverse-collate.png
A	help/ko/figures/zoom.png
M	help/ko/ko.po

commit 81c8bff437da3455cd702a61851f8e84e63c76e6
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2014-10-04

    Updated Portuguese translation

M	po/pt.po

commit d73d35eadc98edd9a4e30544af5bd6b6b30c8b1d
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2014-10-02

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit e1ed3289a9e2fd9cf3488218c16eb6f8ee70219f
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2014-10-01

    Updated gujarati translations

M	po/gu.po

commit c0ecc9564fceb12b3580adac3a1257d7feb2b87f
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-09-27

    libview: Add check for pageless documents to
    ev_view_accessible_focus_changed

    Without this check, Evince will crash when opening a document
    that, for
    whatever reason, has no pages.

    https://bugzilla.gnome.org/show_bug.cgi?id=731046

M	libview/ev-view-accessible.c

commit 6947d4657b28c7851ec94283ea60901980c0277c
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2014-09-27

    Update Arabic translation

M	po/ar.po

commit 0aafd8809a5464aef05e73c33e501cea0b413059
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-09-27

    window-title: Keep a weak ref on the document

    To cleanup the pointer and doc_title when the document is destroyed.
    Fixes a crash when a new document is added to the window.

    https://bugzilla.gnome.org/show_bug.cgi?id=737365

M	shell/ev-window-title.c

commit 0f598615c155c8bfb12d28ba7565bb81756c0728
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-09-25

    shell: Check if doc implements Annotations interface before cast

    Without this check, evince will crash when a right-click
    on a non-pdf document is performed.

    https://bugzilla.gnome.org/show_bug.cgi?id=737197

M	shell/ev-window.c

commit 38316fd4906fd0b279d711570414e18618855706
Author: Saibal Ray <sray@redhat.com>
Date:	2014-09-26

    Updated Bengali (India) translation

M	po/bn_IN.po

commit 5e9167c40c65dd9f015c19556bff1f4d0257650f
Author: Friedel Wolff <friedel@translate.org.za>
Date:	2014-09-24

    Updated translation for Afrikaans (af)

M	po/af.po

commit 1c20b59f4469ab910c4736ef42a577381c5ad501
Author: Krishnababu Krothapalli <k.meetme@gmail.com>
Date:	2014-09-23

    Updated Telugu translation

M	po/te.po

commit 5e63219f9da93cd4123861b04625f4ee264bceae
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-09-23

    release: 3.14.0

M	NEWS
M	configure.ac

commit df5aa7908469827b5a35321cff9ca3e84811dd25
Author: Iris Gou <gouyingqiyanxuan321@gmail.com>
Date:	2014-09-23

    update zh_CN translation

M	po/zh_CN.po

commit 946b6f958471f0f77a0f6f6f488f941b353ad935
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	2014-09-23

    Updated Scottish Gaelic translation

M	po/gd.po

commit a1efb95c046ef4827b89d63b4df039b812388f96
Author: Rajesh Ranjan <rajeshkajha@yahoo.com>
Date:	2014-09-23

    Updated Hindi translation

M	po/hi.po

commit 08cf2cad37ed14cc29390817995c932ce71badcc
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2014-09-22

    Fix tag in Greek translation

M	po/el.po

commit fadee2316cc89e7e51e7547d17b2895e6c7a7ed8
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:	2014-09-22

    Updated Kannada translation

M	po/kn.po

commit ffce7b660a4bd9aa18062def8b653c3f450205fd
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2014-09-21

    Updated Hungarian translation

M	help/hu/hu.po

commit c95dc39514bc866ad25e0132671154f9eca74e73
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-09-21

    Fix a tag in French help translation

M	help/fr/fr.po

commit 300aebf916f5a3b6ee04135ee1cafde94bc17841
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2014-09-19

    Updated Ukrainian translation

M	po/uk.po

commit 453d5e28aaabaf4e5dd2520e273d1e6fde3d6057
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2014-09-18

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit c62e0859f2d09af44cd7afd4dd56ded1ab83be1a
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2014-09-18

    Updated French translation

M	help/fr/fr.po

commit b1fa3704b18803f2329f9ae20c90b2bd5db8f155
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2014-09-18

    l10n: Update Japanese translation

M	po/ja.po

commit 8b105aacca7e44484a30c407768448f3a8a7c86e
Author: Paweł Żołnowski <pawel@zolnowski.name>
Date:	2014-09-18

    Updated Polish translation

M	po/pl.po

commit f292350bad3c81ad476e84691bce9d4d8bdf59f6
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-09-17

    Updated Indonesian translation

M	help/id/id.po

commit 11c693eb0d6194f2502dd268483a831af6ad26ac
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2014-09-16

    Updated Danish translation

M	po/da.po

commit 889e3ba06aa068e30ab8e855dc452b5c9c2f1e92
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-09-16

    release: 3.13.92

M	NEWS
M	configure.ac

commit ff7965506fe86949ba5d43f90df616caafab9347
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2014-09-16

    Updated Turkish translation

M	po/tr.po

commit c3cc69f7b94b3d25b00d473a3bbca0c81e2b9441
Author: Saibal Ray <sray@redhat.com>
Date:	2014-09-16

    Updated Bengali (India) translation

M	po/bn_IN.po

commit 84ecd5b19194aec9e7d7c1169ad3147ea6e67005
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	2014-09-15

    Updated German translation

M	po/de.po

commit 7b4bd1251e3a3289c05fad976926cafa41439530
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2014-09-15

    Updated Marathi Translations

M	po/mr.po

commit eb5107a65e286ce9da291b6c953053dae8baf9c7
Author: Shantha kumar <shantha.thamizh@gmail.com>
Date:	2014-09-14

    Updated Tamil translation

M	po/ta.po

commit 1e2f6fa06c722407aee8aec65c75202f911595a0
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2014-09-14

    Updated Slovenian translation

M	po/sl.po

commit 04c4e9949200a0bc60775fd841228c39c7ae4e61
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2014-09-14

    Updated Hungarian translation

M	po/hu.po

commit 494a5522da526d8792056f4f6d7cf31bc0f0c573
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2014-09-14

    Updated Korean help translation

M	help/ko/ko.po

commit e2b3ffeba6fdfc47b8b85294b49578bdb8edb62c
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2014-09-13

    Updated Swedish translation

M	po/sv.po

commit 119cb53d0e6227b6af49b39f2e5d5b8611fbd4a1
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-09-11

    view: fix typo on signal emission.

M	libview/ev-page-cache.c

commit c2d7723f3098e699e1314886c564a7a0a55310b8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-09-11

    browser-plugin: Use embedded page setup in the print dialog

M	browser-plugin/EvBrowserPlugin.cpp

commit 3b9ccde30b101824b59c8fc9abd84dfcdfd5e725
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-09-10

    Updated Lithuanian translation

M	po/lt.po

commit 470b25b33b19d70869459567f772c2e8a4ceaddd
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-09-10

    Updated Spanish translation

M	help/es/es.po

commit 109c876a6a46aced43529006b6a37574d63ff2e5
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2014-09-10

    Updated Slovak translation

M	po/sk.po

commit c6821de05358c57948e591e8d723735e089c95e3
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2014-09-10

    Updated Slovak translation

M	po/sk.po

commit 7f36a8c521b077585009c3094fadf4f35dc99130
Author: A S Alam <aalam@users.sf.net>
Date:	2014-09-08

    update Punjabi Translation - back for 3.14

M	po/pa.po

commit bb4124bae5a9ada9b136d21d5704f865f6096f39
Author: Marek Černocký <marek@manet.cz>
Date:	2014-09-08

    Updated Czech translation

M	help/cs/cs.po

commit 8c16234886863a391cba0efd9e2bc041a85614a0
Author: Marek Černocký <marek@manet.cz>
Date:	2014-09-07

    Updated Czech translation

M	po/cs.po

commit 9ce2a8ff1df3db44aefc0b1fc7239a3d8571793a
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:	2014-09-07

    Updated Bulgarian translation

M	po/bg.po

commit adbb662e04fcf308a94dbbb5adf919c5008f828f
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2014-09-07

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit d9d21f5bf7a5c2afb6c30607e37e76fc0ae94c3d
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2014-09-07

    Fix typo

M	help/C/movingaround.page

commit babf33579eca319f7ad183444498256dc04ceb83
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2014-09-07

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit fc92c8dd3dc35f402ac605d2cb31caff8de3e416
Author: Gil Forcada <gforcada@gnome.org>
Date:	2014-09-07

    [l10n] Update Catalan translation

M	po/ca.po

commit 11a7044b91eb2bc2c09793a4596c226df66eace7
Author: Guillaume Bernard <filorin@gmx.com>
Date:	2014-09-06

    Updated French translation

M	po/fr.po

commit c87b1da4b22d229045a2c5edef6cf741446d093e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-09-06

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 3d0e273b8c1a64e808e178131a290bb325084b37
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2014-09-06

    Updated Korean translation

M	po/ko.po

commit 7e6ef31ee34598579864e5ea37363084f5f63a0f
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2014-09-05

    Updated Greek translation

M	po/el.po

commit 1e57a50a6c9e879e6818bfe794972f648262b437
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:	2014-09-05

    Updated Kannada translation

M	po/kn.po

commit b53e11f6c097f88c4b03c2eb860f761bef8f5cb5
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:	2014-09-05

    Updated Kannada translation

M	po/kn.po

commit 2c01dcb9316a87153921ed7c4bdb8c1a2003c707
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2014-09-04

    Updated Galician translations

M	po/gl.po

commit 618ab0fe86494d360138cee26ac68f56d1aff1b8
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	2014-09-04

    Updated Russian translation

M	po/ru.po

commit 197cc0c5f5b9613203f8d034dbad1a7895af26bc
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-09-04

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit b2de2ed96143d1cad3024a12117c1ed50cebdf22
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-09-04

    Updated Spanish translation

M	po/es.po

commit 3a537b76e4294a3251abc70a3870abb3b3f4d122
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-09-04

    Updated Spanish translation

M	help/es/es.po

commit b3253c9844cb2d6137c7c8e1311d3aa3863ca26f
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2014-09-04

    Updated Assamese translation

M	po/as.po

commit 5d9b6afe3dbfa6ad55f5ed5e315f600aa802f452
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-09-04

    Updated Indonesian translation

M	po/id.po

commit f66267b549656172a083608691fe29eb6e7ae51a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-09-03

    release: 3.13.91

M	NEWS
M	configure.ac

commit 29e79feffe33861656101518d44b6d987fddbbdd
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-09-03

    Updated Hebrew translation

M	po/he.po

commit 6cff2324f69e74ad32026aa5e62f0cc6a9566a40
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-09-03

    libview: Check if links are allowed to change zoom in every goto_fit
    method

    I find it easier to read this way.

M	libview/ev-view.c

commit 5d8ef0fa9518100a8e8c3212b1990e738682e70c
Author: Eduard Beutel <eb@eduardbeutel.com>
Date:	2014-08-30

    Add allow-links-change-zoom setting

    When enabled links are not allowed to change the current zoom mode and
    level.

    https://bugzilla.gnome.org/show_bug.cgi?id=729249

M	data/org.gnome.Evince.gschema.xml.in
M	help/C/movingaround.page
M	libview/ev-view-private.h
M	libview/ev-view.c
M	libview/ev-view.h
M	shell/ev-window.c

commit 939c434131e6ef96d2054d990e2a6b764578e68b
Author: Giselle Reis <gisellemnr@src.gnome.org>
Date:	2014-08-30

    libview: fixing memory leak

    The memory leak was caused by a g_signal_connect
    which was never disconnected. This patch makes
    sure the signal is disconnected and the job is
    cancelled before creating another rendering job.
    It additionally introduces a helper function to
    cleanly finalize the job.

M	libview/ev-pixbuf-cache.c

commit 18b1da2cf3303ae1fc0bb2e5b4d41da3d1c64e4b
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2014-09-03

    Updated gujarati translations

M	po/gu.po

commit ff026902817842171bf9689b75318ce052600236
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-09-03

    Updated Indonesian translation

M	po/id.po

commit 5616ca5284a4bf790a8f99fbf3f4721d7b37edfa
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-09-01

    a11y: set accessible name for two buttons at EvToolbar

    Specifically:
      * "File options" button
      * "View options" button

    https://bugzilla.gnome.org/show_bug.cgi?id=734912

M	shell/ev-toolbar.c

commit a95ae78c6c662cddff6d064c1e47b8faa11cc47d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:	2014-09-01

    app menu: add separator after New Window

    Help, About, and Quit should be in their own section at the bottom,
    according to our draft HIG.

    Also, Quit is not optional, but I guess we'd best discuss that....

M	shell/evince-menus.ui

commit ee92710fa581b1e4b9862c3e197aaa8c1028c3d9
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-09-01

    Updated Spanish translation

M	po/es.po

commit 7ccfb40014d7b00bc50f45b9e0ef0515fbd67673
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-07-25

    EvPageAccessible: use page-cached signal to initialize children

    https://bugzilla.gnome.org/show_bug.cgi?id=733747

M	libview/ev-page-accessible.c

commit da5eba80d267a62e1aed3fed2b2ba056c7f6c80c
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-07-25

    EvPageCache: new signal "page-cached"

    Notifies when the data of a page gets cached

    https://bugzilla.gnome.org/show_bug.cgi?id=733747

M	libview/ev-page-cache.c

commit 240c21f4cd8466d48b406b9881e3585d3cb672b5
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2014-08-31

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 620bb73ad3ad0974882172996bfaccde708db597
Author: Giselle Reis <gisellemnr@src.gnome.org>
Date:	2014-08-20

    libview: removing ev_annotation_window_get_icon_size

    With the modifications on how the size of the
    icon is set, this function is no longer used.

M	libview/ev-annotation-window.c

commit 63d0b4b3f281ddb42750d384066856934aed9ade
Author: Giselle Reis <gisellemnr@src.gnome.org>
Date:	2014-08-20

    libview: setting annotation window icons sizes

    After a gtk update, the sizes of the icons on the
    annotation window (close and resize handles) are
    48x48. This patch fixes this by using GtkIconTheme
    to force the loading of the icon on a different
    size than the file.

    https://bugzilla.gnome.org/show_bug.cgi?id=735110

M	libview/ev-annotation-window.c

commit 6756cfb83137cdf9ba95918be1b339ecc38a0bd3
Author: Giselle Machado <gisellemnr@src.gnome.org>
Date:	2014-08-04

    shell: removes multi-screen support

    Display-screen relation in GTK 3.10 is 1:1
    (see
    https://mail.gnome.org/archives/gtk-list/2013-September/msg00021.html)
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=701883

M	shell/ev-application.c

commit fe97079c59ead2a66ad9bf345af9f7ad8d4abd9a
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-08-29

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 00a5eeee3cb1db9d702d9368f9d50a012fa8463b
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2014-08-28

    Updated French translation

M	po/fr.po

commit 371c72774691d74e23748a0bb35ea5874007a0c0
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2014-08-28

    Updated Greek translation

M	po/el.po

commit 8ba35e01fcffed5f0bb41d96c40a05902567130f
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2014-08-28

    Updated Ukrainian translation

M	po/uk.po

commit 6810f1f7cd5c61ab4d07c9dc2910de618cd32ebb
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-08-28

    Updated Hebrew translation

M	po/he.po

commit 899a57efce49864e0146a3c8c8f8d5e806da6ac3
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2014-08-28

    Updated Assamese translation

M	po/as.po

commit f7fc32cbb9d1de0a2f3b8880cbb31c576006107c
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-08-27

    shell: Don't use gtk_button_new_from_stock

    This is deprecated in 3.10

    https://bugzilla.gnome.org/show_bug.cgi?id=735562

M	shell/ev-sidebar-bookmarks.c

commit 527bee9e076bc95773e6f27f249103568e51a0de
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-08-27

    shell: Call setup_bookmarks only when bookmarks is not NULL

    This fixes a EV_IS_BOOKMARK warning because without this patch
    we call setup_bookmarks with a NULL parameter when the
    window is created

    https://bugzilla.gnome.org/show_bug.cgi?id=735561

M	shell/ev-window.c

commit cbcd1d10c1c068bf66206ec522eb1f9cb7ac0f57
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-08-26

    shell: set toolbar to Normal Mode in set_document

    setting the toolbar to normal mode will correctly
    show widgets inside the toolbar

    https://bugzilla.gnome.org/show_bug.cgi?id=735446

M	shell/ev-window.c

commit 6197eba6c42a6d4513fa758e15d11dcdc4389f55
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:	2014-08-27

    Fix build when using C++11 mode

    https://bugzilla.gnome.org/show_bug.cgi?id=735466

M	backend/pdf/ev-poppler.cc

commit 43539a1252d5bda0785237637b9fbbb6a3d86fdc
Author: Marek Černocký <marek@manet.cz>
Date:	2014-08-25

    Updated Czech translation

M	help/cs/cs.po

commit a4cdc2a1fa62d87191353f0e4688657c763b8cbe
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2014-08-25

    Updated Galician translations

M	po/gl.po

commit 695291fed2ada0a9f1f8146105e21360504db5b3
Author: Marek Černocký <marek@manet.cz>
Date:	2014-08-23

    Updated Czech translation

M	po/cs.po

commit 16adad4ac3bcada7aac0b2c092fdd861e27f4111
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-08-21

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 9e0d9e581bf422ed3fe3aafa897c0b051974bf41
Author: Claude Paroz <claude@2xlibre.net>
Date:	2014-08-21

    Updated French translation

M	po/fr.po

commit a09c8afdad7f01c22bdda900f03a629f5d54ec6f
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2014-08-20

    l10n: Update Japanese translation

M	po/ja.po

commit bfbf525b481e52e8d648380523ef3453d7753c39
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2014-08-19

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit d399dfa682ea5264df9109ac07870168a15205a2
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-08-19

    Updated Spanish translation

M	po/es.po

commit fbf6e94fdebd1d7ec7c7585321a5c45037a73fab
Author: ngoswami <ngoswami@redhat.com>
Date:	2014-08-18

    Updated Assamese translation

M	po/as.po

commit fedae8dfbca5d1429a8018b3356ea7a330f5c392
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-08-18

    Updated Hebrew translation

M	po/he.po

commit 19dc8f5f7988875861a077d24e762b8477fa8b34
Author: Lasse Liehu <lasse.liehu@gmail.com>
Date:	2014-08-17

    Finnish translation update

M	po/fi.po

commit 5c2745487e4fb43d2469842e37e5d1e22ac63657
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2014-08-17

    Updated Greek translation

M	po/el.po

commit d6d20f5681ce5dff083e90058cb7d2d2a6171f1e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-08-16

    Updated Norwegian bokmål translation.

M	po/nb.po

commit b393865ebef42ea11577d0b591bef0f108b82527
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-08-16

    Updated Norwegian bokmål translation from Åka Sikrom.

M	po/nb.po

commit 3e00e4edba9899b91ed370a84f2609f984b0f6d1
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-08-15

    Updated Lithuanian translation

M	po/lt.po

commit 8741bf3e34c84741ecf3d18212791bc71d7b2290
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-15

    release: 3.13.90

M	NEWS
M	configure.ac

commit 5a88713d7aa6ace094b75a597554d065e4898668
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-15

    Fix make distcheck

M	browser-plugin/Makefile.am
M	previewer/Makefile.am

commit 610cf95973721a563a830e6a65476abb043b652c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-15

    recent-view: Do not show/hide the recent view but open/destroy it

    We can't switch back to recent view anymore, so there's no reason to
    keep the recent view around. This fixes a crash when the document is
    reloaded.

M	shell/ev-window.c

commit 89c9a5985826e9ad624a5a695935eea13bd4ef08
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-15

    shell: Pass NULL to g_app_info_launch_uris() when no uri is given

M	shell/ev-application.c

commit 7dd69b5ffed358aa0777ac237bf2527ecc5d5c3c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-15

    shell: Fix the display comparison by name

    GdkAppLaunchContext uses gdk_screen_make_display_name() when it has a
    name to ruturn the display name, which appens the screen number. Use
    g_str_has_prefix() instead of comparing the whole string.

M	shell/ev-application.c

commit 906f3d2fa4a6f3c2d710eb5116b973e728a83a3f
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-08-15

    shell: Move recent view to the App Menu

    - Present the recent view only for empty new window.
    - Add a "New Window" action to the App Menu to create
    new empty windows.

    https://bugzilla.gnome.org/show_bug.cgi?id=732289

M	shell/ev-application.c
M	shell/ev-toolbar.c
M	shell/ev-window.c
M	shell/evince-menus.ui

commit fb92c6e2d5c18008f282317b331ae94202135837
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-08-15

    Updated Hebrew translation

M	po/he.po

commit 2280b09ec71ee88eeeb7fd8d02adb2985d17a765
Author: Carlos Garnacho <carlosg@gnome.org>
Date:	2014-08-15

    ev-view: Make pan gesture explicitly touch-only

    The default value of this property changed to FALSE in latest
    development
    versions of GTK+, but we do want this gesture to be triggered only by
    touchscreens.

M	libview/ev-view.c

commit 13defb2c083b923b20c5413218309e15d75932f6
Author: Giselle Machado <giselle.mnr@gmail.com>
Date:	2014-06-22

    Refreshing annotations' sidebar upon deletion

    When an annotation is deleted, the sidebar needs to
    be refreshed so that the annotation is removed from
    the list

    See item 3 in this comment:
    https://bugzilla.gnome.org/show_bug.cgi?id=649044#c33

M	libview/ev-view-private.h
M	libview/ev-view.c
M	shell/ev-sidebar-annotations.c
M	shell/ev-sidebar-annotations.h
M	shell/ev-window.c

commit bd5a1a36f8b7e8ccd0ca19af438dd5f42d3aa078
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-15

    libdocument: Make ev_mapping_list_remove void

    There's no reason to return the EvMappingList since it can't be
    modified
    by this function.

M	libdocument/ev-mapping-list.c
M	libdocument/ev-mapping-list.h

commit 20c6b3ba43c4133e0e538ae398b7bbe67ab3d188
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-15

    page-cache: Add flags parameter to ev_page_cache_mark_dirty()

    This allows to specify what is dirty so that it's freed before being
    cached again.

M	libview/ev-page-cache.c
M	libview/ev-page-cache.h
M	libview/ev-view.c

commit 06e91291faef0b0ffd0fd76e55aa56608565da8b
Author: Giselle Machado <gisellemnr@src.gnome.org>
Date:	2014-06-27

    pdf: Reset the annotation mapping when there are no more annotations

    https://bugzilla.gnome.org/show_bug.cgi?id=649044

M	backend/pdf/ev-poppler.cc

commit 0f19833da90418d76f99c8e1fcf1ebfd67714754
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-15

    Add an option to remove annotations to the view popup menu

    https://bugzilla.gnome.org/show_bug.cgi?id=649044

M	shell/ev-window.c
M	shell/evince-menus.ui

commit 927e956fef4a33b95c53e57ab6036c422527dbed
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2014-05-02

    libview: add ev_view_remove_annotation

    Hide annotation windows if necessary and unset selected
    element before removing an annotation.

    https://bugzilla.gnome.org/show_bug.cgi?id=649044

M	libview/ev-view.c
M	libview/ev-view.h

commit 38ca87184928111f91ef17e8a8f14f3a1cbacb7a
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2014-05-02

    pdf: Implement remove_annotation virtual func

    https://bugzilla.gnome.org/show_bug.cgi?id=649044

M	backend/pdf/ev-poppler.cc

commit 5aac9acbe697ace5f238a381cf139dd2e73293f5
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2014-05-02

    libdocument: add ev_mapping_list_remove

    Needed to remove annotations from a mapping list

    https://bugzilla.gnome.org/show_bug.cgi?id=649044

M	libdocument/ev-mapping-list.c
M	libdocument/ev-mapping-list.h

commit d0ed4e6903ec8a938bf5d386c2d4e07930a65993
Author: José Aliste <jaliste@gnome.org>
Date:	2012-06-27

    libdocument: Add remove_annotation to DocumentAnnotations.

    https://bugzilla.gnome.org/show_bug.cgi?id=649044

M	libdocument/ev-document-annotations.c
M	libdocument/ev-document-annotations.h

commit 0f38a2718b572ca862808fe51117862e3435fe57
Author: Giselle Machado <gisellemnr@src.gnome.org>
Date:	2014-06-27

    pdf: Make annotation names unique

    Naming the annotations sequentially by number is
    problematic when they can be removed (see
    https://bugzilla.gnome.org/show_bug.cgi?id=649044#c33).
    This patch changes the annotation names to
    timestamps, guaranteeing that they are indeed
    unique.

    https://bugzilla.gnome.org/show_bug.cgi?id=649044

M	backend/pdf/ev-poppler.cc

commit ae7a5715131613955a37419b5da1d6d9f3c1cb1d
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2014-08-14

    print-operation: Fix centering of documents when printing with a
    manual scale

    When a manual scale is used for printing, the document is not
    correctly
    centered because the cairo context has a scale already applied. We
    need
    to consider the current scale when centering the page and also convert
    the coordinates before the cairo_translate().

    https://bugzilla.gnome.org/show_bug.cgi?id=734788

M	libview/ev-print-operation.c

commit cd6a364a69daec9f7c60a4e8498a27e8c071f721
Author: genodeftest <gnomel10n@genodeftest.de>
Date:	2014-08-14

    Updated German translation

M	po/de.po

commit 67f1a96c5f38b5c3a869ab661e55d1e2e074a385
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2014-08-14

    l10n: Update Japanese translation

M	po/ja.po

commit a0a3008d78d5b30d951f25fd90ca0d31402546bf
Author: ngoswami <ngoswami@redhat.com>
Date:	2014-08-13

    Updated Assamese translation

M	po/as.po

commit afc50e7e07c135e22137a33cbf9913713692bf49
Author: Carlos Garnacho <carlosg@gnome.org>
Date:	2014-05-06

    ev-view: Add pan gesture to switch page

    This only applies on non-continuous mode, and the page fits with no
    horizontal scrolling. The gesture is actually connected to the parent
    GtkScrolledWindow (tracked through hierarchy events), so it is able
    to interact with kinetic scrolling gestures there, and cancel those
    if the pan gesture is recognized.

M	libview/ev-view-private.h
M	libview/ev-view.c

commit 6288e4889ed859cfca90e18912270df0b47ffebf
Author: Carlos Garnacho <carlosg@gnome.org>
Date:	2014-08-11

    ev-view: explicitly require a GtkScrolledWindow as the parent widget

    This is implicitly needed in a few places in code, so make the
    requirement
    explicit on ::parent-set.

M	libview/ev-view.c

commit 36c7f21f5c0f96cd5f4761aa5c99c6e9f4bff861
Author: Carlos Garnacho <carlosg@gnome.org>
Date:	2014-03-28

    ev-view: Add pinch/zoom gesture to handle document zooming

    This is delegated on a GtkGestureZoom. When triggered, the document
    will be zoomed based on the distance changes between both fingers.
    When the gesture is not active, regular event handling (text
    selection,
    clicking, etc...) will happen.

M	libview/ev-view-private.h
M	libview/ev-view.c

commit 96e7b9676d485bfa185106c22e18a405a18eb733
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-08-11

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit bd648e54b006252be6c5e9b2ee66d322784078cd
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:	2014-08-11

    Updated Greek translation

M	po/el.po

commit 16b85c841c0a4cf85ef9b007cfafff0c1afa4d9b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-10

    find-sidebar: Do not use gtk_list_store_clear()

    Set a new model instead. It seems to be more efficient because
    gtk_list_store_clear() ends up emitting row-deleted signal for
    every row
    in the model. We don't want the tree view to relayout, and update
    according to the model for every row since we are going to remove
    all of
    them.

M	shell/ev-find-sidebar.c

commit a0c87e58eb3840a3bf4fca4d43fdb062ca798ebe
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-10

    window: Clear the find job when it finishes

M	shell/ev-window.c

commit 26e52726991f3eb7dac90470ff88dc000348b1f3
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-10

    find-sidebar: Fix memory leak

M	shell/ev-find-sidebar.c

commit 5aef268e09ba81bf34972c342ec9890ff1d3ab7e
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-08-07

    Updated Spanish translation

M	po/es.po

commit eaa411fe01eaab918b484da70ab95d81580612aa
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-08-06

    Updated Hebrew translation

M	po/he.po

commit ab9d0f9d3f2a4e40930500bd31b0aa0cc2aefa3e
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-08-06

    Updated Hebrew translation

M	po/he.po

commit 2806bd5dc451e684b44024ccb5efe22d1e8e5d7e
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2014-05-19

    Add initial implementation of a browser plugin

M	Makefile.am
A	browser-plugin/EvBrowserPlugin.cpp
A	browser-plugin/EvBrowserPlugin.gresource.xml
A	browser-plugin/EvBrowserPlugin.h
A	browser-plugin/EvBrowserPluginMain.cpp
A	browser-plugin/EvBrowserPluginToolbar.cpp
A	browser-plugin/EvBrowserPluginToolbar.h
A	browser-plugin/EvMemoryUtils.h
A	browser-plugin/Makefile.am
A	browser-plugin/evince-browser.css
A	browser-plugin/npapi/npapi.h
A	browser-plugin/npapi/npfunctions.h
A	browser-plugin/npapi/npruntime.h
A	browser-plugin/npapi/nptypes.h
A	browser-plugin/plugin.symbols
A	browser-plugin/tests/data-uri.html
A	browser-plugin/tests/iframe.html
A	browser-plugin/tests/initvalues.html
A	browser-plugin/tests/local.html
A	browser-plugin/tests/multiple.html
A	browser-plugin/tests/remote.html
A	browser-plugin/tests/script.html
A	browser-plugin/tests/test.pdf
M	configure.ac
M	po/POTFILES.in

commit 7fa30cc8c44f2cb1d6d1d8aa197b8c318d65e566
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2014-08-05

    Updated Basque language

M	po/eu.po

commit bb3f1cc7fe354e47336770ac56f23d2365391fa1
Author: Giselle Machado <gisellemnr@src.gnome.org>
Date:	2014-08-04

    shell: removing function get_num_monitors

M	shell/ev-utils.c
M	shell/ev-utils.h

commit 45990251754225a6f0154624eaa8e5f9e2094357
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-07-30

    libview: Emit accessible state-changed signals for form fields

    https://bugzilla.gnome.org/show_bug.cgi?id=733748

M	libview/ev-form-field-accessible.c
M	libview/ev-form-field-accessible.h
M	libview/ev-page-accessible.c
M	libview/ev-page-accessible.h
M	libview/ev-view-accessible.c
M	libview/ev-view-accessible.h
M	libview/ev-view.c

commit 21883321ea13eba97f1222f63a68200951759077
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-08-04

    build: try to fix the build when srcdir != builddir

M	data/Makefile.am
M	previewer/Makefile.am
M	shell/Makefile.am

commit 48110cb41681d8babe94cc8ee3fb26a533d16671
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	2014-08-04

    previewer: Add CSS file for EvView styling

    EvView CSS used to be shared in adwaita theme, but now that adwaita
    has
    been merged into GTK+ and app specific CSS has been removed, we
    need to
    add the EvView CSS to all of its users.

R100	shell/thumbnail-frame.png	data/thumbnail-frame.png
M	previewer/Makefile.am
M	previewer/ev-previewer-window.c
A	previewer/evince-previewer.css
M	previewer/previewer.gresource.xml
M	shell/Makefile.am

commit f1af2ff883b5fd8f81c0d186c5715f529e653108
Author: MarMav <mavridou@gmail.com>
Date:	2014-08-03

    Updated Greek translation

M	po/el.po

commit 20d0b166d2d2da43e9c55b2a912bee4c6baced28
Author: MarMav <mavridou@gmail.com>
Date:	2014-07-31

    Updated Greek translation

M	po/el.po

commit 11da2316cc04216f22ddc421596781dd506e08b2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-07-31

    doap: add <programming-language>

M	evince.doap

commit 4dbda347e095e5963e6b1444ed9befee436d6a54
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-07-31

    Updated Hebrew translation

M	po/he.po

commit f7ebad9d8a2673c408556f61217815d46b485ee9
Author: Olav Vitters <olav@vitters.nl>
Date:	2014-07-30

    doap category core-apps

M	evince.doap

commit 11225b2360cc019c7dea39a50fe74a6e043c6315
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-07-30

    libview: Expose an accessible name for form field push buttons

    https://bugzilla.gnome.org/show_bug.cgi?id=733919

M	libview/ev-form-field-accessible.c

commit 5d4fe123d01358bf224b16786f43937746821002
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2014-07-30

    Update Arabic translation

M	po/ar.po

commit 5af0294bf82d0a8a16079f14c35abff2bb86e125
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-07-28

    Updated Spanish translation

M	po/es.po

commit 5e2b909d54e1f859a90373c3169d91e6440cf52b
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2014-07-28

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 1af661a44749c145dbbc6273cd094ff93f62288e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-26

    Show window title also in recent view mode

M	shell/ev-window-title.c
M	shell/ev-window-title.h
M	shell/ev-window.c

commit aaa04be7db421648973116d889316230348453d4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-26

    window-title: Save the doc title when a new document is set

M	shell/ev-window-title.c

commit 58ae10c68f0100a95ec06dd2335b3e7619b456d1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-26

    ev-window: Create the window title after the toolbar

    Since window title now uses the toolbar to set the title.

M	shell/ev-window.c

commit 16ba8b8407b237c6a49aac0cb11e1c79b2071f76
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-26

    page-action: Do not show the widget when created

    Let the caller decide whether to show it or not.

M	libmisc/ev-page-action-widget.c

commit acbbaa6d8e3f50e70b2b6f095516217d694a7f8b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-26

    window-title: Also show title/subtitle in headerbar for password view

M	shell/ev-window-title.c

commit 19ca8fc6b51fa90a151944b3eb4c33d46d8f1020
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-07-25

    shell: remove tmp_title in window_title_update

    it is not needed and makes the code more confusing.

M	shell/ev-window-title.c

commit c69501361e978c3a437d44c0a80cea7932654497
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-07-25

    shell: Add subtitle to the headerbar

    Split the title into "PDF Title" in the title of the header bar
    and "filename" on the subtitle of it.

M	shell/ev-window-title.c

commit 3213be229279694fd19a70b917302f2e6340824f
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-07-25

    shell: Add ev_window_get_toolbar

    We need this to set the title and subtitle of the Toolbar.

    https://bugzilla.gnome.org/show_bug.cgi?id=733746

M	shell/ev-window.c
M	shell/ev-window.h

commit 65711d977a63003e853f497ce00196f69082ec00
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-07-25

    Updated Lithuanian translation

M	po/lt.po

commit 93c88ee25e0cbae636e001451476aaa9ed7eb526
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-07-25

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit f93b9cf77728d05461cc37db47e808bbd8a72967
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2014-07-25

    ev-toolbar: Fix typo in label

    https://bugzilla.gnome.org/show_bug.cgi?id=73375

M	shell/ev-toolbar.c

commit 32e759ddb9161fed0bdf6f81b356499177ff6527
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-25

    page-action-widget: Reduce the size of the page label for documents
    with special page labels

M	libmisc/ev-page-action-widget.c

commit c85aa7b7be1f790d5299a761becc8ec209e4c3e8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-25

    Revert "libview: Make the caret cursor movements relative to the
    selection"

    This reverts commit 1141042bd051d0e1ccca349dc0c0c35a2791c775.

M	libview/ev-view.c

commit 1141042bd051d0e1ccca349dc0c0c35a2791c775
Author: Antia Puentes <apuentes@igalia.com>
Date:	2014-07-25

    libview: Make the caret cursor movements relative to the selection

     * Right/left arrow: Position the cursor in the start/end
       boundaries of the selection.
     * Up/Down arrow: Position the cursor one line before/after the
       start/end boundary of the selection.
     * <Ctrl>Right/left arrow: Move by word as it the cursor were in
       the start/end boundaries of the selection.
     * Home/End: Move to the beggining/end of the line containing the
       start/end boundary of the selection.

    Fixed also the equivalent selection commands (+<Shift>)

    https://bugzilla.gnome.org/show_bug.cgi?id=704631

M	libview/ev-view.c

commit ae93d046845f2aac18aef3930de9036929631fc9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-25

    ev-sidebar-thumbnails: Fix memory leak

    Free the GList returned by gtk_icon_view_get_selected_items().

M	shell/ev-sidebar-thumbnails.c

commit 0f36e46805afb565c1c5d6765e8953abf2ce0c43
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-07-25

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 320d10f2bdc757efee275a9ff92d7f4a31e04922
Author: Giselle Machado <gisellemnr@src.gnome.org>
Date:	2014-07-24

    pdf: Add support for adding other types of annotations

    Implementing switch/case to support new annotations as they are
    implemented.

M	backend/pdf/ev-poppler.cc

commit 823741afdebd2bfe01a52bff8e787b707de8dabd
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-07-25

    Updated Hebrew translation

M	po/he.po

commit c44a1dca5332a719fbb4bcf8aadcfb6a8aafa92a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-25

    comics: Fix a crash when opening a comic document

M	backend/comics/comics-document.c

commit 14195c5f81a41234f08a65e7bf0ddd0a42555fba
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2014-06-24

    shell: Remove menu for recent items

    Recent menu has been replaced by a bookshelf-like interface.

    https://bugzilla.gnome.org/show_bug.cgi?id=633501

M	shell/Makefile.am
D	shell/ev-recent-menu-model.c
D	shell/ev-recent-menu-model.h
M	shell/ev-toolbar.c
M	shell/ev-window.c
M	shell/evince-menus.ui

commit b0a074da4cd8638a3353518b84009191f5ffadf0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-25

    recent-view: Remove the scrolled window shadow

M	shell/ev-recent-view.c

commit e02a17a438f4e210b9911ce6a279552097436658
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-25

    Rename ev_application_open_window as ev_application_open_recent_view

M	shell/ev-application.c
M	shell/ev-application.h
M	shell/main.c

commit 7c8a23c554eb898ceaceb3967db4d599e33f5d79
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2014-07-01

    recent-view: Integrate recent view in the shell

    Given the restrictions of GtkHeaderBar for reparenting, we must
    implement multiple modes for the toolbar, which can be customized
    for Recent View, Full Screen, and Document (normal).

    https://bugzilla.gnome.org/show_bug.cgi?id=633501

M	shell/ev-application.c
M	shell/ev-toolbar.c
M	shell/ev-toolbar.h
M	shell/ev-window.c
M	shell/ev-window.h

commit dd62504bb3febbc52d223a27171951a920625024
Author: Antia Puentes <apuentes@igalia.com>
Date:	2014-07-23

    libview: "<Ctrl>Home/End" move the caret to the start/end of the
    document

    https://bugzilla.gnome.org/show_bug.cgi?id=724273

M	libview/ev-view.c

commit 35c693730221bf990e2245dff2f36399c3d599fa
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-25

    zoom-action: Set the zoom selector size depending on its contents

    Instead of depending on the menu contents, since now we are using a
    popover and we don't need the menu to be the same size as the
    selector.

M	shell/ev-zoom-action.c

commit e92562d263edb08596ee85638b7b88178d1d8355
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-24

    zoom-action: Fix the zoom text when setting 70% or 85%

M	shell/ev-zoom-action.c

commit 738a3df86f23b1e6ff98d17510a48139bcf5d0b9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-24

    zoom-action: Use a popover instead of a menu for the zoom actions

M	shell/ev-zoom-action.c
M	shell/evince-menus.ui

commit 8246fa2bf0bbcd1114686b4695c75cdfcedf7aba
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-07-24

    libview: Emit accessible focused-changed signals for form fields

    https://bugzilla.gnome.org/show_bug.cgi?id=733662

M	libview/ev-form-field-accessible.c
M	libview/ev-form-field-accessible.h
M	libview/ev-page-accessible.c
M	libview/ev-page-accessible.h
M	libview/ev-view-accessible.c
M	libview/ev-view-accessible.h
M	libview/ev-view.c

commit 61d3a03e48fc0aa69b35d424298eee1d314bb074
Author: Antia Puentes <apuentes@igalia.com>
Date:	2014-07-24

    "<Ctrl>Home/End" scroll to the start/end of the document

    Before they scroll to the first/last page. This is now managed
    by the view, instead of the window.

    https://bugzilla.gnome.org/show_bug.cgi?id=724273

M	libview/ev-view.c
M	shell/ev-application.c

commit 5e536e612b88c68a16f1848b43c2a9ef4c6e6d83
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-07-24

    Remove unused ev_toolbar_create_button and
    ev_toolbar_create_button_group

    https://bugzilla.gnome.org/show_bug.cgi?id=732289

M	shell/ev-toolbar.c

commit 5486942bbeb307eb01575b4f7a024f1999f74d30
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-07-24

    Remove the	Next-Page and Previous-Page buttons from the toolbar.

    Move the actions to the View menu.
    Also move the Last Page and First Page to the View menu.

    https://bugzilla.gnome.org/show_bug.cgi?id=732289

M	shell/ev-toolbar.c
M	shell/evince-menus.ui

commit 90a2586bd85352d4979553a812fd9ed6b0c4a893
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-24

    libview: Fix g_return condition in set_device_scale_on_surface()

    Fail when device scale is not 1 if hidpi is not available, we
    were doing
    the opposite.

M	libview/ev-pixbuf-cache.c

commit 2d3feb111939ea2cf15d5d749a3d0aa03693e830
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:	2014-02-27

    EvSidebarThumbnails: render thumbnails correctly for hi-dpi displays

    Render thumbnails with resolution from gtk_widget_get_scale_factor()
    and
    recreate them when the scale change. Make the thumbnail-rendering
    helper
    functions create a hi-resolution surface when the widget has a scale
    factor.

    https://bugzilla.gnome.org/show_bug.cgi?id=723431

M	libdocument/ev-document-misc.c
M	shell/ev-sidebar-thumbnails.c

commit 8a7e1cf90155db7073dcf6407c2439e1ac364a7e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-23

    configure: Don't check for gail anymore

    It's no longer used.

M	configure.ac

commit 37c13b386a89156e616dc24db2cf6a3b64c4c6a7
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:	2014-02-27

    EvPresentationView: Render correctly on hi-dpi displays

    Create rendering jobs with a scale that incorporate the scale
    factor of
    the widget, and then use cairo_surface_set_device_scale() to make the
    resulting surfaces render at the correct size. Handle changes to
    the scale
    factor both for the cached surfaces, and also for the monitor
    dimensions,
    which are reported in scaled coordinates.

    https://bugzilla.gnome.org/show_bug.cgi?id=723431

M	libview/ev-view-presentation.c

commit 1a36427dcaa608edd88016120d3104abd46ee6a3
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-07-23

    Remove test/Makefile from configure.ac

    We don't need to generate it anymore.

M	configure.ac

commit 86715b088de2ea15ecf9b3cbc40463113945c5d5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-07-23

    Remove the configure option for tests since we don't have tests
    anymore

M	Makefile.am
M	configure.ac

commit c5a338c00253aeb88901c574ea150b3bd83634e7
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:	2014-03-03

    EvPixbufCache: Handle backends that don't render a selection

    Handle the case where ev_selection_render_selection() doesn't actually
    render a surface - this happens when a backend doesn't implement
    render_selection().

    https://bugzilla.gnome.org/show_bug.cgi?id=723431

M	libview/ev-pixbuf-cache.c

commit 267172418c004ab9f62d6821e0ce9eac2b31ddae
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-07-23

    Delete test directory.

    Tests have been broken since gtk3, and we are adding updated
    tests soon.

D	test/3-page.pdf
D	test/4-page.pdf
D	test/Makefile.am
D	test/test-encrypt.pdf
D	test/test-links.pdf
D	test/test-mime.bin
D	test/test-page-labels.pdf
D	test/test-print-combinations.py
D	test/test1.py
D	test/test2.py
D	test/test3.py
D	test/test4.py
D	test/test5.py
D	test/test6.py
D	test/test7.py

commit a612f809e4e23d88a661a9604ce84f332189a658
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:	2014-02-27

    EvView: render correctly on hi-dpi displays

    Make EvPixbufCache generate surfaces with extra resolution based on
    gtk_widget_get_scale_factor(). Handle cairo surfaces with a device
    scale in ev_view_draw(). Trigger an update of the pixbuf cache when
    the scale factor changes.

    https://bugzilla.gnome.org/show_bug.cgi?id=723431

M	libview/ev-pixbuf-cache.c
M	libview/ev-view.c

commit d20506bd4eb716c0ed0490a711afa1bd29282033
Author: José Aliste <jaliste@src.gnome.org>
Date:	2014-07-21

    Bump Gtk+ requirements to 3.12

    We are now using gtk_application_set_accels_for_action,
    which was introduced in gtk+-3.12.

    See https://bugzilla.gnome.org/show_bug.cgi?id=733392

M	configure.ac

commit 69b5148db266c35f0da6fffb0ae8cb80d6fb8268
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-07-21

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 7f007dfa3ae611268cede405e8a041e084e073b8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-07-21

    Updated Norwegian bokmål translation.

M	po/nb.po

commit fb6fdd7b2750bf9fc8e31eb7def1942999176128
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-07-14

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit d031b0c3efa71385d431d8124dc30a8f5eac0ae7
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:	2014-07-11

    Updated Scottish Gaelic translation

M	po/gd.po

commit 146f874c72e4aa14c22b58e561ab77b5c939ab0e
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-07-09

    window: The menu icon name changed to open-menu-symbolic

M	shell/ev-toolbar.c

commit 33ec7fa7237558463f456d90066c6ef29a92249c
Author: MarMav <mavridou@gmail.com>
Date:	2014-07-09

    Updated Greek translation

M	po/el.po

commit cc55d7383cf6be5a54ea457248add091c936e80d
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2014-07-08

    Updated Hungarian translation

M	help/hu/hu.po

commit 20e0c063a56bde59cfdafbf431e04e0869e63a85
Author: David King <amigadave@amigadave.com>
Date:	2014-07-04

    Fix Greek, Finnish and French help translations

M	help/el/el.po
M	help/fi/fi.po
M	help/fr/fr.po

commit 771ef3612fcbf25f2f5f031425555fa7921c9ad9
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-07-03

    Updated Spanish translation

M	help/es/es.po

commit 210d77e4a7e5f274b1412ddfc3bf32a3a4b3918e
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2014-07-01

    recent-view: Fix build when libgnome-desktop is not available

M	shell/ev-recent-view.c

commit 6c3e1d5f5c297d0158d4bfe027a7e16cec6831bb
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-30

    recent-view: Cache documents metadata and thumbnail

    Use the GVFS metadata to save the title and author and the desktop
    thumbnails
    cache to save the thumbnails if libgnome-desktop is available.

M	configure.ac
M	shell/ev-recent-view.c
M	shell/ev-window.c

commit 097a2d3d8bbc12ccb3599299e7594342fc78584e
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-06-30

    Updated Spanish translation

M	po/es.po

commit 2f083c5a1cded104854a9c522dc068127d74deea
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-29

    ev-zoom-action: Allow the zoom action to be smaller

    Override get_preferred_width to ignore the natural size of the entry.

M	shell/ev-zoom-action.c

commit f98937821439639ca44c2ec3b223a72ac1cbecab
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-29

    ev-zoom-action: Keep a reference of the GMenu

    This used to work because GTK+ was leaking the menu.

M	shell/ev-zoom-action.c

commit 9981e405ea738af587d10a7ae817e4df654c26b7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-29

    toolbar: Stop creating GtkToolItems to contain toolbar elements

    Since it's no longer a GtkToolbar we can just add the widgets to
    the header
    bar without the tool item container.

M	shell/ev-toolbar.c

commit 1a6c9dfce4fe064d193e0cdd221a0d299a0b54d1
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-06-27

    ev-link-accessible: Improve efficiency of methods to get start and
    end indices

    * Store the value to eliminate unnecessary iteration through
      character rects
    * Calculate the end index forward from the start index rather
      than backwards from the last character on the page

    https://bugzilla.gnome.org/show_bug.cgi?id=732340

M	libview/ev-link-accessible.c

commit 36dbbbe6528d7611589762a7092e5e10dee962d3
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-06-28

    Updated Hebrew translation

M	po/he.po

commit b3823a72c116fa6bbbbf52c15eb39d2155c60f2e
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2014-06-28

    Updated Turkish translation

M	po/tr.po

commit 54c1c3fa2db61a5c56a02814056d0f0b3e71cf3a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-28

    shell: Remove the shadow of the main scrolled window

    It doesn't look good with the header bar

M	shell/ev-window.c

commit 74f30f592726fa64534c6e26f66eb7aa5396fd00
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-28

    css: Bring back page borders with current GTK+ and
    gnome-themes-standard

    Adwaita theme has been moved to GTK+ and CSS specific to aplications
    has
    been removed.

M	shell/evince.css

commit 892daabfd9b20f0eeff5168ab496eb2a10f8afca
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-06-28

    Updated Indonesian translation

M	po/id.po

commit 225a09fdc7daa8e69b9ba38c998f0bdf225606cd
Author: Benjamin Steinwender <b@stbe.at>
Date:	2014-06-27

    Updated German translation

M	po/de.po

commit b211de12bd43c04648f15d94ab13a310adc55afb
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	2014-06-26

    Updated Russian translation

M	po/ru.po

commit 03d62bf56df5860d4df280ecc3932e3cea29ad72
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-25

    release: 3.13.3.1

M	NEWS
M	configure.ac

commit 74fbddb63c94b36f794c6c433421e6d0eaf2ea60
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-25

    Fix MIME type lists in desktop files

    Make sure we always use a ; betweeh mime types and a trailing ;
    as well
    in desktop and backend files.

    https://bugzilla.gnome.org/show_bug.cgi?id=732216

M	backend/comics/comicsdocument.evince-backend.in.in
M	backend/djvu/djvudocument.evince-backend.in.in
M	backend/dvi/dvidocument.evince-backend.in.in
M	backend/pdf/pdfdocument.evince-backend.in.in
M	backend/ps/psdocument.evince-backend.in.in
M	backend/tiff/tiffdocument.evince-backend.in.in
M	backend/xps/xpsdocument.evince-backend.in.in
M	configure.ac
M	data/evince-previewer.desktop.in.in
M	data/evince.desktop.in.in

commit 02fdf9da1001ea148c0fe330ab23296f900df6e1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-25

    Revert "separate all mime types with a colon"

    This reverts commit 74813a4c07c3b36565493bebc006fcd0d5e62aa9.

M	configure.ac

commit 74813a4c07c3b36565493bebc006fcd0d5e62aa9
Author: Olav Vitters <olav@vitters.nl>
Date:	2014-06-25

    separate all mime types with a colon

M	configure.ac

commit a0ff2f068a355360d97a998e56868426a2ef8eb6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-25

    release: 3.13.3

M	NEWS
M	configure.ac

commit f8f8e1aa8bcf890a240e8c80679a8137130b84f8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-25

    backends: Do not generate appdata files from makefiles

    Substitute the mime types from configure instead to avoid adding
    generated files to POTFILE.in that is problematic.

D	backend/Makefile.appdata
M	backend/comics/Makefile.am
A	backend/comics/evince-comicsdocument.metainfo.xml.in.in
M	backend/djvu/Makefile.am
A	backend/djvu/evince-djvudocument.metainfo.xml.in.in
M	backend/dvi/Makefile.am
A	backend/dvi/evince-dvidocument.metainfo.xml.in.in
M	backend/pdf/Makefile.am
A	backend/pdf/evince-pdfdocument.metainfo.xml.in.in
M	backend/ps/Makefile.am
A	backend/ps/evince-psdocument.metainfo.xml.in.in
M	backend/tiff/Makefile.am
A	backend/tiff/evince-tiffdocument.metainfo.xml.in.in
M	backend/xps/Makefile.am
A	backend/xps/evince-xpsdocument.metainfo.xml.in.in
M	configure.ac
M	po/POTFILES.in
M	po/POTFILES.skip

commit 95498eead07cf72dae4f0ef1f0a233ab0796bae7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-24

    Fix some make distcheck issues

M	po/POTFILES.in
M	shell/Makefile.am

commit 836ebb6110a83b6abe8d5d3a5a7d5609867aebdb
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-24

    help: Remove EvOpenRecentAction symbols from the docs

M	help/reference/shell/evince-docs.xml
M	help/reference/shell/evince-sections.txt
M	help/reference/shell/evince.types

commit e3e3f7740a5b5d8ce0d78b6de098a10acfcee853
Author: Andrey Pustovalov <AndreiPustovalov@ya.ru>
Date:	2014-03-13

    libview: Cycle through form fields with tab button

    https://bugzilla.gnome.org/show_bug.cgi?id=503706

M	libview/ev-view-private.h
M	libview/ev-view.c

commit 9533c6848f13a3b9725fb8c9f06829f22fbc9c20
Author: Giselle Machado <giselle.mnr@gmail.com>
Date:	2014-06-24

    Setting parent for annotation properties dialog

    After the last gtk+ update, the warning:

    "Gtk-Message: GtkDialog mapped without a transient
    parent. This is discouraged."

    was shown whenever the annotation properties
    dialog was opened. The commit fixes this issue by
    setting this dialog transient for the main window.
    As a plus, the dialog is now shown always on the
    center of the main window.

    https://bugzilla.gnome.org/show_bug.cgi?id=732114

M	shell/ev-window.c

commit d70748646a4d89a614a3774e3a74a2002209cc44
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-06-23

    Expose form fields as AtkObject children of the page

    https://bugzilla.gnome.org/show_bug.cgi?id=728475

M	libview/Makefile.am
A	libview/ev-form-field-accessible.c
A	libview/ev-form-field-accessible.h
M	libview/ev-page-accessible.c
M	libview/ev-view-private.h
M	libview/ev-view.c

commit 4123a254a03c6f120db29fbc2a94ef414fb84229
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-24

    Use GMenu also for the popup menus

    This brings back also the common options of the context menu that were
    removed by mistake.

    https://bugzilla.gnome.org/show_bug.cgi?id=732124

M	shell/ev-window.c
M	shell/ev-window.h
M	shell/evince-menus.ui
D	shell/evince-ui.xml
M	shell/evince.gresource.xml

commit 20815ba7890d02e0f30234c72dcc8b61ddbcd6d7
Author: Giselle Machado <giselle.mnr@gmail.com>
Date:	2014-06-23

    Changing color signal to rgba in annotation window

    https://bugzilla.gnome.org/show_bug.cgi?id=732095

M	libview/ev-annotation-window.c

commit aea890cbc99aa5c7d340e76a3281f0c170a5add2
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-06-23

    Expose images as AtkObject children of the page

M	libview/Makefile.am
A	libview/ev-image-accessible.c
A	libview/ev-image-accessible.h
M	libview/ev-page-accessible.c

commit 004b19922ebc3a6e76024e6e24c80085dbef7b28
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-06-23

    Expose links as AtkObject children of the page

    https://bugzilla.gnome.org/show_bug.cgi?id=728475

M	libview/ev-link-accessible.c
M	libview/ev-page-accessible.c

commit 5c2ce4e9d82ebf579296ab64330d4364f5ae83de
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-06-23

    ev-view-accessible: Add a method to determine if a given doc rect
    is showing

    The Accessibility code needs to know this to set and update
    ATK_STATE_SHOWING.

    https://bugzilla.gnome.org/show_bug.cgi?id=728475

M	libview/ev-view-accessible.c
M	libview/ev-view-accessible.h

commit a898d96d18fcb88e9ec2958d2fdde4af817ee7ec
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-06-23

    ev-page-cache: Add method to check if a given page has been cached

    The Accessibility code will expose child objects (links, images, form
    fields) of the page, but can only do so after that page has been
    cached.

    https://bugzilla.gnome.org/show_bug.cgi?id=728475

M	libview/ev-page-cache.c
M	libview/ev-page-cache.h

commit 617dc0ce5f6d4b630deaae6b563423c066771f7b
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-06-23

    libview: Rename ev_view_set_focused_element and make it public
    internally

    This will be needed in order to implement atk_component_grab_focus

    https://bugzilla.gnome.org/show_bug.cgi?id=728475

M	libview/ev-view-private.h
M	libview/ev-view.c

commit 073ae1c4e7450f4715e6fcefaf954c4d53a6109d
Author: Marek Kasik <mkasik@redhat.com>
Date:	2014-06-23

    Unify direction of rotation

    Convert rotation from clockwise direction to counter-clockwise
    direction
    for djvu backend.

    https://bugzilla.gnome.org/show_bug.cgi?id=731786

M	backend/djvu/djvu-document.c

commit 51e94db64968546aaf7b5afd1f1ab5ce41e8f454
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-23

    POTFILES: Do not use type: gettext/ini for XML files

M	po/POTFILES.in

commit b968cfb2cd25854f5f2e3a32079bda9a826bb084
Author: Giselle Machado <giselle.mnr@gmail.com>
Date:	2014-06-20

    Change the opacity of the annotation window

    Implements the functions needed to change the
    opacity of the annotation windows.

    https://bugzilla.gnome.org/show_bug.cgi?id=725571

M	libview/ev-annotation-window.c

commit d23d6c17ba90731336936acda1561dae3a754dd4
Author: Giselle Machado <giselle.mnr@gmail.com>
Date:	2014-06-19

    Change color of annotation window

    When the color of the annotation window is chosen
    in the properties dialog and apply is clicked, the
    color of the window changes immediately.
    Fixed by making ev_annotation_set_rgba send both
    "color" and "rgba" signals.

    https://bugzilla.gnome.org/show_bug.cgi?id=725571

M	libdocument/ev-annotation.c

commit bfafc556cbeac05c22931e54a9dfca42d4c71727
Author: Igor Gnatenko <i.gnatenko.brain@gmail.com>
Date:	2014-06-22

    backends: delete dupes from appstream

    Reference: https://bugzilla.gnome.org/show_bug.cgi?id=731708
    Signed-off-by: Igor Gnatenko <i.gnatenko.brain@gmail.com>

M	backend/djvu/Makefile.am

commit 152edcab7c5e7155f6e86f95a7f2a2b8cdc50404
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-22

    backends: add appdata files for the backends

    https://bugzilla.gnome.org/show_bug.cgi?id=731708

A	backend/Makefile.appdata
M	backend/comics/Makefile.am
M	backend/djvu/Makefile.am
M	backend/dvi/Makefile.am
M	backend/pdf/Makefile.am
M	backend/ps/Makefile.am
M	backend/tiff/Makefile.am
M	backend/xps/Makefile.am
M	po/POTFILES.in

commit 906fdbaef94410402a4095d45c7fbd277080c786
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-06-22

    Updated Lithuanian translation

M	po/lt.po

commit 362b51ca729e66805c3cf3aa590333f289fb3df2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-22

    Unify the MIME type lists

    Define all MIME type lists in configure.ac and use those for the
    backend
    and desktop files.

M	backend/comics/Makefile.am
D	backend/comics/comicsdocument.evince-backend.in
A	backend/comics/comicsdocument.evince-backend.in.in
M	backend/djvu/Makefile.am
D	backend/djvu/djvudocument.evince-backend.in
A	backend/djvu/djvudocument.evince-backend.in.in
M	backend/dvi/Makefile.am
D	backend/dvi/dvidocument.evince-backend.in
A	backend/dvi/dvidocument.evince-backend.in.in
M	backend/pdf/Makefile.am
D	backend/pdf/pdfdocument.evince-backend.in
A	backend/pdf/pdfdocument.evince-backend.in.in
M	backend/ps/Makefile.am
D	backend/ps/psdocument.evince-backend.in
A	backend/ps/psdocument.evince-backend.in.in
M	backend/tiff/Makefile.am
R071	backend/tiff/tiffdocument.evince-backend.in
backend/tiff/tiffdocument.evince-backend.in.in
M	backend/xps/Makefile.am
R058	backend/xps/xpsdocument.evince-backend.in
backend/xps/xpsdocument.evince-backend.in.in
M	configure.ac
M	po/POTFILES.in

commit 279070fcbd2f390fd0a56f228d8b763e6d3ad468
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-10

    shell: Use a GtkHeaderBar instead of a GtkToolbar and window
    decorations

    Based on patch by Yosef Or Boczko.

    https://bugzilla.gnome.org/show_bug.cgi?id=711078

M	libmisc/ev-page-action-widget.c
M	shell/ev-toolbar.c
M	shell/ev-toolbar.h
M	shell/ev-window.c

commit a7dfeac7bdaff9ccb57321cbabc7638ce1311bf6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-22

    ev-zoom-action: Use g_signal_connect_object to connect to
    EvDocumentModel changes

    To make sure the signals are not emitted once the zoom control
    has been
    destroyed.

M	shell/ev-zoom-action.c

commit 94d08928cb942c81f3f3bc01f0fc6649691e9d32
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-22

    Make EvPageActionWidget work when the document model already has a
    document when it's set

M	libmisc/ev-page-action-widget.c

commit 1e803dcde60be73bd853dce5852ceed566c8899c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-22

    Use EvPageActionWidget directly in the toolbar instead of EvPageAction

    We will get rid of current EvPageAction when the previewer doesn't use
    GtkUIManager for the toolbar.

M	libmisc/ev-page-action-widget.c
M	shell/ev-toolbar.c
M	shell/ev-toolbar.h
M	shell/ev-window.c
M	shell/ev-window.h

commit 66257bcda35079e7f3f8da22f442347a8c736aac
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-06-21

    Updated Hebrew translation

M	po/he.po

commit 55b21fe75eb910992af06a23fdd11d3073c06f6e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-21

    Use GMenu for the zoom selector instead of GtkAction

    Merge EvZoomAction and EvZoomActionWidget into a single widget
    derived from GtkBox that uses GAction.

M	po/POTFILES.in
M	shell/Makefile.am
M	shell/ev-toolbar.c
M	shell/ev-window.c
M	shell/ev-window.h
D	shell/ev-zoom-action-widget.c
D	shell/ev-zoom-action-widget.h
M	shell/ev-zoom-action.c
M	shell/ev-zoom-action.h
M	shell/evince-menus.ui
M	shell/evince-ui.xml

commit 89aec1896f95ff879624ce515d58cdfec97071c1
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-06-20

    Updated Spanish translation

M	po/es.po

commit 61f5ae15df1164ed0aee976258e2d705e5250bbb
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-20

    Use GAction instead of GtkAction for EvHistoryAction

    Merge EvHistoryAction and EvHistoryActionWidget into a single widget
    derived from GtkBox that uses GAction.

M	po/POTFILES.in
M	shell/Makefile.am
D	shell/ev-history-action-widget.c
D	shell/ev-history-action-widget.h
M	shell/ev-history-action.c
M	shell/ev-history-action.h
M	shell/ev-toolbar.c
M	shell/ev-window.c
M	shell/ev-window.h

commit 2c5da4b14c7f994cde96221793ab3da8e5c582cb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-06-19

    Updated POTFILES.in

M	po/POTFILES.in

commit 35460fe594a57a4ef2091787c61d0a180ab0a538
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-19

    Remove unused open recent file action

M	shell/Makefile.am
D	shell/ev-open-recent-action.c
D	shell/ev-open-recent-action.h
M	shell/ev-window.c

commit 070800e80139d28d9a8f15f6a735029b07392520
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-19

    Remove unsused bookmarks action group

M	shell/ev-window.c

commit 1212c58a7a21f8a0a787274133a04cdc54427069
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-06-19

    Fix memory leak

M	shell/ev-window.c

commit 8bb5fce0754aa0d2dc795d2d21ec778888dc3714
Author: Lars Uebernickel <lars.uebernickel@canonical.com>
Date:	2014-01-30

    Use GMenuModel for action and view menus

M	po/POTFILES.in
M	shell/Makefile.am
M	shell/ev-application.c
M	shell/ev-bookmarks.c
M	shell/ev-bookmarks.h
A	shell/ev-recent-menu-model.c
A	shell/ev-recent-menu-model.h
M	shell/ev-sidebar-bookmarks.c
M	shell/ev-toolbar.c
M	shell/ev-window.c
M	shell/ev-window.h
D	shell/evince-appmenu.ui
A	shell/evince-menus.ui
M	shell/evince-ui.xml
M	shell/evince.gresource.xml

commit 118657e06ef5e000f165093ebb53ba325a35e854
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:	2014-06-17

    Updated Spanish translation

M	po/es.po

commit 680a32dd7886788b9b703acd38e1441e5876e950
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2014-06-16

    Updated Slovenian translation

M	po/sl.po

commit 1c4c7d04d245f4b2fa83d8fdb58cdc14b63bcef9
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-06-16

    appdata: Do not use the generic name in the software center

    In GNOME3 Evince is a core module, so installed by default. We want
    to show the
    project name in the software center so that it can be installed
    on other
    desktops. This also means we don't get multiple "Document Viewer"
    items in the
    search results that correspond to different projects.

M	evince.appdata.xml.in

commit 5ccad88f865f3d9dc250f009caad2438c7eb3584
Author: Christian Persch <chpe@gnome.org>
Date:	2014-06-16

    i18n: Add appdata file to POTFILES.in

M	po/POTFILES.in

commit b8a42fec41fd4ff02918e3df799a685c5356bbad
Author: Christian Persch <chpe@gnome.org>
Date:	2014-06-16

    appdata: Add rudimentary appdata file

    https://bugzilla.gnome.org/show_bug.cgi?id=708760

M	Makefile.am
A	evince.appdata.xml.in

commit fd47f59db513cd721dbb8a3e6581e1acce4c8d01
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-06-15

    Fix documented file formats, bug 731679

M	help/C/formats.page

commit 496484fc1ce93b0b3eef695983ef0f0f994037d4
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-06-08

    Updated Norwegian bokmål translation.

M	po/nb.po

commit adc646facb7d327191da18af6ba002ee3f76087a
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:	2014-06-01

    build: Fix gtk-doc building problem

    https://bugzilla.gnome.org/show_bug.cgi?id=731061

M	help/reference/shell/Makefile.am

commit f77a36c2dc470785951f407d8843e6da8d3af344
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2014-05-29

    Updated Turkish translation

M	po/tr.po

commit 908d966202f36b69023d61663fc368d696e0b169
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-05-25

    Updated Lithuanian translation

M	po/lt.po

commit 8d85af54960f4a90ef5cdcccfc0bd8a19bfe9824
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-05-23

    Updated Indonesian translation

M	po/id.po

commit ebb480a2359cf9ce88cafd7babb034d2387d849c
Author: Marek Kasik <mkasik@redhat.com>
Date:	2014-05-20

    Remove redundant code

    The if() condition can not be satisfied.

M	libview/ev-view.c

commit e983e168d034215fdf476f4f16b749a020b14429
Author: Marek Kasik <mkasik@redhat.com>
Date:	2014-05-20

    Prevent jumps to last page when autoscrolling

    It can happen during autoscrolling that current page is set to the
    last one
    when you are moving towards beginning of the document and crosses
    toolbar
    above the document.
    This happens due to filling of unsigned integer "scroll_info.last_y"
    with negative value.

    https://bugzilla.gnome.org/show_bug.cgi?id=725389

M	libview/ev-view.c

commit d723d939a782a3d8697e17c06f179391b62d5cbc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-05-20

    Updated Spanish translation

M	po/es.po

commit 258e36d8e478c40bd8ca3cb7744bd3f1f3e26e08
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-19

    libmisc: Add missing G_BEGIN_DECLS/G_END_DECLS to
    ev-page-action-widget.h

M	libmisc/ev-page-action-widget.h

commit 1f5e888883662747995e6b7f93c8708d6dfceb58
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-19

    libmisc: Remove unneeded header include

M	libmisc/ev-page-action-widget.c

commit 64a74866abb0dcf76b8b5335f86254a45d2dd5df
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-05-15

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 482181eee41d6072860731638612b95633ba3a57
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-05-15

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 7065fb05154da01a17b51cd94a374d8c96ea5f74
Author: Marek Černocký <marek@manet.cz>
Date:	2014-05-14

    Updated Czech translation

M	po/cs.po

commit 3ef98840eac2c6542fe473bebb288f626aebc7a0
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2014-05-14

    Tajik translation updated

M	po/tg.po

commit 703679ae1925479c5915e1f9a7a6a1d965b874b4
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2014-05-12

    Updated Greek translation

M	help/el/el.po

commit 4df4afe90c902652a84d16e1735105960a649145
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-12

    printing: Fix centering when shrinking to printable area but not
    scaling

    When shrinking to printable area is selected and we don't need
    to scale
    because the document fits in the printable area, the document is
    centered applying the current scale. Since we are not going to
    scale in
    that case, we should ignore any scale value > 1 when shrinking to
    printable area.

M	libview/ev-print-operation.c

commit 608e918414216201d0229afa4113a34c9115a8fe
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-10

    recent-view: Do not sort the GtkTreeModel

    We already sort the recent items ourselves and everytime the recent
    files change we clear and fill the model again.

M	shell/ev-recent-view.c

commit 1a3124a21b4995c40aca29620eaba04276440635
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-10

    recent-view: Allow to open documents from recent view with the
    keyboard

M	shell/ev-recent-view.c

commit 0ac236ac684215cc04d9383ab0bfbc28e186a4c4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-10

    recent-view: Use a GtkIconView and get rid of most of libgd
    cut-n-paste

M	cut-n-paste/libgd/Makefile.am
D	cut-n-paste/libgd/gd-main-icon-view.c
D	cut-n-paste/libgd/gd-main-icon-view.h
D	cut-n-paste/libgd/gd-main-view-generic.c
D	cut-n-paste/libgd/gd-main-view-generic.h
D	cut-n-paste/libgd/gd-toggle-pixbuf-renderer.c
D	cut-n-paste/libgd/gd-toggle-pixbuf-renderer.h
M	shell/ev-recent-view.c

commit ecadc01f25a2e21b162bd4223a5869d3bf1b763d
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2014-05-08

    recent-view: Verify a path exists before adding an icon

    Fixes warnings when switching from the recent view to
    a document back and forth.

M	shell/ev-recent-view.c

commit 48ef49533e76cdb924309905e93c41e776b8e8d0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-10

    Revert "shell: Use a GtkHeaderBar instead of a GtkToolbar and window
    decorations"

    This reverts commit c9127524e1409d582f038439e9143695d1fadc0d.

    It broke the fullscreen mode.

M	libmisc/ev-page-action-widget.c
M	shell/ev-toolbar.c
M	shell/ev-toolbar.h
M	shell/ev-window.c

commit c9127524e1409d582f038439e9143695d1fadc0d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-10

    shell: Use a GtkHeaderBar instead of a GtkToolbar and window
    decorations

    Based on patch by Yosef Or Boczko.

    https://bugzilla.gnome.org/show_bug.cgi?id=711078

M	libmisc/ev-page-action-widget.c
M	shell/ev-toolbar.c
M	shell/ev-toolbar.h
M	shell/ev-window.c

commit 9f7b100ca52ccc8e19a89d30fe8f2ba3083aa765
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-10

    shell: Move about dialog to the app menu and make it independent
    from the document

M	shell/ev-application.c
M	shell/ev-window.c
M	shell/evince-appmenu.ui
M	shell/evince-ui.xml

commit 871dc233d4d023ddd337951b0b0513d6d7d22629
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-10

    shell: Update website and copyright years in about dialog

M	shell/ev-window.c

commit 94e06be89abc1de73ca0a40cc1646bbcc539b942
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-10

    ishell: Make the about dialog non modal

M	shell/ev-window.c

commit 8b965e769808815df9c75a10a0e4972c0904d26a
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:	2014-02-27

    Add a configure check for hi-dpi support

    In order to support hi-dpi (GDK_SCALE) we need new-enough versions
    of both GTK+ and cairo. Add a configure check for the appropriate
    functions and define HAVE_HIDPI_SUPPORT.

    https://bugzilla.gnome.org/show_bug.cgi?id=723431

M	configure.ac

commit ce23d0dd7bc0e5af4fbf8dad69acd37270490e2f
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2014-05-09

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit e135acc8444139f55939e3926e89067ba3344fb8
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:	2014-05-03

    recent-view: Do not propagate button_press_event in recent view

    Otherwise, when using single clicks the drag icon would remain
    active.

M	shell/ev-recent-view.c

commit 20d4338c4131bf2515303ae68855fce62e51181f
Author: Bogdan Petcu <bogdanconstantinpetcu@gmail.com>
Date:	2014-05-01

    libgd: Highlight items on mouse-hover

M	cut-n-paste/libgd/gd-toggle-pixbuf-renderer.c

commit 08378a0f5ca0cf475a55ef3dcaf7dd302ef537d8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-04

    recent-view: ev_recent_view_new should return a GtkWidget

M	shell/ev-recent-view.c
M	shell/ev-recent-view.h

commit 39ad5dbbbc0efb969ea4ad69b74dbf2801cd9985
Author: Aakash Goenka <aakash.goenka@gmail.com>
Date:	2014-02-23

    ev-recent-view: Added bookshelf view for recent documents

    * Files are added to the bookshelf only if they exists
    * Use gtk_recent_info_get_modified instead of
      gtk_recent_info_get_visited for ordering the recent items.

M	shell/Makefile.am
A	shell/ev-recent-view.c
A	shell/ev-recent-view.h
M	shell/evince.gresource.xml
A	shell/thumbnail-frame.png

commit f4aff92367a989746a3ea26c466afff7c1a84f6b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-04

    libgd: Expect a cairo surface instead of a pixbuf for the
    GdMainIconView cell renderer

M	cut-n-paste/libgd/gd-main-icon-view.c

commit c5177e18222970de9b1ea3b39bc4ef3390da3e12
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-05-04

    libgd: Use cairo surfaces instead of pixbufs in
    gd_embed_image_in_frame

M	cut-n-paste/libgd/gd-icon-utils.c
M	cut-n-paste/libgd/gd-icon-utils.h

commit fe7a89ae3af3a67e1abefd0e64ff5a193f0b70ce
Author: Aakash Goenka <aakash.goenka@gmail.com>
Date:	2013-07-24

    libgd: Added libgd to cut-n-paste

    A separate commit where libgd is added to cut-n-paste. libgd is used
    for the bookshelf
    view of recent documents.

M	configure.ac
M	cut-n-paste/Makefile.am
A	cut-n-paste/libgd/Makefile.am
A	cut-n-paste/libgd/gd-icon-utils.c
A	cut-n-paste/libgd/gd-icon-utils.h
A	cut-n-paste/libgd/gd-main-icon-view.c
A	cut-n-paste/libgd/gd-main-icon-view.h
A	cut-n-paste/libgd/gd-main-view-generic.c
A	cut-n-paste/libgd/gd-main-view-generic.h
A	cut-n-paste/libgd/gd-toggle-pixbuf-renderer.c
A	cut-n-paste/libgd/gd-toggle-pixbuf-renderer.h
A	cut-n-paste/libgd/gd-two-lines-renderer.c
A	cut-n-paste/libgd/gd-two-lines-renderer.h
M	shell/Makefile.am

commit 34c6089ed0a805989b3f77ea2318928ac71c66c1
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2014-05-03

    Updated Belarusian translation.

    (cherry picked from commit f69d58ac81a6cc1e74bf7a0d7d78a0af3db42bf5)

M	po/be.po

commit 3d9e24f43cca2349f16fa7150753097128738518
Author: Sami Jaktholm <sjakthol@outlook.com>
Date:	2014-05-01

    Finnish help translation

M	help/fi/fi.po

commit 65877a01ec9b8326176d9cd3f1e25ec338bbd754
Author: Giselle Machado <giselle.mnr@gmail.com>
Date:	2014-04-30

    sidebar: select correct page after reloading

    Once a document is reloaded, if the current
    sidebar page is no longer supported, it should
    change to the first supported page. Otherwise, it
    does not change pages.

    https://bugzilla.gnome.org/show_bug.cgi?id=628617

M	shell/ev-sidebar.c

commit 5c8181d233597cd12fe84eda6e3128ddf8740d89
Author: Giselle Machado <giselle.mnr@gmail.com>
Date:	2014-04-30

    sidebar: Enable supported pages after reloading

    When a document is reloaded, the supported pages
    in the sidebar should be enabled.

    https://bugzilla.gnome.org/show_bug.cgi?id=628617

M	shell/ev-sidebar.c

commit f304fbe53aabe843a0a9db5db25320b9570eaccf
Author: Giselle Machado <giselle.mnr@gmail.com>
Date:	2014-04-30

    Use thumbnails as default sidebar page

    When the sidebar page set by the document metadata
    is not supported, it falls back to thumbnails.

    https://bugzilla.gnome.org/show_bug.cgi?id=628617

M	shell/ev-window.c

commit c7f3a8225c028ce779400b6e7db180bc07678652
Author: Murray Cumming <murrayc@murrayc.com>
Date:	2014-04-29

    Remove some trailing commas from enums.

    This is helpful for people using the -pedantic option with g++.

M	libdocument/ev-document-info.h
M	libview/ev-document-model.h

commit c4e98b3196ced405ab55d4fda87c6158e29c996f
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-04-28

    libview: Be sure we have an EvViewAccessible before setting its
    page range

M	libview/ev-view.c

commit fc031f76436140e11b419f53133f9ec0749b881f
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-04-25

    libview: Update the caret cursor when jumping to a find result

    https://bugzilla.gnome.org/show_bug.cgi?id=728996

M	libview/ev-view.c

commit 47e369928a994eae0d0e9244e0a0079fe3f25a0c
Author: William Jon McCann <william.jon.mccann@gmail.com>
Date:	2014-04-25

    Update to depend on adwaita-icon-theme

M	configure.ac

commit 44bb593d8b6eacee854b7b9c954987a5a51a68c4
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2014-04-25

    Tajik translation updated

M	po/tg.po

commit 110a98a7f0c1b528f0c35c382dce0d2c73660256
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-04-25

    libview: Update ATK_STATE_SHOWING when the visible page range changes

    https://bugzilla.gnome.org/show_bug.cgi?id=728664

M	libview/ev-view-accessible.c
M	libview/ev-view-accessible.h
M	libview/ev-view.c

commit 7d1bf5a975ea43cf4cf1447a7d8e83163ce5033d
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-04-22

    libview: Implement AtkComponent for pages

    https://bugzilla.gnome.org/show_bug.cgi?id=728673

M	libview/ev-page-accessible.c
M	libview/ev-view-accessible.c
M	libview/ev-view-accessible.h

commit af93f43bb73eaa6ffb979197a31ec3daccad39d1
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-04-25

    Updated Indonesian translation

M	help/id/id.po

commit 273eee9bc5c1fc2fe7e1b492f578ca870bf8c252
Author: Marek Černocký <marek@manet.cz>
Date:	2014-04-23

    Updated Czech translation

M	po/cs.po

commit 48d116d4c4ac5f8ae1af616e13c6075fc6985e86
Author: Marek Černocký <marek@manet.cz>
Date:	2014-04-23

    Updated Czech translation

M	help/cs/cs.po

commit 1783f27cfa59c65358c49c0a68a5b41f8d6fb80d
Author: Benjamin Steinwender <b@stbe.at>
Date:	2014-04-20

    Updated German translation

M	po/de.po

commit faa8612c2ae92d292f171b80be73762a40feaddb
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	2014-04-18

    Updated Dutch translation

M	po/nl.po

commit 2c8870e4eed1c713051569ef66757c09bdea728d
Author: Anuj Khare <khareanuj18@gmail.com>
Date:	2014-03-20

    Add keybindings to go back/forward in history

    <alt>P to go back in history
    <alt>N to go forward in history

    Based on Spandana's patch.

    https://bugzilla.gnome.org/show_bug.cgi?id=509029

M	shell/ev-window.c
M	shell/evince-ui.xml

commit 8ff63b36ef59dd6ecee50818ece262dfa07f6849
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-04-15

    Updated Spanish translation

M	help/es/es.po

commit b10631e1f194e28798de01b2fd10393d7cc6819d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-04-15

    Updated Spanish translation

M	po/es.po

commit 28652c27c43234053644b2023e78ea603250ecff
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-04-15

    Updated Spanish translation

M	help/es/es.po

commit 8bde8c98ed648052c9714d46deb495ecf6e87403
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-04-15

    Fixed typo in string

M	help/C/movingaround.page

commit 7cf4c80ca4cc81f1f9b2984309c2f20d2087d2f8
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-04-14

    libview: Fix shift+click text selection

    https://bugzilla.gnome.org/show_bug.cgi?id=728189

M	libview/ev-view.c

commit b5fc924aeb9bca1543449558bb5aa64002813f32
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-04-11

    a11y: ensure text cached when you request an EvPageAccessible

    https://bugzilla.gnome.org/show_bug.cgi?id=724965

M	libview/ev-page-cache.c
M	libview/ev-page-cache.h
M	libview/ev-view-accessible.c

commit c421a901e6e692a52e9a61df6ca1940fa326a088
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-04-07

    a11y: managing atk states on EvPageAccessible

    This includes:
     * Implements ref_state_set on EvPageAccessible
     * Notify FOCUSED state changes

    https://bugzilla.gnome.org/show_bug.cgi?id=724965

M	libview/ev-page-accessible.c
M	libview/ev-view-accessible.c
M	libview/ev-view-accessible.h

commit f6ae6b7752adcbc5af401c6141e70c2b83fe9f31
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-04-11

    a11y: add if applies ATK_RELATION_FLOWS_TO/FROM on EvPageAccessible

    https://bugzilla.gnome.org/show_bug.cgi?id=724965

M	libview/ev-page-accessible.c
M	libview/ev-view-accessible.c
M	libview/ev-view-accessible.h

commit 750f20d387c1a6b792242cf019685c7a33c4b7e2
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-04-07

    a11y: move AtkHyperText implementation from EvViewAccessible to
    EvPageAccessible

    https://bugzilla.gnome.org/show_bug.cgi?id=724965

M	libview/ev-link-accessible.c
M	libview/ev-link-accessible.h
M	libview/ev-page-accessible.c
M	libview/ev-view-accessible.c

commit 2a458a9af4881f295263f6443787050fd370e865
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-04-07

    a11y: move AtkText implementation from EvViewAccessible to
    EvPageAccessible

    https://bugzilla.gnome.org/show_bug.cgi?id=724965

M	libview/ev-page-accessible.c
M	libview/ev-page-accessible.h
M	libview/ev-view-accessible.c

commit c1cdf84022da69ccf1e71c6b816642034d8ac053
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-03-12

    a11y: expose EvPageAccessible as children of EvViewAccessible

    https://bugzilla.gnome.org/show_bug.cgi?id=724965

M	libview/ev-view-accessible.c

commit c489d3fec59a1d504ebcaf2dcee4fac7076625e4
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-03-11

    a11y: new EvPageAccessible

    Basic skeleton for a new accessible class, that represents
    each individual page.

    https://bugzilla.gnome.org/show_bug.cgi?id=724965

M	libview/Makefile.am
A	libview/ev-page-accessible.c
A	libview/ev-page-accessible.h

commit 21c61db433efc9febd0aa1222d6d8f3413dd442a
Author: Ibrahim Saed <ibraheem5000@gmail.com>
Date:	2014-04-10

    Updated Arabic translation

M	po/ar.po

commit f1d2cb396d3c1ddbd7c9332ef1023a8ee23d3f8b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-04-06

    Show the fullscreen toolbar when the gear menu is shown using F10

M	shell/ev-window.c

commit 51b8ebc2226bc11e4dabab04423c096a8c89b8ae
Author: Giselle Machado <giselle.mnr@gmail.com>
Date:	2014-03-30

    Show fullscreen toolbar only when moving the mouse to the top of
    the screen

    When in fullscreen, the toolbar is hidden on the
    top of the screen. Moving the mouse there makes
    the toolbar appears and removing it makes it
    disappear again.

    https://bugzilla.gnome.org/show_bug.cgi?id=696643

M	shell/ev-window.c

commit 3850ff531e02260083ca0da55267d4007d0d9d83
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2014-04-03

    ev-window: Don't crash when trying to save a copy

    We can not free both folder_uri and parent_uri. If parent_uri is
    non-NULL then it will point to the same location as folder_uri.
    Also, parent_uri is now unused so we can just remove it.

    Fallout from 41ce0e16cc3f395766abb239f990dd98c3144001

    https://bugzilla.gnome.org/show_bug.cgi?id=727536

M	shell/ev-window.c

commit 6c285161257fac37f88cd1e1f2c430d20f198010
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2014-04-04

    l10n: Update Japanese translation

    Fix typo

M	po/ja.po

commit a978baa8d61f79b242e610a772fe216866e1e494
Author: Ikuya Awashiro <ikuya@fruitsbasket.info>
Date:	2014-04-03

    l10n: Update Japanese translation

M	po/ja.po

commit c045adcc096237351f8ad8634cec0459b8cb0545
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2014-03-31

    Mark images as not translatable to keep them off translators radar

M	help/C/index.page

commit 833a1ba0e275f01dad646528257853d5d192d2cd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-03-30

    doap: update URLs

M	README
M	evince.doap

commit 13e32256ec0c8707ca992336f4336e2e088de0db
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-30

    thumbnails: Remove extra call to ev_document_get_page_size

M	shell/ev-sidebar-thumbnails.c

commit aa76196e5acc8fa1d8f1c0a99999744380f028b3
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-30

    ev-window: Fix enable caret navigation question message

    https://bugzilla.gnome.org/show_bug.cgi?id=727062

M	shell/ev-window.c

commit a203fc1bf0b6f4f4c920c3144ebae77e41686751
Author: Gustau Perez <gustau.perez@gmail.com>
Date:	2014-03-28

    Fix a crash during the build with introspection enabled

    Using GI_SCANNER_DEBUG=save-temps, the temporal files remained.
    It has been suggested that calling
    gtk_style_context_add_provider_for_screen()
    should, inside a g_once_init(), be in the class's _init() (not
    class_init()) hook.

    https://bugzilla.gnome.org/show_bug.cgi?id=726812

M	libview/ev-view-presentation.c

commit aa1decff1da9673ab09d7835f53c17f16644d000
Author: Attila Hammer <hammera@pickup.hu>
Date:	2014-03-28

    Updated Hungarian translation

M	help/hu/hu.po

commit 33a4d5d4e35710c832bbdee736a0219ca86f63fe
Author: Marek Kasik <mkasik@redhat.com>
Date:	2014-03-21

    libview: Show correct warning when printing

    Show that requested format is not supported by printer
    if it is not supported.

    https://bugzilla.gnome.org/show_bug.cgi?id=724044

M	libview/ev-print-operation.c

commit b050d1d596df2b3ef49a61d894fc89666288af2a
Author: Marek Kasik <mkasik@redhat.com>
Date:	2014-03-27

    libview: Allow printing to all formats supported by backend

    Set output format of EvPrintOperationExport according to the format
    requested by user or by capabilities of used backend if there
    is only 1 choice.

    https://bugzilla.gnome.org/show_bug.cgi?id=724044

M	libview/ev-print-operation.c

commit 404f2723d67da621ff6a4479db0d2e7f6d8fe86a
Author: Marek Černocký <marek@manet.cz>
Date:	2014-03-24

    Updated Czech translation

M	help/cs/cs.po

commit 7332a6fdc27ca2d74cf9aca284fdd6bc1f5b39e9
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2014-03-23

    Updated French translation

M	help/fr/fr.po

commit 259acb97ae035403df6f33598e00064ef4b30fdd
Author: Andre Klapper <a9016009@gmx.de>
Date:	2014-03-23

    User docs: Make page ID use file name

M	help/C/default-settings.page

commit 69070473795f918654a393121c56aa97a447d482
Author: Andre Klapper <a9016009@gmx.de>
Date:	2014-03-23

    User docs: Update homepage link

M	help/C/develop.page

commit 7255410b0342eb7711dbe0aba5b6c26e86468e69
Author: Andre Klapper <a9016009@gmx.de>
Date:	2014-03-23

    User docs: Make page ID the same as file name

M	help/C/bug-filing.page

commit e885f1a97e84f5e0fa994292b235e220449f0063
Author: Marek Černocký <marek@manet.cz>
Date:	2014-03-23

    Updated Czech translation

M	help/cs/cs.po

commit 586e88b6640a644458648f26f485e39f6a37388a
Author: Andre Klapper <a9016009@gmx.de>
Date:	2014-03-23

    User docs: Make page ID the same as file name

M	help/C/annotation-properties.page

commit 046a762c95727ee3602e787939807135bafd4656
Author: Andre Klapper <a9016009@gmx.de>
Date:	2014-03-23

    User docs: Fix broken link

M	help/C/translate.page

commit e20c4045deabbe90667fb2af223d13f592d2c9ad
Author: Gábor Kelemen <kelemeng@gnome.hu>
Date:	2014-03-23

    Updated Hungarian translation

M	help/hu/hu.po

commit 897f483cf5bc0602eec6fa0050486082a52bbd9c
Author: Marek Černocký <marek@manet.cz>
Date:	2014-03-23

    Updated Czech translation

M	help/cs/cs.po

commit a9e926b342988556b46b8a7417571dcda7fdbb8b
Author: Marek Černocký <marek@manet.cz>
Date:	2014-03-23

    Updated Czech translation

M	po/cs.po

commit ed641ab343d93c9ef129afed8986d57137ab4cb5
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-03-23

    Update reading documents help for 3.12

M	help/C/finding.page
M	help/C/movingaround.page
M	help/C/opening.page
M	help/C/password.page

commit b6d2f59c97421bd9881a3e52b1efb95877662c3f
Author: Gábor Kelemen <kelemeng@gnome.hu>
Date:	2014-03-23

    Updated Hungarian translation

M	help/hu/hu.po

commit bbe38d7a60dd0983183d0c6a2d924130e0f26447
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-03-23

    Ship the help license

M	help/Makefile.am

commit ed767f10683a8fdafd88f3f3d6080963f320edac
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	2014-03-23

    Updated Russian translation

M	po/ru.po

commit 77fd362eccf069ec618bcc8c44492d089b13f9bf
Author: Peter Vágner <pvdeejay@gmail.com>
Date:	2014-03-23

    Updated slovak translation

M	po/sk.po

commit 96e6ae88341b8681fcf6416f855cb2ee7bbc0ad5
Author: Anna Philips <anna.cs.au@gmail.com>
Date:	2014-03-20

    Update help for UI changes in 3.10, bug 700442

M	help/C/convertPostScript.page
M	help/C/convertSVG.page
M	help/C/convertpdf.page
M	help/C/finding.page
M	help/C/forms-saving.page
M	help/C/invert-colors.page
M	help/C/movingaround.page
M	help/C/presentations.page
M	help/C/printing.page

commit c7986c8dd9a2980bc0b61fd435480c01d7713bad
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-03-22

    Tidy movingaround help page

M	help/C/movingaround.page

commit cc378d63fe33f8a2f31003fbe77da51be3a3d7e8
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	2014-03-22

    Updated German translation

M	help/de/de.po

commit 6b50ba7172d84de19f1215bed289698d82ea4187
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:	2014-03-03

    Switch to specifying rendered output in pixels, not as a scale

    Passing a scale to the backend meant that we were implicitly counting
    on the backend code and front-end code to do exactly the same
    calculation
    to get the rendered size of a page. Instead switch to passing a
    target size in pixels to the backend.

    This, among other things, allows us to make sure that we render at
    a size
    that is integer device pixels in both X and Y directions.

    ev-render-context.[ch]: Add ev_render_context_set_target_size() and
    three helper functions:

     ev_render_context_compute_scaled_size(): get the pixel size to
     render at
     ev_render_context_compute_transformed_size(): size including effect
     of rotation
     ev_render_context_compute_scales(): get the corresponding
     xscale/yscale.

    ev-jobs.[ch]: Add ev_job_thumbnail_new_with_target_size(), and
    pass the
    target size for thumbnail and render jobs (which already had a target
    size) to the backends.

    backend/*: Use the helper functions rather than directly accessing
     render_context->scale.

    ev-pixbuf-cache.c ev-view.c ev-view-presentation.c
    ev-sidebar-thumbnails.c
    ev-window.c: Switch to passing target sizes rather than scales when
    rendering.

    https://bugzilla.gnome.org/show_bug.cgi?id=723431

M	backend/comics/comics-document.c
M	backend/djvu/djvu-document.c
M	backend/dvi/cairo-device.c
M	backend/dvi/cairo-device.h
M	backend/dvi/dvi-document.c
M	backend/pdf/ev-poppler.cc
M	backend/ps/ev-spectre.c
M	backend/tiff/tiff-document.c
M	backend/xps/xps-document.c
M	help/reference/libdocument/libevdocument-sections.txt
M	help/reference/libview/libevview-sections.txt
M	libdocument/ev-render-context.c
M	libdocument/ev-render-context.h
M	libview/ev-jobs.c
M	libview/ev-jobs.h
M	libview/ev-pixbuf-cache.c
M	libview/ev-view-presentation.c
M	libview/ev-view.c
M	shell/ev-sidebar-thumbnails.c
M	shell/ev-window.c

commit d74d4447cce71bffcc407aa8c33cc8d30d4daf2d
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2014-03-22

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit d47597cc6d10f061ea39b8b42d477747fefd8a00
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-22

    ev-sidebar-thumbnails: Render thumbnails to a cairo surface instead
    of using GdkPixbuf

    Now that the sidebar model uses cairo surfaces, getting a surface from
    the backend we avoid an unnecessary conversion from GdkPixbuf to cairo
    surface.

M	shell/ev-sidebar-thumbnails.c

commit b840a17b7ae6cf32ce8bf98329b1e27ff2acc379
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-22

    ev-jobs: Add support for rendering thumbnails to a cairo surface
    with EvJobThumbnail

M	help/reference/libview/libevview-sections.txt
M	libview/ev-jobs.c
M	libview/ev-jobs.h

commit 168877438f22b0cb892219d4b670351fe8094b4e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-22

    djvu: Implement ev_document_get_thumbnail_surface

M	backend/djvu/djvu-document.c

commit 29b85dc40f5bf8b68b5647e09997f8d17ee70c18
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-22

    pdf: Implement ev_document_get_thumbnail_surface

M	backend/pdf/ev-poppler.cc

commit f8736ab169775428f99a1e1b1096b79edc1f95a3
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-22

    libdocument: Add ev_document_get_thumbnail_surface()

    To allow backends render thumbnails to a cairo surface instead of a
    GdkPixbuf.

M	help/reference/libdocument/libevdocument-sections.txt
M	libdocument/ev-document.c
M	libdocument/ev-document.h

commit 4b83fa562676fe2fd957924c971150d3777bb3be
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-22

    ev-document-misc: Get the image from the source surface in
    ev_document_misc_render_thumbnail_frame

    When ev_document_misc_render_thumbnail_frame is used to render a
    thumbnail with a frame, and not just the frame itself, ignore
    the passed
    in size and use the source surface if present, like we do when using
    pixbufs.

M	libdocument/ev-document-misc.c

commit 0a0d99b1c6f7d42fe37b270798b60420325fdc32
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:	2014-02-27

    EvSidebarThumbnails: switch to using cairo_surface_t for images

    To support high resolution thumbnails on hi-dpi displays, we need to
    use cairo surfaces instead of using GdkPixbuf for images. In
    preparation
    for high resolution thumbnails, switch over to cairo_surface_t. This
    adds a GTK+ 3.10 dependency.

    Add new:
    ev_document_misc_render_loading_thumbnail_surface()
    ev_document_misc_render_thumbnail_surface_with_frame()

    To avoid converting surface => pixbuf => surface.

    https://bugzilla.gnome.org/show_bug.cgi?id=723431

M	configure.ac
M	help/reference/libdocument/libevdocument-sections.txt
M	libdocument/ev-document-misc.c
M	libdocument/ev-document-misc.h
M	shell/ev-sidebar-thumbnails.c

commit 937a8c5f54f3d468862af5402c92ad56034098e1
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2014-03-21

    Updated Slovenian translation

M	po/sl.po

commit 11972d3ac2b2f633911cdf3164cf08ac54d1cb74
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2014-03-21

    Updated Basque language

M	po/eu.po

commit 57d7fd8ca800ff78b54dea4397fb8d24a6abb0a3
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2014-03-20

    Updated Danish translation

M	po/da.po

commit 3605b544aa950c6b866f3b03fc64ac9af7029021
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:	2014-03-20

    Update Aragonese translation

M	po/an.po

commit d6a7b03ccb50917daa7d95d1f2dd410606fbcbdf
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:	2014-03-20

    Updated Scottish Gaelic translation

M	po/gd.po

commit e6e829c421870529d9f8f25522b63cec8739bbd8
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2014-03-20

    Updated Esperanto translation

M	po/eo.po

commit 58ff8b87709c48ae8037fcf622761e935d61c7a9
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2014-03-19

    Updated Latvian translation

M	po/lv.po

commit 47e96c74a66b7b9253d3dc6c57c8e81cb3331a0b
Author: Claudio Arseni <claudio.arseni@gmail.com>
Date:	2014-03-19

    Updated Italian translation

M	po/it.po

commit 4f6ec12b28067c64ed300e401cb2428168b400ef
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-03-18

    Updated Norwegian bokmål translation

M	po/nb.po

commit 9e4e124e7e3dfdee04590eb4c85a6fa4de95f7ea
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-18

    release: 3.11.92

M	NEWS
M	configure.ac

commit e92222bb66ad711524622962368c836aec928ae4
Author: A S Alam <apreet.alam@gmail.com>
Date:	2014-03-17

    update Punjabi Translation 17March2014: Alam

M	po/pa.po

commit 0eae523033c7586dfe8a0fd41ba9edb14b59f9b7
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2014-03-17

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit d192df18bcd19d7c157cfdbf7dc5a9aeb4de8fa6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-17

    sidebar-thumbnails: Keep current page in visible area when the
    sidebar is resized

    If the current selection is no longer visible after a seidebar resize,
    re-set the current page to make sure it's visible.

    https://bugzilla.gnome.org/show_bug.cgi?id=631050

M	shell/ev-sidebar-thumbnails.c

commit bed036acf9bccac9a13a4b019381f0b69169b9d2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-17

    ev-view-presentation: Propagate unhandled key events

    This was preventing shortcuts like CTRL+w from working.

    https://bugzilla.gnome.org/show_bug.cgi?id=604834

M	libview/ev-view-presentation.c

commit 03afe275fabbb235f9697ad3274cde0c9e2b077b
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-03-17

    libview: Fix some broken aspects EvViewAccessible text support

    * Stop using GtkTextBuffer: It was a hack more than a real solution
    * Fix setting and clearing of selection via AtkText for the current
    page
    * Strip newline chars out of the sentence strings: Newlines break
    TTS prosody
    * Add some logic to heuristically distinguish soft and hard returns

    https://bugzilla.gnome.org/show_bug.cgi?id=725003

M	libview/ev-view-accessible.c
M	libview/ev-view-private.h
M	libview/ev-view.c

commit ceae1b0c9ae8584a08e841c0d77588803bdd0d4e
Author: Attila Hammer <hammera@pickup.hu>
Date:	2014-03-17

    Updated Hungarian translation

M	po/hu.po

commit c080c6f9cb1c4348b1a7ec19da124f5a5fd2bdfc
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2014-03-17

    Tajik translation updated

M	po/tg.po

commit 2bbd72a7ecdf626341cc8b8fd88d08c7ec8f8ae8
Author: maria thukididu <marablack3@gmail.com>
Date:	2014-03-16

    Updated Greek translation

M	po/el.po

commit 2d1aa91687ba2d371d33bc6e2f72f6de683da878
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2014-03-16

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 5264c31106f31a00627787938a0d0524457b48dc
Author: Michael Scherer <misc@zarb.org>
Date:	2014-03-16

    Updated French translation

M	help/fr/fr.po

commit e7745ebdfed4db8c9423710e615151927f7d3061
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2014-03-16

    Updated Hebrew translation.

M	po/he.po

commit c6d3f9eaef36814685a4bda1ccfee5d9562ec464
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2014-03-15

    Updated Ukrainian translation

M	po/uk.po

commit 00e583d61e06539eaf084cc8a6982bad4cd1faa2
Author: Claude Paroz <claude@2xlibre.net>
Date:	2014-03-15

    Updated French translation

M	po/fr.po

commit 5e4d9f872cb94ead13df1861ed812007c75eff42
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-03-14

    libview: Take caret navigation into account when getting AtkHyperlink
    indices

    https://bugzilla.gnome.org/show_bug.cgi?id=726310

M	libview/ev-link-accessible.c

commit bc93c62b491b1a13004553edc2aab6d3459e9c87
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2014-03-14

    Updated Galician translations

M	po/gl.po

commit 3d3174d49e2fcaaea1fcd63d43035986330e2368
Author: Pau Iranzo <paugnu@gmail.com>
Date:	2014-03-13

    [l10n] Update Catalan translation

M	po/ca.po

commit dd2c1a514825d2e771ee495b80e87f6111ddd089
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	2014-03-13

    Updated German translation

M	po/de.po

commit 7774c05c2e8e9f6375bc5a5ec7e117d60f564db5
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-03-13

    Updated Lithuanian translation

M	po/lt.po

commit b13985b86c470b20d64bffe487e8ced1dd48d0c8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-03-13

    Updated Spanish translation

M	po/es.po

commit 6c9d9d6e6875e0570d6706fa60c7ad2d1f4f1567
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2014-03-13

    Updated Kazakh translation

M	po/kk.po

commit 171a2c4b3d04ba5e54b5952b7fe7e845797d48c4
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2014-03-12

    Updated Portuguese translation

M	po/pt.po

commit 796cdf63fd9eb966e0b2480f5220276fbb006673
Author: Paweł Żołnowski <pawel@zolnowski.name>
Date:	2014-03-12

    Updated Polish translation

M	po/pl.po

commit 29b42deb44fa26867ddc21d282423d9bc6d41276
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:	2014-03-12

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 4e8f97653c072e09a701fd18040650b0cd9a1bdf
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-03-12

    Updated Indonesian translation

M	po/id.po

commit 1e8022e86e844dac811c9b9b087dfb079e52a753
Author: Marek Černocký <marek@manet.cz>
Date:	2014-03-12

    Updated Czech translation

M	po/cs.po

commit 7c486162052045a4feee649dea5d94a8243dc6ca
Author: Sphinx Jiang <yishanj13@gmail.com>
Date:	2014-03-12

    Updated Chinese (China) translation

M	po/zh_CN.po

commit 5adcacd9d00bea6f15e5162bf0d9e88458e976e3
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2014-03-12

    Updated Korean translation

M	po/ko.po

commit 83d1201fc406eaea89e7da22e76a21f78f285ab7
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2014-03-12

    Updated Korean translation

M	po/ko.po

commit 4a03cf916e3e68515c2348398136bce0737a39a4
Author: Tiagosdot <almosthumane@portugalmail.pt>
Date:	2014-03-12

    Updated Portuguese translation

M	po/pt.po

commit 640ea46819a5fbde9c3b7736c57c16a56eb4060a
Author: Marek Černocký <marek@manet.cz>
Date:	2014-03-11

    Updated Czech translation

M	help/cs/cs.po

commit d516fbf6a57d4803a7cabee7f3fba64a072883f3
Author: Bogdan Petcu <bogdanconstantinpetcu@gmail.com>
Date:	2014-03-11

    print: Use different status messages for printing and generating
    preview

    https://bugzilla.gnome.org/show_bug.cgi?id=613191

M	libview/ev-print-operation.c

commit 484ccf18c7fa071ab80b7eefe88b345d4e9047b3
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	2014-03-10

    Updated Russian translation

M	po/ru.po

commit cc4d5ae9ecb8dacd2fbd367ffab997d89e1d2b45
Author: Marek Černocký <marek@manet.cz>
Date:	2014-03-08

    Fixed tag

M	help/cs/cs.po

commit 44518ef318939bb8ff2758d3669e6b82f3ed000f
Author: Wylmer Wang <wantinghard@gmail.com>
Date:	2014-03-08

    Updated Chinese (China) translation

M	po/zh_CN.po

commit 27722ead6eecc7810b1c611d9989f21d3cd30280
Author: Attila Hammer <hammera@pickup.hu>
Date:	2014-03-08

    Updated Hungarian translation

M	help/hu/hu.po

commit e85c71a5c8995574989f7d7d9b83d8a74feefc1e
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2014-03-08

    Updated Latvian translation

M	po/lv.po

commit 7554d136461f4d10635aaa43221b7e8aa3bef3a7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-03-07

    Updated Spanish translation

M	help/es/es.po

commit a77ae7f03554cda96349b6df01cc9a9ba21df265
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2014-03-05

    Updated Korean translation

M	po/ko.po

commit 6a57748ce44a6c71105ccb7fea7f70324bef9ac9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-03-05

    Updated Norwegian bokmål translation

M	po/nb.po

commit 71194a4050b69eada8c952346b9f6bf683dd5a99
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2014-03-04

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit ae99dd1e8e0d487f45905b5a57e395de5ee08eb3
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2014-03-03

    Updated Galician translations

M	po/gl.po

commit a3c42d1f019823bd800c57be37dcfe7562d2b9cf
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:	2014-03-03

    Updated Scottish Gaelic translation

M	po/gd.po

commit 4efa5d84a48a5b5dc17a590f5e1a38ed57e737e3
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2014-03-03

    Updated Thai translation

M	po/th.po

commit 87ceeecbd05d2856f4e1cfbe14a3f3ee925d9a2a
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-03-02

    Prepare reading help pages for updates

M	help/C/finding.page
A	help/C/legal-unported.xml
M	help/C/movingaround.page
M	help/C/password.page

commit cb462db2f5717632ed8ed71182685255ec89a08d
Author: Marek Černocký <marek@manet.cz>
Date:	2014-03-02

    Updated Czech translation

M	help/cs/cs.po

commit b40260c2ffa462a7726a3a0e817dce30fa9ad7c1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-01

    libview: Keep the scroll position when switching between continuous
    and non continuous mode

    https://bugzilla.gnome.org/show_bug.cgi?id=554843

M	libview/ev-view.c

commit ebd6720ff337f55624707d425c5196e29d5fc331
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-02

    libview: Do not use the spacing when setting the vertical scroll
    value in continuous mode

    The y value received in scroll_to_point already contains the spacings.

M	libview/ev-view.c

commit df0015052c2773badfb58f7c6ab80d1bdee9f5b9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-02

    libview: Make sure we don't return negative values when converting
    view points to doc points

M	libview/ev-view.c

commit 576dd5b3e44483462fbd4e72caa83cd1826a3e06
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-02

    libview: Take border into account when converting view points to
    doc points

M	libview/ev-view-accessible.c
M	libview/ev-view-private.h
M	libview/ev-view.c

commit d624741c9c165f1f3260198fb33880d2c41aee97
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-02

    libview: Use the right border when transforming doc rect ot view rect

    Use top instead of right border for the y coordinate.

M	libview/ev-view.c

commit 1fae4cd411fe209d4cac7c0b56c4d7a665664580
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-02

    libview: Fix the calculation of the page area in non continuous mode

    Take borders into account when calculating the x coordinate of
    the page
    area.

M	libview/ev-view.c

commit 2060ca8da65f1f9cc2227524a471edf17083d1af
Author: Gábor Kelemen <kelemeng@gnome.hu>
Date:	2014-03-01

    Updated Hungarian translation

M	help/hu/hu.po

commit a07bae1989941b45886a4cf201e696503cf42ad0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-01

    ev-window: Add a comment explaining why we don't exit presentation
    with F5

M	shell/ev-window.c

commit ead3eef0e1a14cd9e6ee0bfea7a8939c20d8da6a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-01

    Revert "ev-window: Make F5 toggle presentation mode"

    This reverts commit dbdd0cbc43ce66cbd06c170db279a7b939dc125d.

M	shell/ev-window.c

commit dbdd0cbc43ce66cbd06c170db279a7b939dc125d
Author: Pooja Ahuja <ahuja.pooja22@gmail.com>
Date:	2014-03-01

    ev-window: Make F5 toggle presentation mode

    Instead of only entering presentation.

    https://bugzilla.gnome.org/show_bug.cgi?id=309364

M	shell/ev-window.c

commit 73be13530bb525b945fe96447686bef60abb0da7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-03-01

    libview: Stop autoscrolling when view looses focus

    This patch is a merge of two patches written by Robert Roth and Anuj
    Khare.

    https://bugzilla.gnome.org/show_bug.cgi?id=541699

M	libview/ev-view.c

commit c9b381bbc9240f1f98eeefc40839047024206ceb
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2014-02-28

    Updated Slovenian translation

M	po/sl.po

commit d958ee8555296def41cdb12404399e91ccc226ab
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2014-02-28

    Update Arabic translation

M	po/ar.po

commit 78fafb9e87f371c5726b213a97a762ad6081e48d
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-02-28

    Update opening help page

M	help/C/opening.page

commit 541ac3415d6218bb0796c16d97ed624b2b0dcfb9
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-02-28

    Update help introduction for 3.12

M	help/C/introduction.page

commit b33622f70ff1520de5023c1b11cfdb42f0e01e20
Author: Attila Hammer <hammera@pickup.hu>
Date:	2014-02-28

    Updated Hungarian translation

M	po/hu.po

commit d478f4bf76010155df3eb73f5709d4f8c5f0de81
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-02-28

    Tidy help index

M	help/C/index.page

commit 2b629d0d5c4fb8555c12dded8acb031d2d6a95e5
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2014-02-28

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 5e7b7a36f3598ee6ed0cfe9e337a998e53756b9d
Author: Gábor Kelemen <kelemeng@gnome.hu>
Date:	2014-02-28

    Updated Hungarian translation

M	help/hu/hu.po

commit 37eae3aeaa93bad4fb6408e6fbd6f93ce4b09a86
Author: Marek Černocký <marek@manet.cz>
Date:	2014-02-27

    Updated Czech translation

M	help/cs/cs.po

commit 3b63aa8370e4280a5f5b4e7ec8e8bae964b3709f
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-02-25

    a11y: cleaning implementation for atk_text_get_caret_offset

    If caret access is not enabled (or in any other error) caret_offset
    should be -1, and not one based on the gtktextbuffer.

    Based on a previous patch by Joanmarie Diggs

    https://bugzilla.gnome.org/show_bug.cgi?id=701746

M	libview/ev-view-accessible.c

commit 912d9d5ea30ac730a3dc107472bc104e645e4e9a
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-02-25

    a11y: fixing implementation for atk_text_set_caret_offset

    It uses the recently added ev_view_set_caret_cursor_position

    https://bugzilla.gnome.org/show_bug.cgi?id=701746

M	libview/ev-view-accessible.c

commit 9809525eaf6748dd235ee6bbb0c1e865479f4b2a
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2014-02-25

    view: set_caret_cursor_position should emit "cursor-moved" if applies

    https://bugzilla.gnome.org/show_bug.cgi?id=701746

M	libview/ev-view.c

commit 0b7c433bf384962230279d8fd0f94973ac7ecf8a
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2014-02-27

    Tajik translation updated

M	po/tg.po

commit f8b822bb83835e85794bb4772f77846d035f4b94
Author: Marek Černocký <marek@manet.cz>
Date:	2014-02-26

    Updated Czech translation

M	po/cs.po

commit d99f1ccd1ece0874f3a17863265918cf544a48ea
Author: Pau Iranzo <paugnu@gmail.com>
Date:	2014-02-26

    [l10n] Update Catalan translation

M	po/ca.po

commit b327461759bd3e876dd5b488facdddf75288a29b
Author: Joanmarie Diggs <jdiggs@igalia.com>
Date:	2014-02-25

    Remove support for deprecated
    atk_text_get_text_{before,after}_offset()

    See
    https://mail.gnome.org/archives/commits-list/2013-June/msg04117.html
    for the associated commit to ATK.

    https://bugzilla.gnome.org/show_bug.cgi?id=725162

M	libview/ev-view-accessible.c

commit b4cbc234e2e1603d65ce4775e55a6c56bcb554e9
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-02-25

    Updated Indonesian translation

M	po/id.po

commit d12b388afdf4a35d408241083cdb75b99aae2852
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-02-24

    Updated Lithuanian translation

M	po/lt.po

commit bbe922167b09d50f80a430c9cbd4d0670b5f9c9b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-02-24

    Updated Spanish translation

M	po/es.po

commit 2871fe8ee9a94af008a09f5609ffcb4523d3159b
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2014-02-24

    Updated Kazakh translation

M	po/kk.po

commit b823114aa7a82579ef19a683391356ba2f17a816
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-02-23

    release: 3.11.90

M	NEWS
M	configure.ac

commit 3853ca5e6892f2fd6a30df7193823fd54e59101d
Author: Christian Persch <chpe@gnome.org>
Date:	2012-06-13

    shell: Remove smclient

    https://bugzilla.gnome.org/show_bug.cgi?id=677981

M	configure.ac
M	cut-n-paste/Makefile.am
D	cut-n-paste/smclient/Makefile.am
D	cut-n-paste/smclient/eggdesktopfile.c
D	cut-n-paste/smclient/eggdesktopfile.h
D	cut-n-paste/smclient/eggsmclient-osx.c
D	cut-n-paste/smclient/eggsmclient-private.h
D	cut-n-paste/smclient/eggsmclient-win32.c
D	cut-n-paste/smclient/eggsmclient-xsmp.c
D	cut-n-paste/smclient/eggsmclient.c
D	cut-n-paste/smclient/eggsmclient.h
M	help/reference/shell/Makefile.am
M	po/POTFILES.in
M	shell/Makefile.am
M	shell/ev-application.c
M	shell/ev-application.h
M	shell/main.c

commit 98b7e4e9f36d8f49a481b5def4377548513929e6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-02-23

    window-title: Set the window title for empty window

    This ensures that not only the window has title, but that the title is
    exposed to accessibility. Based on patch by Robert Roth.

    https://bugzilla.gnome.org/show_bug.cgi?id=653748

M	shell/ev-window-title.c

commit 7005d191855cd4c62b7a807d71a16dc58e6fde4c
Author: Anuj Khare <khareanuj18@gmail.com>
Date:	2014-02-22

    Make history buttons insensitive when searching

    Change sensitivity in find bar open/close functions instead of with
    page-change to prevent history buttons from becoming insensitive every
    time a back/forward history button is clicked (since history freezes).

    https://bugzilla.gnome.org/show_bug.cgi?id=724549

M	shell/ev-window.c

commit 37397ef554c65646c005ac62f7b29d36e2c3547c
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-02-23

    Updated Hebrew translation

M	po/he.po

commit 7e5db6be1883678301c65b799dc54d6b2b9410f9
Author: Saurav Agarwalla <saurav.agarwalla92@gmail.com>
Date:	2014-02-15

    Add button-press signal handler to the Find sidebar

    This solves the bug mentioned below by handling button-press signals
    in addition to the original selection-changed signals.

    https://bugzilla.gnome.org/show_bug.cgi?id=703570

M	libview/ev-view.c
M	shell/ev-find-sidebar.c

commit a25e869647de811788deeb8939b18ecad4d9adba
Author: Bogdan Petcu <bogdanconstantinpetcu@gmail.com>
Date:	2014-02-23

    Rename Open a copy as View in new window

    https://bugzilla.gnome.org/show_bug.cgi?id=688762

M	shell/ev-window.c

commit 94a732ff0cd76fcb508844a923d3183ba6e30fee
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-02-23

    Rename ev_window_document_changed as ev_window_file_changed

    We have ev_window_document_changed_cb to monitor when the EvDocument
    property of the view model changes. Bithe names are quite similar and
    very confusing, so use file_changed for the file changes monitor.

M	shell/ev-window.c

commit a1ed5672808625582a5690156ad6261e7691807f
Author: Saurav Agarwalla <saurav.agarwalla92@gmail.com>
Date:	2014-02-19

    Change the condition for restarting search after reloading

    The bug is because the relevant check condition gets the focused
    widget and it's ancestor. The problem lies in the fact that if the
    user takes away focus from the sidebar, ancestor is no longer the
    'Find' sidebar and the condition evaluates to FALSE even though it
    shouldn't. Changing the condition to check if the 'Find' sidebar is
    visible solves the problem by restarting search only when the 'Find'
    sidebar is visible.

    https://bugzilla.gnome.org/show_bug.cgi?id=703595

M	shell/ev-window.c

commit 6188aa2985ef78397d45038efddc87247c5a9f76
Author: Anuj Khare <khareanuj18@gmail.com>
Date:	2014-02-23

    Unbind the default binding for the GtkIconView

    The "<Control>p" binding/event is expected to launch the print dialog
    but is currently being eaten by the IconView. Unbind to stop this
    occurring. Unbind "<Control>n" for consistency.

    Based on Michael Wood's patch.

    https://bugzilla.gnome.org/show_bug.cgi?id=705846

M	shell/evince.css

commit 5154b7ab6012e6a8cc7eb732172ea1e2c4f1ec89
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-02-22

    findbar: Add close button to the find bar

    It makes more obvious how to close the find bar, specially when it has
    been launched by a keyboard shortcut instead of using the toggle
    button
    in the toolbar.

    https://bugzilla.gnome.org/show_bug.cgi?id=723789

M	shell/eggfindbar.c

commit 23172cb7756a4cd4d5a3fe27effa723fa9286687
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-02-22

    toolbar: Move the find button to the left

    So that is grouped with the navigation actions, instead of the view
    actions.

    https://bugzilla.gnome.org/show_bug.cgi?id=723789

M	shell/ev-toolbar.c

commit 79849c412e7d2188d46a1990741db8eb6e8f4cc6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2014-02-22

    toolbar: Fix the margins of the toolbar items in ltr direction

M	shell/ev-toolbar.c

commit ef8fc3e56ae2f4ea3aa9351fe7be03705e091c3b
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:	2014-02-19

    Updated Oriya translation

M	po/or.po

commit 41ce0e16cc3f395766abb239f990dd98c3144001
Author: Christian Persch <chpe@gnome.org>
Date:	2014-02-13

    shell: Fix potential read-after-free in gsettings use

    It's not valid to use '&' with g_settings_get().

    https://bugzilla.gnome.org/show_bug.cgi?id=723737

M	shell/ev-window.c

commit 413f46730d06944a92a71221945304de4843069f
Author: ngoswami <ngoswami@redhat.com>
Date:	2014-02-11

    Updated Assamese translation

M	po/as.po

commit 43c41b06b705cb1a243fb34026cebcadadc8161c
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2014-02-10

    Remove SyncTeX video, bug 676496

    Takes up lots of space, old UI, wrong theme and see bug 676496

D	help/C/figures/synctex_screencast.ogv
M	help/C/synctex.page
M	help/Makefile.am
D	help/fr/figures/synctex_screencast.ogv

commit f7aa38e1d6df3f8123286325acf210b0f02f51e8
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2014-02-10

    Updated Ukrainian translation

M	po/uk.po

commit 707725e986844d3cc4340f9f2cbb1343165d4b59
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2014-02-09

    Reduce the chattiness of the evince daemon

    Use g_debug instead of g_printerr for debug warnings that happen
    during normal operation. This way messages are suppressed, unless
    the G_MESSAGES_DEBUG variable is set, and we avoid filling everyone's
    journal with repetitive debugging info.

    https://bugzilla.gnome.org/show_bug.cgi?id=723972

M	shell/ev-daemon.c

commit 92a23ba089d19bf117a5e287f5f582f7ba801341
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-02-09

    Updated Norwegian bokmål translation

M	po/nb.po

commit 7d8d3d138a52f120850af5965313da9394f2d76c
Author: Marek Černocký <marek@manet.cz>
Date:	2014-02-08

    Updated Czech translation

M	po/cs.po

commit 01ce80d2049dfd14e940fb32152a05d089c6f827
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:	2014-02-07

    Updated Scottish Gaelic translation

M	po/gd.po

commit d27afae91dcf46b3ea7774862914047a3da9afc3
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:	2014-02-07

    Updated Scottish Gaelic translation

M	po/gd.po

commit 93cb301c7819e145367bbf99dccd7b034441219e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2014-02-07

    Updated Galician translations

M	po/gl.po

commit e7eece53ba03de3d09f16d0adb3fc89d7f2b3317
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2014-02-06

    Update Arabic translation

M	po/ar.po

commit 9c28daf2bd5e9d36d743f45a88e694af74da5499
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:	2014-02-06

    Added Scottish Gaelic translation

M	po/LINGUAS
A	po/gd.po

commit 07fe9c6ba69a80522456ed9efe44dba9a1510a6f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-02-05

    Updated Spanish translation

M	po/es.po

commit c7608bf3c4e94baa1d40cccf3bc8e611c7a9e5a5
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2014-02-05

    Updated Thai translation

M	po/th.po

commit 466ca814def1b23bc839bc202d06e285a07ee08b
Author: Timo Jyrinki <timo@debian.org>
Date:	2014-02-05

    And update the 'i' also to the Finnish translation

M	po/fi.po

commit 87a0e3a1574808cadb5e8a390c93a52527bf32c1
Author: Timo Jyrinki <timo@debian.org>
Date:	2014-02-04

    Fix fi translation (Bug #723547)

M	po/fi.po

commit 545052d99cfbff17bcc73ae6dd1f1d8087f31419
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2014-02-02

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 5f80191e33f0cc067c5e085733f2bd8cb7296277
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2014-02-01

    Updated Kazakh translation

M	po/kk.po

commit b2c0492282618e52433be657cd0d73868649cf3b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2014-01-31

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 3847c5bdefeded9c91632cd0da30213accf4749a
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:	2014-01-31

    updated kn.po

M	po/kn.po

commit 6e236ae1b7ca39b06b24f32fc98a17b4d595e646
Author: Jorge Pérez Pérez <jorgtum@gmail.com>
Date:	2014-01-31

    Updated Aragonese translation

M	po/an.po

commit 83cbdd2fdf59dad635a4fb71a75a6c0747ba83c0
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-01-28

    Updated Lithuanian translation

M	po/lt.po

commit c8587763c9332e2eef5ffa4fa6a05fef5d21d748
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-01-27

    toolbar: Fix the margin in RTL

    https://bugzilla.gnome.org/show_bug.cgi?id=723110

    Signed-off-by: Yosef Or Boczko <yoseforb@src.gnome.org>

M	shell/ev-toolbar.c

commit ea2f1cb9bae34a672438c532cb0e97972eba0aae
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2014-01-28

    Tajik translation updated

M	po/tg.po

commit da30d8d4e8d03d40b3b7db206b518b4176582c57
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-01-27

    Updated Hebrew translation

    Signed-off-by: Yosef Or Boczko <yoseforb@src.gnome.org>

M	po/he.po

commit ca70f8a2cd4aa850214c9a8dfec5f05cfb1586b7
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-05-21

    Add tooltips for toolbar menus, bug 700697

M	po/POTFILES.in
M	shell/ev-toolbar.c

commit 671f31d2073464d019e2e8b222740b180e78420c
Author: Marek Černocký <marek@manet.cz>
Date:	2014-01-27

    Updated Czech translation

M	po/cs.po

commit 1ade2d1f0eb6d9acfb25d530dd1796ea943fc12d
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	2014-01-08

    Update FSF Address

    https://bugzilla.gnome.org/show_bug.cgi?id=721490

M	help/sr/sr.po
M	libdocument/ev-backend-info.c
M	po/af.po
M	po/ast.po
M	po/be@latin.po
M	po/bn.po
M	po/br.po
M	po/cs.po
M	po/cy.po
M	po/dz.po
M	po/eo.po
M	po/fa.po
M	po/gl.po
M	po/he.po
M	po/ka.po
M	po/ks.po
M	po/mai.po
M	po/mg.po
M	po/mk.po
M	po/ml.po
M	po/mn.po
M	po/ms.po
M	po/nds.po
M	po/ne.po
M	po/nn.po
M	po/oc.po
M	po/or.po
M	po/ps.po
M	po/rw.po
M	po/si.po
M	po/sq.po
M	po/te.po
M	po/tr.po
M	po/wa.po
M	shell/ev-annotation-properties-dialog.c
M	shell/ev-annotation-properties-dialog.h
M	shell/ev-find-sidebar.c
M	shell/ev-find-sidebar.h
M	shell/ev-history-action-widget.c
M	shell/ev-history-action-widget.h
M	shell/ev-history-action.c
M	shell/ev-history-action.h
M	shell/ev-sidebar-annotations.c
M	shell/ev-sidebar-annotations.h
M	shell/ev-sidebar-bookmarks.c
M	shell/ev-sidebar-bookmarks.h
M	shell/ev-zoom-action-widget.c
M	shell/ev-zoom-action-widget.h
M	shell/ev-zoom-action.c
M	shell/ev-zoom-action.h
M	shell/evince-appmenu.ui

commit 6eaa21b7f5b06a6bb5eb3dbe66bb731e21025029
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2013-12-18

    release: 3.11.3

M	NEWS
M	configure.ac

commit dc8559bd1999ac4a2670906ed1e4d9ed13f731fd
Author: Robert Roth <robert.roth.off@gmail.com>
Date:	2013-12-14

    Hide titlebar when maximized

    When the window is maximized, hide the titlebar, like the other
    GNOME apps do.

    https://bugzilla.gnome.org/show_bug.cgi?id=696254

M	shell/ev-window.c

commit 77f8e40665cce6192bca596ff90a130cbc615a94
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:	2013-12-18

    Updated Telugu Translations

M	po/te.po

commit 800afcb35ff8438a397c64d575f3d0b8664405e0
Author: Andika Triwidada <andika@gmail.com>
Date:	2013-12-16

    Updated Indonesian translation

M	help/id/id.po

commit bed6089d2c896dcb02c07f7bd69a69612f679fa9
Author: Marek Kasik <mkasik@redhat.com>
Date:	2013-12-13

    Don't allow "Send To" when there is no mail client available

    Check for availability of handler of "mailto" scheme and
    make "Send To..." menu entry sensitive / insensitive
    accordingly during initialization of EvWindow.

    Based on patch of Plamena Manolova.

    https://bugzilla.gnome.org/show_bug.cgi?id=701654

M	shell/ev-window.c

commit c5c528dc8ec9d24845c21c3947581d7f7c1eb477
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2013-11-28

    a11y: implement AtkDocument on EvViewAccessible

    https://bugzilla.gnome.org/show_bug.cgi?id=719507

M	libview/ev-view-accessible.c

commit fe315dea41b468780989827a4fce978d25ffc539
Author: eternalhui <www.eternalhui@gmail.com>
Date:	2013-11-23

    Update Chinese simplified translation

M	po/zh_CN.po

commit 64f2ef7f9ae9707c9cb8af629894cc24abd83245
Author: Shantha kumar <shkumar@redhat.com>
Date:	2013-11-20

    Tamil Translations Updated

M	po/ta.po

commit d0cd02c88f1f0427f1e769da5381948d6ef4241c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-11-19

    Updated Spanish translation

M	help/es/es.po

commit c6d03944e135448a7a351c31da68a12f3ecbadba
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-11-19

    Updated Greek translation

M	help/el/el.po

commit 84ddedab5e7e82dcf0c211ee66a80f034a7fe0ec
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:	2013-11-15

    a11y: with caret navigation enabled, accessibility current page is
    cursor page

    https://bugzilla.gnome.org/show_bug.cgi?id=711862

M	libview/ev-view-accessible.c

commit 2d36c603b20473579ccd6fb19c5d66ba2c64f420
Author: Tiffany Ann Antopolski <tiffany.antopolski@gmail.com>
Date:	2013-11-04

    help: updated toolbar page

    https://bugzilla.gnome.org/show_bug.cgi?id=705211

D	help/C/figures/evince-toolbar-default.png
D	help/C/figures/evince-toolbar-editor.png
M	help/C/toolbar.page
M	help/Makefile.am

commit 7abddedba2be2b4ab92edd55166bc8a3c3fefca2
Author: Christian Persch <chpe@gnome.org>
Date:	2013-11-11

    Update DOAP file to reflect the present situation

M	evince.doap

commit 8ec70a039f116b7b4b51d18dbfc0bdb0050eeadd
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-11-10

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit b289180e98b6a7f89a2bd80c5f1be71719e917d4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2013-11-10

    ev-toolbar: Remove the margin of the buttons and center them
    vertically

    This makes the buttons small again after whatever changed in
    gnome-themes-standard. Based on patch by Yosef Or Boczko.

    https://bugzilla.gnome.org/show_bug.cgi?id=709005

M	shell/ev-history-action-widget.c
M	shell/ev-toolbar.c

commit f6e647b3585102da28fbfd0eb50e02aa28bac89f
Author: Andika Triwidada <andika@gmail.com>
Date:	2013-11-05

    Updated Indonesian help translation

M	help/id/id.po

commit 5ee8d72152eb6443219206d036efcea0568ac50d
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-11-04

    Tidy bookmarks help page

    Capitalise nouns properly, and reflow as touching most lines anyway.

M	help/C/bookmarks.page

commit 180dde4e08fb7ec0326a498900f36c8d65c20c65
Author: Tiffany Ann Antopolski <tiffany.antopolski@gmail.com>
Date:	2013-11-03

    help: Updated information on working with bookmarks.

    https://bugzilla.gnome.org/show_bug.cgi?id=710107

M	help/C/bookmarks.page

commit a830ccad4109db0fd040b31cde0e6d15f15ab669
Author: José Aliste <jaliste@src.gnome.org>
Date:	2013-10-30

    shell: fix a possible null pointer dereference

M	shell/ev-daemon.c

commit d5ab5564e1b2e99e4939a4fb5a683e9be814bcbe
Author: José Aliste <jaliste@src.gnome.org>
Date:	2013-10-29

    djvu: remove un-needed assignment

M	backend/djvu/djvu-document.c

commit bbd8111976d284f2635628db09f1ff49ff89c301
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2013-10-30

    xps: Do not use EvDocument API in get_info implementation

    get_info might be called while the document is being loaded and the
    EvDocument cache is not filled yet. Use only the GXPS API to make
    sure we get valid values. This fixes the page size always reported as
    0x0 in the properties dialog.

    https://bugzilla.gnome.org/show_bug.cgi?id=711093

M	backend/xps/xps-document.c

commit f37cdce3dda14f4c8c304ac332a969ce8c6c6069
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2013-10-30

    pdf: Do not use EvDocument API in get_info implementation

    get_info might be called while the document is being loaded and the
    EvDocument cache is not filled yet. Use only the poppler API to make
    sure we get valid values. This fixes the page size always reported as
    0x0 in the properties dialog.

    https://bugzilla.gnome.org/show_bug.cgi?id=711093

M	backend/pdf/ev-poppler.cc

commit 8382398caf9997a8febc3f0d3a080d9465e71bc5
